<?php
	/**
	 * cash-office.php
	 *
	 * This is used to record client payment status
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Cash Office" ;
		$pageslogan = "recieve and manage client payments";
		$parent		= "";
		//$parentUrl	= "useredit.php";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>
                            <div class="row">
                                <div class="col-xs-12">
                                <!-- PAGE CONTENT BEGINS -->
		<?php
									if(isset($_GET['es']))
									{
										$msg = $_GET['es'];
		?>
										<div class="alert alert-block alert-info">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-check green"></i>Your email titled: (<strong><?php echo $msg; ?></strong>) was successfully sent to client.
										</div>
		<?php
									} else {
										if(isset($_GET['ef']))
										{
											$msg = $_GET['ef'];
		?>
										<div class="alert alert-block alert-danger">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-times red"></i> There was an error, and your email titled: <strong><?php echo $msg; ?></strong> was not sent.
										</div>
		<?php
										}
									}
		?>
        
        <?php
									if(isset($_GET['ps']))
									{
										$msg = $_GET['ps'];
		?>
										<div class="alert alert-block alert-info">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-check green"></i><strong><?php echo $msg; ?></strong> transaction record updated successfully
										</div>
		<?php
									} else {
										if(isset($_GET['pf']))
										{
											$msg = $_GET['pf'];
		?>
										<div class="alert alert-block alert-danger">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-times red"></i> There was an error, and <strong><?php echo $msg; ?></strong>'s transaction record was not updated
										</div>
		<?php
										}
									}
		?>
								<div class="widget-box widget-color-dark">
									<div class="widget-header widget-header-blue widget-header-flat">
										<h4 class="widget-title lighter">Accept Payment From Client</h4>
										<div class="widget-toolbar">
											<label>
												<small class="red">
													<b>Recorded Payment cannot be edited</b>
												</small>
											</label>
										</div>
									</div>

									<div class="widget-body">
										<div class="widget-main">
											
                                            <div class="center">
										<h3 class="header smaller lighter green">Account Management Table</h3>
										<p>You can sort the following table in Descending or Ascending order by clicking on the table header/title</p>
									</div>
									<table id="accounting-grid" class="table table-striped table-bordered table-hover display" width="100%">
										<thead>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Client</th>
												<th>Invoice Title</th>
												<th>Total Transaction</th>
												<th>Amount Charged</th>
                                                <th>Payment Status</th>
												<th>ACTION</th>
											</tr>
										</thead>
										
										<tfoot>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Client</th>
												<th>Invoice Title</th>
												<th>Total Transaction</th>
												<th>Amount Charged</th>
                                                <th>Payment Status</th>
												<th>ACTION</th>
											</tr>
										</tfoot>
									</table>
									
                                            
										</div><!-- /.widget-main -->
									</div><!-- /.widget-body -->
								</div>

                                <!-- PAGE CONTENT ENDS -->
							</div><!-- /.col -->
						</div><!-- /.row -->
					</div><!-- /.page-content -->
				</div>
			</div><!-- /.main-content -->
			
<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>