<?php
	/**
	 * facilities.php
	 *
	 * This is used to create new facilities
	 * It is also used to view registered facilities
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Facilities" ;
		$pageslogan = "manage registered facilities and add new facility record";
		$parent		= "";
		//$parentUrl	= "useredit.php";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>

		<div class="row">
			<div class="col-xs-12">
				<!-- PAGE CONTENT BEGINS -->
				<div class="alert alert-block alert-success">
					<button type="button" class="close" data-dismiss="alert">
						<i class="ace-icon fa fa-times"></i>
					</button>

					<i class="ace-icon fa fa-check green"></i> Hi, 
					<strong class="green"><?php echo $username; ?></strong>, 
					<small>This page enables you to manage/view registered facilities. It also gives you access to adding new facility</small>
				</div>

				<div class="row">
					
					<div class="col-sm-12">
						<div class="tabbable">
							<ul class="nav nav-tabs" id="myTab">
								<li>
									<a data-toggle="tab" href="#addfacility">
										<i class="green ace-icon fa fa-plus bigger-120"></i>
										Add New Facility Record
									</a>
								</li>

								<li class="active">
									<a data-toggle="tab" href="#allfacilities">
										<i class="green ace-icon fa fa-bank bigger-120"></i>
										Manage/View Registered Facilities
										<span class="badge badge-danger">
										<?php
											// Fetch total number of catgeories 
											$query = "SELECT COUNT(id) as `num` FROM facilities";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$totalfacilities = $row['num'];
											echo $totalfacilities;
										?>
										</span>
									</a>
								</li>
							</ul>

							<div class="tab-content">
								
								<div id="addfacility" class="tab-pane fade">
									<div class="result">
										<div class="center">
											<h3 class="header smaller lighter green">Facility Registration Form</h3>
											<p>Kindly fill the form with accurate data. Fields with <font color="red">*</font> are required.</p>
										</div>
										
										<p class="qc-errmsg" style="display: none;">&nbsp;</p>
										<div class="contact-form clearfix">
											<form name="form" class="form-horizontal" action="sys/core/insert.php"  method="post">
												<div class="col-sm-6">
													
                                                    <div class="form-group">
														<label for="name" class="col-sm-4 control-label no-padding-right">Name <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="text" name="name" id="name" placeholder="Facility Name Here"   class="form-control" required/>
														</div>
													</div>
                                                    
                                                    <div class="form-group">
														<label for="clientId" class="col-sm-4 control-label no-padding-right"> Client <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="clientId" id="clientId"  class="form-control"  required>
                                                            	<option value=""> -- Choose a client -- </option>
								<?php
														// Query database
														$sql="SELECT * FROM clients";
														$retvall = mysql_query( $sql, $conn );
														if(mysql_num_rows($retvall) > 0){
															while($row = mysql_fetch_array($retvall)){
																$id		= $row['id'];
																$name	= $row['name'];
								?>
																<option value="<?php echo $id; ?>"><?php echo $name; ?></option>
                                <?php
															}
														} else {
															echo '<option value=" "> </option>';
														}
								?>
                                                            </select>
														</div>
													</div>
                                                    
                                                    <div class="form-group">
														<label for="location" class="col-sm-4 control-label no-padding-right"> Location <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="location" id="location"  class="form-control"  required>
                                                            	<option value=""> -- Choose facility location -- </option>
								<?php
														// Query database
														$sql="SELECT * FROM office";
														$retvall = mysql_query( $sql, $conn );
														if(mysql_num_rows($retvall) > 0){
															while($row = mysql_fetch_array($retvall)){
																$name	= $row['name'];
								?>
																<option value="<?php echo $name; ?>"><?php echo $name; ?></option>
                                <?php
															}
														} else {
															echo '<option value=" "> </option>';
														}
								?>
                                                            </select>
														</div>
													</div>
                                                    
													<div class="form-group">
														<label for="contctNumber" class="col-sm-4 control-label no-padding-right">Contact Number <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="text" name="contactNumber" id="contactNumber" placeholder="Phone Number Here"  class="form-control"  required/>
														</div>
													</div>
													
													<div class="form-group">
														<label for="contactEmail" class="col-sm-4 control-label no-padding-right">Email Address <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="email" name="contactEmail" id="contactEmail" placeholder="Email Address Here"  class="form-control"  required/>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
												
												
												<div class="col-sm-6">
													
													<div class="form-group">
														<label for="address" class="col-sm-4 control-label no-padding-right">Office Address <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<textarea id="address" name="address"  class="form-control"  required></textarea>
														</div>
													</div>
													
													<div class="form-group">
														<label for="csn" class="col-sm-4 control-label no-padding-right">State <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="state" id="state"  class="form-control"  required>
															<?php
																include 'sys/incs/statelist.php';
															?>
															</select>
														</div>
													</div>
													
													<div class="form-group">
														<label for="csn" class="col-sm-4 control-label no-padding-right">Country <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select id="country" name="country"  class="form-control"  required>
															<?php
																include 'sys/incs/countrylist.php';
															?>
															</select>
														</div>
													</div>
													<div class="form-group">
														<label for="staff" class="col-sm-4 control-label no-padding-right">Facility Manager <font color="#ff0000">*</font></label>
														<div class="col-sm-8" id="autolist">
															<input type="text" name="staff" id="relmanager" placeholder="Start Typing a name" required  class="form-control"  onkeyup="autocomplet()">
															<ul id="relmanager_list"></ul>
														</div>
													</div>
													<p>&nbsp;</p>
												</div>  <!-- End Div 6 -->
												
												<div class="center">
													<input type="submit" value="Submit Data" name="addFacility" id="addFacility" class="btn btn-success"  data-after-submit-value="Processing your request..."/>
													<input type="reset" value="Reset Form Fields" name="reset" class="btn btn-danger"/>
												</div>
											</form>
										</div>
									</div>
									
								</div>

								<div id="allfacilities" class="tab-pane fade in active">
									<div class="center">
										
		<?php
									if(isset($_GET['succresp']))
									{
										$facility = $_GET['succresp'];
		?>
										<div class="alert alert-block alert-info">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-check green"></i> New Facility (<strong><?php echo $facility; ?></strong>) Added Successfully
										</div>
		<?php
									} else {
										if(isset($_GET['fail']))
										{
											$facility = $_GET['fail'];
		?>
										<div class="alert alert-block alert-danger">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-times red"></i> There was an error, and <strong><?php echo $facility; ?></strong>'s record was not added.
											<a data-toggle="tab" href="#addclient">
												<i class="green ace-icon fa fa-plus bigger-120"></i>
												Try Again
											</a>
										</div>
		<?php
										}
									}
		?>
		
		
		
		
		<?php
									if(isset($_GET['editresp']))
									{
										$facility = $_GET['editresp'];
		?>
										<div class="alert alert-block alert-info">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-check green"></i><strong><?php echo $facility; ?></strong>'s record was updated Successfully
										</div>
		<?php
									} else {
										if(isset($_GET['editfail']))
										{
											$client = $_GET['editfail'];
		?>
										<div class="alert alert-block alert-danger">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-times red"></i> There was an error, and <strong><?php echo $facility; ?></strong>'s record was not updated.
											<a data-toggle="tab" href="#addclient">
												<i class="green ace-icon fa fa-plus bigger-120"></i>
												Try Again
											</a>
										</div>
		<?php
										}
									}
		?>
		
										<h3 class="header smaller lighter green">All Registered Facilities</h3>
										<p>You can sort the following table in Descending or Ascending order by clicking on the table header/title</p>
									</div>
									<table id="facility-grid" class="table table-striped table-bordered table-hover display" width="100%">
										<thead>
											<tr>
												<th class="center">
                                                    <label class="pos-rel">
                                                        <input type="checkbox" class="ace" id="bulkDelete" />
                                                        <span class="lbl"></span>
                                                    </label>
                                                </th>
												<th>Name</th>
												<th>Address</th>
												<th>Contact Details</th>
												<th>Facility Manager</th>
												<th>ACTION</th>
											</tr>
										</thead>
										
										<tfoot>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Name</th>
												<th>Address</th>
												<th>Contact Details</th>
												<th>Facility Manager</th>
												<th>ACTION</th>
											</tr>
										</tfoot>
									</table>
									<!--
									<button id="clientDeleteTriger" class="btn btn-danger"><i class="ace-icon fa fa-trash" title="Delete Clients"></i> Delete Selected Client(s) </button>
									 -->
									
						
					</div><!-- /.col -->

				</div><!-- /.row -->

				<div class="hr hr32 hr-dotted"></div>

										
				<!-- PAGE CONTENT ENDS -->
				</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.page-content -->
	</div>
</div><!-- /.main-content -->

<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>