<?php
	/**
	 * facility-edit.php
	 *
	 * This is used to change/modify facility information
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 * Date: May 2016
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Edit Facility" ;
		$pageslogan = "manage registered facility information";
		$parent		= "Facilities";
		$parentUrl	= "facilities";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>

		<div class="row">
			<div class="col-xs-12">
				<!-- PAGE CONTENT BEGINS -->
				<div class="alert alert-block alert-success">
					<button type="button" class="close" data-dismiss="alert">
						<i class="ace-icon fa fa-times"></i>
					</button>

					<i class="ace-icon fa fa-check green"></i> Hi, 
					<strong class="green"><?php echo $username; ?></strong>, 
					<small>This page enables you to edit registered facility information. Ensure you have the right permission to do this.</small>
				</div>

				<div class="row">
					
					<div class="col-sm-12">
	<?php 
			if(isset($_GET['f']))
			{
				$id=$_GET['f'];
				$sql="SELECT * FROM facilities WHERE id ='$id' ";
				$retvall = mysql_query( $sql, $conn );
				if(mysql_num_rows($retvall) > 0)
				{
					while($row = mysql_fetch_array($retvall))
					{
						$id 				= $row['id'];
						$name 				= $row['name'];
						$address 			= $row['address'];
						$state 				= $row['state'];
						$country			= $row['country'];
						$clientId	 		= $row['clientId'];
						$location			= $row['location'];
						$contactNumber 		= $row['contactNumber'];
						$contactEmail 		= $row['contactEmail'];
						$staff	 			= $row['staff'];
	?> 

						<div class="center">
							<h3 class="header smaller lighter green">Edit <?php echo $name; ?>'s Information</h3>
						</div>
						
						<div class="client-feedback"></div>
						
						<div class="contact-form clearfix">
							<form name="form" class="form-horizontal" action="sys/core/update.php"  method="post">
								<div class="col-sm-6">
									<div class="form-group">
										<label for="name" class="col-sm-4 control-label no-padding-right">Name <font color="#ff0000">*</font></label>
										<div class="col-sm-8">
											<input type="text" name="name" id="name" value="<?php echo $name; ?>" placeholder="Facility Name Here"  class="form-control"  required/>
										</div>
									</div>
                                                    
                                    <div class="form-group">
										<label for="clientId" class="col-sm-4 control-label no-padding-right"> Client <font color="#ff0000">*</font></label>
										<div class="col-sm-8">
											<select name="clientId" id="clientId"  class="form-control"  required>
                                                  <option value=""> -- Choose a client -- </option>
								<?php
												// Query database
												$sql="SELECT * FROM clients";
												$retvall = mysql_query( $sql, $conn );
												if(mysql_num_rows($retvall) > 0){
													while($row = mysql_fetch_array($retvall)){
														$id		= $row['id'];
														$name	= $row['name'];
								?>
													<option value="<?php echo $id; ?>"><?php echo $name; ?></option>
                                <?php
													}
												} else {
													echo '<option value=" "> </option>';
												}
								?>
                                              	</select>
											</div>
										</div>
                                                    
                                        <div class="form-group">
											<label for="location" class="col-sm-4 control-label no-padding-right"> Location <font color="#ff0000">*</font></label>
											<div class="col-sm-8">
												<select name="location" id="location"  class="form-control"  required>
                                                    <option value="<?php if (!empty($location)){ echo $location; } else { echo ''; } ?>"> <?php if (!empty($location)){ echo $location; } else { echo '-- Choose facility location -- '; } ?></option>
								<?php
														// Query database
														$sql="SELECT * FROM office";
														$retvall = mysql_query( $sql, $conn );
														if(mysql_num_rows($retvall) > 0){
															while($row = mysql_fetch_array($retvall)){
																$name	= $row['name'];
								?>
																<option value="<?php echo $name; ?>"><?php echo $name; ?></option>
                                <?php
															}
														} else {
															echo '<option value=" "> </option>';
														}
								?>
                                                            </select>
														</div>
													</div>
                                                    
													<div class="form-group">
														<label for="contctNumber" class="col-sm-4 control-label no-padding-right">Contact Number <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="text" name="contactNumber" id="contactNumber" placeholder="Phone Number Here" value="<?php echo $contactNumber; ?>"   class="form-control" required/>
														</div>
													</div>
													
													<div class="form-group">
														<label for="contactEmail" class="col-sm-4 control-label no-padding-right">Email Address <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="email" name="contactEmail" id="contactEmail" placeholder="Email Address Here" value="<?php echo $contactEmail; ?>"   class="form-control" required/>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
												
												
												<div class="col-sm-6">
													
													<div class="form-group">
														<label for="address" class="col-sm-4 control-label no-padding-right">Office Address <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<textarea id="address" name="address"   class="form-control" required><?php echo $address; ?></textarea>
														</div>
													</div>
													
													<div class="form-group">
														<label for="csn" class="col-sm-4 control-label no-padding-right">State <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="state" id="state"   class="form-control" required>
                                                            	<option value="<?php if (!empty($state)){ echo $state; } else { echo ''; } ?>"> <?php if (!empty($state)){ echo $state; } else { echo '-- Choose state -- '; } ?></option>
															<?php
																include 'sys/incs/statelist.php';
															?>
															</select>
														</div>
													</div>
													
													<div class="form-group">
														<label for="csn" class="col-sm-4 control-label no-padding-right">Country <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select id="country" name="country"   class="form-control" required>
                                                            	<option value="<?php if (!empty($country)){ echo $country; } else { echo ''; } ?>"> <?php if (!empty($country)){ echo $country; } else { echo '-- Choose country-- '; } ?></option>
															<?php
																include 'sys/incs/countrylist.php';
															?>
															</select>
														</div>
													</div>
													<div class="form-group">
														<label for="staff" class="col-sm-4 control-label no-padding-right">Facility Manager <font color="#ff0000">*</font></label>
														<div class="col-sm-8" id="autolist">
															<input type="text" name="staff" id="relmanager" placeholder="Start Typing a name" value="<?php echo $staff; ?>" required   class="form-control" onkeyup="autocomplet()">
															<ul id="relmanager_list"></ul>
														</div>
													</div>
													<p>&nbsp;</p>
												</div>  <!-- End Div 6 -->
												
												<div class="center">
													<input type="hidden" name="id" id="id" value="<?php echo $id; ?>" />
                                                    <input type="submit" value="Submit Data" name="updateFacility" id="updateFacility" class="btn btn-success"  data-after-submit-value="Processing your request..."/>
													<input type="reset" value="Reset Form Fields" name="reset" class="btn btn-danger"/>
												</div>
							</form>
						</div>
		<?php		}
				} else { echo "No record was found"; }
			} else { echo "The record your searched for does not exist"; }
		?>
					</div><!-- /.col -->

				</div><!-- /.row -->

				<div class="hr hr32 hr-dotted"></div>

										
				<!-- PAGE CONTENT ENDS -->
				</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.page-content -->
	</div>
</div><!-- /.main-content -->

<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>