<?php
/**
 * facility-view.php
 *
 * This page displays facility information
 * with a link added for them to edit the information.
 */
include("sys/core/session.php");
	// Include the function file
	$errMsg = "";
	$file = 'sys/core/functions.php';
	if ( file_exists($file) && is_readable($file))
	{
		include ($file);
	} else
	{
		$errMsg = "Error: included function file is missing";
	}
	
	// Display file to only authorised ussers
	if($session->isAdmin() || $session->isMD() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){

	if(isset($_GET['f']))
	{
		$id=$_GET['f'];
		
		// Query database
		$sql="SELECT * FROM facilities WHERE id = '$id' ";
		$retvall = mysql_query( $sql, $conn );
		if(mysql_num_rows($retvall) == 1){
			while($row = mysql_fetch_array($retvall)){
				$id 				= $row['id'];
				$name 				= $row['name'];
				$address 			= $row['address'];
				$state 				= $row['state'];
				$country			= $row['country'];
				$clientId	 		= $row['clientId'];
				$location			= $row['location'];
				$contactNumber 		= $row['contactNumber'];
				$contactEmail 		= $row['contactEmail'];
				$staff	 			= $row['staff'];
				$image	 			= $row['image'];
				
				// Query database to get client name
				$sql="SELECT * FROM clients WHERE id = '$clientId' ";
				$retvall = mysql_query( $sql, $conn );
				if(mysql_num_rows($retvall) == 1){
					while($row = mysql_fetch_array($retvall)){
						$clientName		= $row['name'];
					}
				}
						
		$pagename = $name. " Information" ;
		$pageslogan = $name." account details";
		$parent		= "Facilities";
		$parentUrl	= "facilities";
		
		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>
	<div class="row">
		<div class="col-xs-12">
			<!-- PAGE CONTENT BEGINS -->
			<div>
				<div id="user-profile-1" class="user-profile row">
					<div class="col-xs-12 col-sm-4 center">
						<h3>Display Image</h3>
						<div>
							<span class="profile-picture">
								<?php echo '<img class="nav-user-photo"alt="avatar" src="assets/images/facilities/'.$image.'" width="100%" style="border-radius: 15px 5px 15px 5px;"> ';
								?><br><br />
								<a href='sys/uploader/facility?f=<?php echo $id; ?>' class='btn btn-white' > <i class="ace-icon fa fa-edit"></i>  Change <?php echo $name; ?>'s Display Picture</a>
							</span>
						</div>
						<div class="center">
							<br />
							<hr />
							<span class="bigger-110"><a href='facility-edit?f=<?php echo $id; ?>' class='btn btn-primary' >  <i class="ace-icon fa fa-edit bigger-150 middle orange2"></i> Edit <?php echo $name; ?>'s Information <i class="icon-on-right ace-icon fa fa-arrow-right"></i></a></span>
						</div>
					</div>
					
					<div class="col-xs-12 col-sm-8">
						<h3>Contact Information</h3>
						<div class="profile-user-info profile-user-info-striped">
							<div class="profile-info-row">
								<div class="profile-info-name"> Name </div>
								<div class="profile-info-value">
									<span class="editable" id="name"><?php echo $name; ?>. This facility belongs to <strong><?php echo $clientName; ?></strong></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Facility Manager </div>
								<div class="profile-info-value">
									<span class="editable" id="staff"><?php echo $staff; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Contact Number </div>
								<div class="profile-info-value">
									<span class="editable" id="contactNumber"><?php echo $contactNumber; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Email Address </div>
								<div class="profile-info-value">
									<span class="editable" id="contactEmail"><?php echo $contactEmail; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Location <small>(Office Location)</small></div>
								<div class="profile-info-value">
									<span class="editable" id="location"><?php echo $location; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Address </div>
								<div class="profile-info-value">
									<i class="fa fa-map-marker light-orange bigger-110"></i>
									<span class="editable" id="city"><?php echo $address.' '.$state;?></span>
									<span class="editable" id="country"><?php echo $country;?></span>
								</div>
							</div>
						</div>

						<hr>
						
					</div>
				</div>
			</div><!-- PAGE CONTENT ENDS -->
                             
		</div><!-- /.col -->
	</div><!-- /.row -->
</div><!-- /.page-content -->
</div>
</div><!-- /.main-content -->
			
<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
		
		// End Database Query
			}
		} else {
			echo "The client searched for is not existing or has been removed from  out database. Kindly contact the administrator for more information";
		}
	} else {
		header("Location: clients");
	}
	
	// End User Log 
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>