<?php
/**
 * installations-view.php
 *
 * This page displays Installations information
 * with a link added for them to edit the information.
 */
include("sys/core/session.php");
	// Include the function file
	$errMsg = "";
	$file = 'sys/core/functions.php';
	if ( file_exists($file) && is_readable($file))
	{
		include ($file);
	} else
	{
		$errMsg = "Error: included function file is missing";
	}
	
	// Display file to only authorised ussers
	if($session->isAdmin() || $session->isMD() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){

	if(isset($_GET['inst']))
	{
		$id=$_GET['inst'];
 	 	// Query database
		$sql="SELECT * FROM installations WHERE id = '$id' ";
		$retvall = mysql_query( $sql, $conn );
		if(mysql_num_rows($retvall) == 1){
			while($row = mysql_fetch_array($retvall)){
				$id 						= $row['id'];
				$title 						= $row['title'];
				$client 					= $row['client'];
				$location 					= $row['location'];
				$facility 					= $row['facility'];
				$jobNumber					= $row['jobNumber'];
				$type		 				= $row['type'];
				$installedOn				= $row['installedOn'];
				$nonMaterialCost		 	= $row['nonMaterialCost'];
				$pmsInterval		 		= $row['pmsInterval'];
				$itemReplaced				= $row['itemReplaced'];
				$numTechnicians 			= $row['numTechnicians'];
				$leadTechnician 			= $row['leadTechnician'];
				$newItem					= $row['newItem'];
				$manufacturer		 		= $row['manufacturer'];
				$modelNumber				= $row['modelNumber'];
				$powerRating		 		= $row['powerRating'];
				$paymentType		 		= $row['paymentType'];
				$installationDescription	= $row['installationDescription'];
				
						
		$pagename = $title. " Information" ;
		$pageslogan = $title." details";
		$parent		= "Installations";
		$parentUrl	= "installations";
		
		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>
	<div class="row">
		<div class="col-xs-12">
			<!-- PAGE CONTENT BEGINS -->
			<div>
				<div id="user-profile-1" class="user-profile row">
					
					<div class="col-xs-12 col-sm-12">
						<h3> Information</h3>
						<div class="profile-user-info profile-user-info-striped">
							<div class="profile-info-row">
								<div class="profile-info-name"> Title </div>
								<div class="profile-info-value">
									<span class="editable" id="csn"><?php echo $title; ?></span>
								</div>
							</div>
                            <div class="profile-info-row">
								<div class="profile-info-name"> Newly Installed Item </div>
								<div class="profile-info-value">
									<span class="editable" id="item"><?php echo $newItem; ?></span>
								</div>
							</div>
                            <div class="profile-info-row">
								<div class="profile-info-name"> Manufacturer </div>
								<div class="profile-info-value">
									<span class="editable" id="technician"><?php echo $manufacturer; ?></span>
								</div>
							</div>
                            <div class="profile-info-row">
								<div class="profile-info-name"> Model Number </div>
								<div class="profile-info-value">
									<span class="editable" id="technician"><?php echo $modelNumber; ?></span>
								</div>
							</div>
                            <div class="profile-info-row">
								<div class="profile-info-name"> Power Rating </div>
								<div class="profile-info-value">
									<span class="editable" id="technician"><?php echo $powerRating; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Installation Type </div>
								<div class="profile-info-value">
									<span class="editable" id="reportedBy"><?php echo $type; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Client </div>
								<div class="profile-info-value">
									<span class="editable" id="name"><?php echo $client; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Office Location </div>
								<div class="profile-info-value">
									<span class="editable" id="location"><?php echo $location; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Facility </div>
								<div class="profile-info-value">
									<span class="editable" id="facility"><?php echo $facility; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Installed On </div>
								<div class="profile-info-value">
									<span class="editable" id="reportedOn"><?php echo $installedOn; ?></span>
								</div>
							</div>
                            <div class="profile-info-row">
								<div class="profile-info-name"> Job Number </div>
								<div class="profile-info-value">
									<span class="editable" id="reportedBy"><?php echo $jobNumber; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Non Material Cost </div>
								<div class="profile-info-value">
									<span class="editable" id="nonMaterialCost"><?php echo $nonMaterialCost; ?></span>
								</div>
							</div>
                            <div class="profile-info-row">
								<div class="profile-info-name"> Payment Type </div>
								<div class="profile-info-value">
									<span class="editable" id="paymentType"><?php echo $paymentType; ?></span>
								</div>
							</div>
                            <div class="profile-info-row">
								<div class="profile-info-name"> Lead Technician </div>
								<div class="profile-info-value">
									<span class="editable" id="technician"><?php echo $leadTechnician; ?></span>
								</div>
							</div>
                            <div class="profile-info-row">
								<div class="profile-info-name"> Preventive Maintenance Interval </div>
								<div class="profile-info-value">
									<span class="editable" id="technician"><?php echo $pmsInterval; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Installation Description </div>
								<div class="profile-info-value">
									<span class="editable" id="serviceDescription"><?php echo $installationDescription; ?></span>
								</div>
							</div>
						</div>

						<div class="center">
							<br />
							<hr />
							<span class="bigger-110"><a href='installation-edit?inst=<?php echo $id; ?>' class='btn btn-primary' >  <i class="ace-icon fa fa-edit bigger-150 middle orange2"></i> Edit <?php echo $title; ?>'s Information <i class="icon-on-right ace-icon fa fa-arrow-right"></i></a></span>
						</div>
						
					</div>
                    
				</div>
			</div><!-- PAGE CONTENT ENDS -->
                             
		</div><!-- /.col -->
	</div><!-- /.row -->
</div><!-- /.page-content -->
</div>
</div><!-- /.main-content -->
			
<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
		
		// End Database Query
			}
		} else {
			echo "The client searched for is not existing or has been removed from  out database. Kindly contact the administrator for more information";
		}
	} else {
		header("Location: clients");
	}
	
	// End User Log 
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>