<?php
	/**
	 * maintenance-edit.php
	 *
	 * This is used to change/modify maintenance information
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 * Date: May 2016
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Edit Maintenance" ;
		$pageslogan = "change/update maintenance information";
		$parent		= "Maintenance";
		$parentUrl	= "maintenance";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>

		<div class="row">
			<div class="col-xs-12">
				<!-- PAGE CONTENT BEGINS -->

				<div class="row">
					
					<div class="col-sm-12">
	<?php 
			if(isset($_GET['m']))
			{
				$mid=$_GET['m'];
				$sql="SELECT * FROM maintenance WHERE id ='$mid' ";
				$retvall = mysql_query( $sql, $conn );
				if(mysql_num_rows($retvall) == 1)
				{
					while($row = mysql_fetch_array($retvall))
					{
						$title 						= $row['title'];
						$client 					= $row['client'];
						$location 					= $row['location'];
						$facility 					= $row['facility'];
						$item						= $row['item'];
						$type		 				= $row['type'];
						$startDate					= $row['startDate'];
						$endDate					= $row['endDate'];
						$nonMaterialCost		 	= $row['nonMaterialCost'];
						$numTechnicians 			= $row['numTechnicians'];
						$leadTechnician 			= $row['leadTechnician'];
						$maintenanceDescription		= $row['maintenanceDescription'];
	?> 

						<div class="center">
							<h3 class="header smaller lighter green">Edit <?php echo $title; ?>'s Information</h3>
						</div>
						
						<div class="client-feedback"></div>
						
						<div class="contact-form clearfix">
							<form name="form" class="form-horizontal" action="sys/core/update.php"  method="post">
								<div class="col-sm-6">
													
													<div class="form-group">
														<label for="title" class="col-sm-4 control-label no-padding-right">Title <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="text" name="title" id="title" placeholder="Enter Operation Title Here" class="form-control" value="<?php echo $title; ?>" required/>
														</div>
													</div>
													
													<div class="form-group">
														<label for="location" class="col-sm-4 control-label no-padding-right">Location <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="location" id="location"  class="form-control"  required>
                                                            	<option value="<?php if(!empty($location)){ echo $location; } else { echo ''; } ?>"> <?php if(!empty($location)){ echo $location; } else { echo '-- Choose office location --'; } ?> </option>
								<?php
														// Query database
														$sql="SELECT * FROM office";
														$retvall = mysql_query( $sql, $conn );
														if(mysql_num_rows($retvall) > 0){
															while($row = mysql_fetch_array($retvall)){
																$name	= $row['name'];
								?>
																<option value="<?php echo $name; ?>"><?php echo $name; ?></option>
                                <?php
															}
														} else {
															echo '<option value=" "> </option>';
														}
								?>
                                                            </select>
														</div>
													</div>
													
													<div class="form-group">
														<label for="client" class="col-sm-4 control-label no-padding-right">Client <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="client" id="chooseClient"  class="col-xs-12"  required>
                                                                <option value="<?php if(!empty($client)){ echo $client; } else { echo ''; } ?>"> <?php if(!empty($client)){ echo $client; } else { echo '-- Choose client --'; } ?> </option>
                                                    <?php
                                                        // Query database for client name
                                                        $sql="SELECT * FROM clients";
                                                        $retvall = mysql_query( $sql, $conn );
                                                            if(mysql_num_rows($retvall) > 0){
                                                                while($row = mysql_fetch_array($retvall)){
                                                                    $id		= $row['id'];
                                                                    $name	= $row['name'];
                                                    ?>
                                                                    <option value="<?php echo $id.' '.$name; ?>"><?php echo $name; ?></option>
                                                    <?php
                                                                }
                                                            } else {
                                                                echo '<option value=" "> </option>';
                                                            }
                                                    ?>
                                                            </select>
														</div>
													</div>
													
													<div class="form-group">
														<label for="facility" class="col-sm-4 control-label no-padding-right">Facility <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="facility" id="facility" class="postform" required>
                                                                <option value="<?php if(!empty($facility)){ echo $facility; } else { echo ''; } ?>"> <?php if(!empty($facility)){ echo $facility; } else { echo '-- Choose a client first --'; } ?> </option>
                                                            </select>
														</div>
													</div>
													<div class="form-group">
														<label for="item" class="col-sm-4 control-label no-padding-right">Item Type <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="item" id="item" class="form-control" required>
                                                                <option value="<?php if(!empty($item)){ echo $item; } else { echo ''; } ?>"> <?php if(!empty($item)){ echo $item; } else { echo '-- Choose an item --'; } ?> </option>
                                                    <?php
                                                        // Query database for item name
                                                        $sql="SELECT * FROM stock_in";
                                                        $retvall = mysql_query( $sql, $conn );
                                                            if(mysql_num_rows($retvall) > 0){
                                                                while($row = mysql_fetch_array($retvall)){
                                                                    $id		= $row['id'];
                                                                    $name	= $row['name'];
                                                    ?>
                                                                    <option value="<?php echo $id.'-'.$name; ?>"><?php echo $name; ?></option>
                                                    <?php
                                                                }
                                                            } else {
                                                                echo '<option value=" "> </option>';
                                                            }
                                                    ?>
                                                            </select>
														</div>
													</div>
                                                    <div class="form-group">
														<label for="item" id="addMainType" class="col-sm-4 control-label no-padding-right">Maintenance Type <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="type" id="type" class="form-control" required>
                                                                <option value="<?php if(!empty($type)){ echo $type; } else { echo ''; } ?>"> <?php if(!empty($type)){ echo $type; } else { echo '-- Choose maintenance type --'; } ?> </option>
                                                    <?php
                                                        // Query database for item name
                                                        $sql="SELECT * FROM maintenance_types";
                                                        $retvall = mysql_query( $sql, $conn );
                                                            if(mysql_num_rows($retvall) > 0){
                                                                while($row = mysql_fetch_array($retvall)){
                                                                   $name	= $row['name'];
                                                    ?>
                                                                    <option value="<?php echo $name; ?>"><?php echo $name; ?></option>
                                                    <?php
                                                                }
                                                            } else {
                                                                echo '<option value=" "> </option>';
                                                            }
                                                    ?>
                                                            </select>
                                                            <a data-toggle='modal' data-target='#newMaintenanceType' class="a-cat btn btn-primary btn-sm">
                                                                <i class="ace-icon fa fa-plus bigger-60"></i> 
                                                                Add Maintenance Type
                                                            </a>
                                                            <span id="addresult"> </span>
									   
														</div>
													</div>
                                                    
												</div>  <!-- End Div 6 -->
												
												
												<div class="col-sm-6">
													
													<div class="form-group">
														<label for="startDate" class="col-sm-4 control-label no-padding-right">Start Date <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
                                                        	<span class="input-icon">
                                                            	<input class="form-control date-picker" name="startDate" id="id-date-picker-1" type="text" data-date-format="yyyy-mm-dd" value="<?php echo $startDate; ?>" />	
                                                            	<i class="ace-icon fa fa-calendar"></i>
                                                        	</span>
														</div>
													</div>
                                                    <div class="form-group">
														<label for="endDate" class="col-sm-4 control-label no-padding-right">End Date <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
                                                        	<span class="input-icon">
                                                            	<input class="form-control date-picker" name="endDate" id="id-date-picker-1" type="text" data-date-format="yyyy-mm-dd" value="<?php echo $endDate; ?>" />	
                                                            	<i class="ace-icon fa fa-calendar"></i>
                                                        	</span>
														</div>
													</div>
                                                    
                                                    <div class="form-group">
														<label for="noTechnicians" class="col-sm-4 control-label no-padding-right">Non Material Cost <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="number" name="nonMaterialCost" id="nonMaterialCost" class="form-control" placeholder="Enter Amount Here" required value="<?php echo $nonMaterialCost; ?>" />
														</div>
													</div>
                                                    <div class="form-group">
														<label for="noTechnicians" class="col-sm-4 control-label no-padding-right">Number of Technicians <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="number" name="numTechnicians" id="numTechnicians" class="form-control" placeholder="How many technicians are working on this?" required value="<?php echo $numTechnicians; ?>" />
														</div>
													</div>
													<div class="form-group">
														<label for="serviceDate" class="col-sm-4 control-label no-padding-right">Lead Technician <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
                                                        	<span class="input-icon">
                                                            	<input type="text" name="leadTechnician" id="leadTechnician" class="form-control" placeholder="Enter Lead Technician's Name Here" required value="<?php echo $leadTechnician; ?>" />
                                                            	<i class="ace-icon fa fa-user"></i>
                                                        	</span>
														</div>
													</div>
                                                    
													<div class="form-group">
														<label for="maintenanceDescription" class="col-sm-4 control-label no-padding-right">Maintenance Description  <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<textarea id="maintenanceDescription" name="maintenanceDescription" required class="form-control"><?php echo $maintenanceDescription; ?></textarea>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
												
                                                
						<div class="center">
							<input type="hidden" name="id" id="id" value="<?php echo $mid; ?>" />
                            <input type="hidden" name="createdBy" id="createdBy" value="<?php echo $username; ?>" />
							<input type="submit" value="Update Data" name="editMaintenance" id="editMaintenance" class="btn btn-success" data-after-submit-value="Processing your request..."/>
							<input type="reset" value="Reset Form Fields" name="reset" class="btn btn-danger" />
						</div>
					</form>
				</div>
		<?php		
					}
				} else { echo "No record was found"; }
			} else { echo "The record your searched for does not exist"; }
		?>
					</div><!-- /.col -->

				</div><!-- /.row -->

				<div class="hr hr32 hr-dotted"></div>

										
				<!-- PAGE CONTENT ENDS -->
				</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.page-content -->
	</div>
</div><!-- /.main-content -->

<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>