<?php
	/**
	 * notifications.php
	 *
	 * This is used to create new clients
	 * It is also used to view registered clients
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Notifications" ;
		$pageslogan = "view recent/old notifications";
		$parent		= "";
		//$parentUrl	= "useredit.php";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>

		<div class="row">
			<div class="col-xs-12">
				<!-- PAGE CONTENT BEGINS -->

				<div class="row">
					
					<div class="col-sm-12">
						<div class="tabbable">
							<ul class="nav nav-tabs" id="myTab">
								
								<li class="active">
									<a data-toggle="tab" href="#allnotifications">
										<i class="green ace-icon fa fa-bell bigger-150"></i>
										Notifications
									</a>
								</li>
                                
                                <li>
									<a data-toggle="tab" href="#unseen">
										<span class="badge badge-important" id="refresh"> </span> Unseen Notifications
									</a>
								</li>

							</ul>

							<div class="tab-content">
								
								<div id="unseen" class="tab-pane fade">
									<div class="center">
										<div class="message-infobar" id="id-message-infobar">
											<span class="blue bigger-150">Unread Notifications</span>
										</div>
                                       	<div class="hr hr20 hr-dotted"></div>
									</div>
									<table id="notification2-grid" class="table table-striped table-bordered table-hover display" width="100%">
										<thead>
											<tr>
												<th class="center">
                                                    <label class="pos-rel">
                                                        <input type="checkbox" class="ace" id="bulkDelete" />
                                                        <span class="lbl"></span>
                                                    </label>
                                                </th>
												<th>Title</th>
												<th>Detail</th>
												<th>Came In</th>
											</tr>
										</thead>
										
										<tfoot>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Title</th>
												<th>Detail</th>
												<th>Came In</th>
											</tr>
										</tfoot>
									</table>
									
									
								</div>

								<div id="allnotifications" class="tab-pane fade in active">
									<div class="center">
										<div class="message-infobar" id="id-message-infobar">
											<span class="blue bigger-150">All Notifications</span>
										</div>
                                       	<div class="hr hr20 hr-dotted"></div>
									</div>
									<table id="notification-grid" class="table table-striped table-bordered table-hover display" width="100%">
										<thead>
											<tr>
												<th class="center">
                                                    <label class="pos-rel">
                                                        <input type="checkbox" class="ace" id="bulkDelete" />
                                                        <span class="lbl"></span>
                                                    </label>
                                                </th>
												<th>Title</th>
												<th>Detail</th>
												<th>Came In</th>
											</tr>
										</thead>
										
										<tfoot>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Title</th>
												<th>Detail</th>
												<th>Came In</th>
											</tr>
										</tfoot>
									</table>
									
									<button id="notificationReadTriger" class="btn btn-success"><i class="ace-icon fa fa-check" title="Mark As Read"></i>Mark Selected Notification(s) As Read </button>
									 
							 
					</div><!-- /.col -->

				</div><!-- /.row -->

				<div class="hr hr32 hr-dotted"></div>

										
				<!-- PAGE CONTENT ENDS -->
				</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.page-content -->
	</div>
</div><!-- /.main-content -->

<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>