<?php
	/**
	 * requisition.php
	 *
	 * This is used to place request for materials and also view/respond to requests
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Requisition" ;
		$pageslogan = "place a request for materials needed to carry out a job/task";
		$parent		= "";
		//$parentUrl	= "useredit.php";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>

		<div class="row">
			<div class="col-xs-12">
				<!-- PAGE CONTENT BEGINS -->

				<div class="row">
		<?php
			if(isset($_GET['succresp']))
			{
				$subject = $_GET['succresp'];
		?>
				<div class="alert alert-block alert-info">
					<button type="button" class="close" data-dismiss="alert">
						<i class="ace-icon fa fa-times"></i>
					</button>
					<i class="ace-icon fa fa-check green"></i>Your message titled (<strong><?php echo $subject; ?></strong>) was sent Successfully
				</div>
		<?php
			} else {
				if(isset($_GET['fail']))
				{
					$subject = $_GET['fail'];
			?>
					<div class="alert alert-block alert-danger">
						<button type="button" class="close" data-dismiss="alert">
							<i class="ace-icon fa fa-times"></i>
						</button>
						<i class="ace-icon fa fa-times red"></i> There was an error, and your message titled: <strong><?php echo $subject; ?></strong> was not sent. Try again lagter
					</div>
		<?php
				}
			}
		?>
					<div class="col-sm-12">
						<div class="tabbable">
                        	<ul id="inbox-tabs" class="inbox-tabs nav nav-tabs padding-16 tab-size-bigger tab-space-1">
								
								<li class="li-new-mail pull-right">
									<a data-toggle="tab" href="#write" class="btn-new-mail">
										<span class="btn btn-primary no-border">
											<i class="ace-icon fa fa-envelope bigger-130"></i>
											<span class="bigger-110">New Request</span>
										</span>
									</a>
								</li><!-- /.li-new-request -->
                                
                                <li class="active">
									<a data-toggle="tab" href="#allrequest">
										<i class="green ace-icon fa fa-inbox bigger-150"></i>
										Requests Inbox
									</a>
								</li>
                                
                                <li>
									<a data-toggle="tab" href="#unseen">
										<i class="black ace-icon fa fa-eye-slash bigger-130"></i>
                                        <span class="badge badge-important" id="load_req-countT"> </span> Unseen Requests
									</a>
								</li>
                                
                                <li>
									<a data-toggle="tab" href="#sent">
										<i class="blue ace-icon fa fa-location-arrow bigger-130"></i>
										<span class="bigger-110">Sent Requests</span>
									</a>
								</li>

							</ul>

							<div class="tab-content">
								
                                <div id="unseen" class="tab-pane fade">
									<div class="center">
										<div class="message-infobar" id="id-message-infobar">
											<span class="blue bigger-150">Unread Requests</span>
										</div>
                                       	<div class="hr hr20 hr-dotted"></div>
									</div>
									<table id="requisitions2-grid" class="table table-striped table-bordered table-hover display" width="100%">
										<thead>
											<tr>
												<th class="center">
                                                    <label class="pos-rel">
                                                        <input type="checkbox" class="ace" id="" />
                                                        <span class="lbl"></span>
                                                    </label>
                                                </th>
												<th>Sender</th>
												<th>Subject</th>
												<th>Detail</th>
												<th>Came In</th>
											</tr>
										</thead>
										
										<tfoot>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Sender</th>
                                                <th>Subject</th>
												<th>Detail</th>
												<th>Came In</th>
											</tr>
										</tfoot>
									</table>
									
								</div>
                                
                                
                                <div id="sent" class="tab-pane fade">
									<div class="center">
										<div class="message-infobar" id="id-message-infobar">
											<span class="blue bigger-150">Sent Requests</span>
										</div>
                                       	<div class="hr hr20 hr-dotted"></div>
									</div>
									<table id="requisitions3-grid" class="table table-striped table-bordered table-hover display" width="100%">
										<thead>
											<tr>
												<th class="center">
                                                    <label class="pos-rel">
                                                        <input type="checkbox" class="ace" id="" />
                                                        <span class="lbl"></span>
                                                    </label>
                                                </th>
												<th>Sent To</th>
												<th>Subject</th>
												<th>Detail</th>
												<th>Sent On</th>
											</tr>
										</thead>
										
										<tfoot>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Sent To</th>
												<th>Subject</th>
												<th>Detail</th>
												<th>Sent On</th>
											</tr>
										</tfoot>
									</table>
									
								</div>

								<div id="allrequest" class="tab-pane fade in active">
									<div class="center">
										<div class="message-infobar" id="id-message-infobar">
											<span class="blue bigger-150">Requests Inbox</span>
										</div>
                                       	<div class="hr hr20 hr-dotted"></div>
									</div>
									<table id="requisitions-grid" class="table table-striped table-bordered table-hover display" width="100%">
										<thead>
											<tr>
												<th class="center">
                                                    <label class="pos-rel">
                                                        <input type="checkbox" class="ace" id="" />
                                                        <span class="lbl"></span>
                                                    </label>
                                                </th>
												<th>Sender</th>
												<th>Subject</th>
												<th>Detail</th>
												<th>Came In</th>
											</tr>
										</thead>
										
										<tfoot>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Sender</th>
                                                <th>Subject</th>
												<th>Detail</th>
												<th>Came In</th>
											</tr>
										</tfoot>
									</table>
									<!--
									<button id="notificationReadTriger" class="btn btn-success"><i class="ace-icon fa fa-check" title="Mark As Read"></i>Mark Selected Notification(s) As Read </button>
									-->
							</div> 
                            
                            <!-- Start Compose Tab -->
								<div id="write" class="tab-pane fade">
									<div class="center">
										<div class="message-infobar" id="id-message-infobar">
											<span class="blue bigger-150">Compose And Send New Request</span>
										</div>
                                       	<div class="hr hr20 hr-dotted"></div>
									</div>
									
									<form id="" class="form-horizontal col-xs-12" action="sys/core/insert.php"  method="post">
                                        <div>
                                            <div class="form-group">
                                                <div class="col-sm-4">
                                                    <div class="col-sm-4">
                                                        <label class="control-label no-padding-right" for="form-field-recipient">Recipient:</label>
                                                    </div>
                                                    <div class="col-sm-8">
                                                        <span class="input-icon">
                                                            <input type="text" name="recipient" id="recipient" placeholder="Start Typing Recipient Name" class="form-control" required onkeyup="autorecipient()">		
                                                            <i class="ace-icon fa fa-user"></i>
                                                        </span>
                                                        <ul id="recipient_list"></ul>
                                                    </div>
                                                </div>
                                                <div class="col-sm-4">
                                                     <div class="col-sm-4">
                                                        <label class="control-label no-padding-right" for="form-field-subject">Subject:</label>
                                                    </div>
                                                    <div class="col-sm-8 col-xs-12">
                                                        <div class="input-icon block col-xs-12 no-padding">
                                                            <input maxlength="200" type="text" class="col-xs-12" name="subject" id="form-field-subject" placeholder="Subject" />
                                                            <i class="ace-icon fa fa-comment-o"></i>
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="col-sm-4">
                                                    <div class="col-sm-4">
                                                        <label class="control-label no-padding-right" for="form-field-subject">Type:</label>
                                                    </div>
                                                    <div class="col-sm-8 col-xs-12">
                                                        <div class="input-icon block col-xs-12 no-padding">
                                                            <select name="operation" id="operation" class="form-control" required>
                                                                <option value="">-- select request --</option>
                                                                <option value="Property Maintenance">Property Maintenance</option>
                                                                <option value="PPM Service">PPM Service</option>
                                                                <option value="Fault Repairs">Fault Repairs</option>
                                                            </select>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                            <div class="hr hr-18 dotted"></div>
                                            <div class="form-group">
                                                <div class="col-sm-4">
                                                    <div class="col-sm-4">
                                                        <label class="control-label no-padding-right" for="form-field-recipient">Location:</label>
                                                    </div>
                                                    <div class="col-sm-8">
                                                        <span class="input-icon">
                                                            <select name="location" id="location"  class="col-xs-12"  required>
                                                                <option value=""> -- Choose a location -- </option>
                                                    <?php
                                                        // Query database for client name
                                                        $sql="SELECT * FROM office";
                                                        $retvall = mysql_query( $sql, $conn );
                                                            if(mysql_num_rows($retvall) > 0){
                                                                while($row = mysql_fetch_array($retvall)){
                                                                    $name	= $row['name'];
                                                    ?>
                                                                    <option value="<?php echo $name; ?>"><?php echo $name; ?></option>
                                                    <?php
                                                                }
                                                            } else {
                                                                echo '<option value=" "> </option>';
                                                            }
                                                    ?>
                                                            </select>
                                                        </span>
                                                    </div>
                                                </div>
                                                
                                                <div class="col-sm-4">
                                                    <div class="col-sm-4">
                                                        <label class="control-label no-padding-right" for="form-field-recipient">Client:</label>
                                                    </div>
                                                    <div class="col-sm-8">
                                                        <span class="input-icon">
                                                            <select name="client" id="chooseClient"  class="col-xs-12"  required>
                                                                <option value=""> -- Choose a client -- </option>
                                                    <?php
                                                        // Query database for client name
                                                        $sql="SELECT * FROM clients";
                                                        $retvall = mysql_query( $sql, $conn );
                                                            if(mysql_num_rows($retvall) > 0){
                                                                while($row = mysql_fetch_array($retvall)){
                                                                    $id		= $row['id'];
                                                                    $name	= $row['name'];
                                                    ?>
                                                                    <option value="<?php echo $id.' '.$name; ?>"><?php echo $name; ?></option>
                                                    <?php
                                                                }
                                                            } else {
                                                                echo '<option value=" "> </option>';
                                                            }
                                                    ?>
                                                            </select>
                                                        </span>
                                                    </div>
                                                </div>
                                                
                                                <div class="col-sm-4">
                                                    <div class="col-sm-4">
                                                        <label class="control-label no-padding-right" for="form-field-recipient">Facility:</label>
                                                    </div>
                                                    <div class="col-sm-8">
                                                        <span class="input-icon">
                                                            <select name="facility" id="facility" class="postform" required>
                                                                <option value="">-- select a client first --</option>
                                                            </select>
                                                        </span>
                                                    </div>
                                                </div>
                                            
                                            </div>
                                            <div class="hr hr-18 dotted"></div>
                                            <div class="form-group">
                                                <div class="col-sm-8">
                                                    <div class="col-sm-2">
                                                        <label class="control-label no-padding-right">
                                                            <span class="inline space-24 hidden-480"></span>
                                                            Message:
                                                        </label>
                                                    </div>
                                                    <div class="col-sm-10">
                                                        <textarea id="description" name="description" required class="form-control"></textarea>
                                                    </div>
                                                </div>
                                                <div class="col-sm-4">
                                                    <label class="control-label no-padding-right" for="tag">Tag <small>(How important is this request?)</small>:</label><br />
                                                    <div class="input-icon block col-xs-12 no-padding">
                                                        <select name="tag" id="tag" class="form-control" required>
                                                            <option value="">-- select importance level --</option>
                                                            <option value="1">Very Urgent</option>
                                                            <option value="2">Urgent</option>
                                                            <option value="3">Normal</option>
                                                        </select>
                                                    </div>
                                                    <div class="hr hr-18 dotted"></div>
                                                    
                                                    <input type="hidden" id="sender" value="<?php echo $username; ?>" name="sender">
                                                </div>
                                            </div>
                                                             
                                        </div>
                                        <H1>&nbsp;</H1>
                                        <div class="hr hr-18 dotted"></div>
                                            
                                        <div class="messagebar-item-left">
                                            <span class="inline btn-send-message">
                                                <button type="reset" class="btn btn-sm btn-danger no-border btn-white btn-round">
                                                    <span class="bigger-110" id="send">Reset Form</span>
                                                    <i class="ace-icon fa fa-refresh icon-on-left"></i>
                                                </button>
                                            </span>
                                        </div>
                                        <div class="messagebar-item-right">
                                            <span class="inline btn-send-message">
                                                <button type="submit" class="btn btn-sm btn-success no-border btn-success btn-round" data-back-btn-text="Sending Request..." id="sendRequest" name="sendRequest">
                                                    <span class="bigger-110" id="send">Send Request Form</span>
                                                    <i class="ace-icon fa fa-send icon-on-right"></i>
                                                </button>
                                            </span>
                                        </div>
                                    </form>
    
								</div> <!-- End Tab -->
                                
                               
					</div><!-- /.col -->

				</div><!-- /.row -->

				<div class="hr hr32 hr-dotted"></div>

										
				<!-- PAGE CONTENT ENDS -->
				</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.page-content -->
	</div>
</div><!-- /.main-content -->

<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>