<?php
/* Database connection start */
include 'conn.php';


// storing  request (ie, get/post) global array to a variable  
$requestData= $_REQUEST;

//id,csn,name,address,state,country,contactperson,phonenumber,otherphones,email,relstatus,basepost,relmanager,signedondate 

$columns = array( 
// datatable column index  => database column name
	0=>'id',
	1=>'name',
	2=>'address',
	3=>'email',
	4=>'relmanager',
	5=>'csn'
);

// getting total number records without any search
$sql = "SELECT * FROM clients";
$query=mysqli_query($conn, $sql) or die("client_grid.php: get clients");
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;  // when there is no search parameter then total number rows = total number filtered rows.


$sql = "SELECT * FROM clients WHERE 1=1";
if( !empty($requestData['search']['value']) ) {   // if there is a search parameter, $requestData['search']['value'] contains search parameter
	$sql.=" AND ( name LIKE '".$requestData['search']['value']."%' ";    
	$sql.=" OR address LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR state LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR relmanager LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR email LIKE '".$requestData['search']['value']."%' )";
}
$query=mysqli_query($conn, $sql) or die("client_grid.php: get clients");
$totalFiltered = mysqli_num_rows($query); // when there is a search parameter then we have to modify total number filtered rows as per search result. 
$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
/* $requestData['order'][0]['column'] contains colmun index, $requestData['order'][0]['dir'] contains order such as asc/desc  */	
$query=mysqli_query($conn, $sql) or die("client_grid.php: get clients");

$data = array();
$i=1+$requestData['start'];
while( $row=mysqli_fetch_array($query) ) {  // preparing an array
	$nestedData=array(); 
	
	$nestedData[] = "<label class='pos-rel'>
	<input type='checkbox' class='deleteRow ace' value='".$row['id']."' /> 
	<span class='lbl'></span>
	</label>".$i ;
	$nestedData[] = $row["name"].' (<small>'.$row["csn"].'</small>)';
	$nestedData[] = $row["address"].' '.$row["state"].', '.$row["country"];
	$nestedData[] = $row["email"];
	$nestedData[] = $row["relmanager"];
	$nestedData[] = '<div class="btn-group">
						<a href="client-view?c='.$row['id'].'" class="btn btn-xs btn-success" title="View Client Record">
							<i class="ace-icon fa fa-eye bigger-120"></i>
						</a>
						<a href="client-edit?c='.$row['id'].'" class="btn btn-xs btn-info" title="Edit Client Record">
							<i class="ace-icon fa fa-edit bigger-120"></i>
						</a>
					</div>';
	
	$data[] = $nestedData;
	$i++;
}



$json_data = array(
			"draw"            => intval( $requestData['draw'] ),   // for every request/draw by clientside , they send a number as a parameter, when they recieve a response/data they first check the draw number, so we are sending same number in draw. 
			"recordsTotal"    => intval( $totalData ),  // total number of records
			"recordsFiltered" => intval( $totalFiltered ), // total number of records after searching, if there is no searching then totalFiltered = totalData
			"data"            => $data   // total data array
			);

echo json_encode($json_data);  // send data as json format

?>