<?php
/* Database connection start */
include 'conn.php';


// storing  request (ie, get/post) global array to a variable  
$requestData= $_REQUEST;

//id name type unitCost qtySupplied qtyLeft vendor 	description totalAmount addedBy addedOn 	confirmedBy  

$columns = array( 
// datatable column index  => database column name
	0=>'id',
	1=>'name',
	2=>'unitCost',
	3=>'qtySupplied',
	4=>'qtyLeft',
	5=>'vendor',
	6=>'description',
	7=>'totalAmount'
);

// getting total number records without any search
$sql = "SELECT * FROM stock_in";
$query=mysqli_query($conn, $sql) or die("store_grid.php: get store");
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;  // when there is no search parameter then total number rows = total number filtered rows.


$sql = "SELECT * FROM stock_in WHERE 1=1";
if( !empty($requestData['search']['value']) ) {   // if there is a search parameter, $requestData['search']['value'] contains search parameter
	$sql.=" AND ( name LIKE '".$requestData['search']['value']."%' ";    
	$sql.=" OR addedOn LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR unitCost LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR qtyLeft LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR qtySupplied LIKE '".$requestData['search']['value']."%' )";
}
$query=mysqli_query($conn, $sql) or die("storer_grid.php: get store");
$totalFiltered = mysqli_num_rows($query); // when there is a search parameter then we have to modify total number filtered rows as per search result. 
$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
/* $requestData['order'][0]['column'] contains colmun index, $requestData['order'][0]['dir'] contains order such as asc/desc  */	
$query=mysqli_query($conn, $sql) or die("store_grid.php: get store");

$data = array();
$i=1+$requestData['start'];
while( $row=mysqli_fetch_array($query) ) {  // preparing an array
	
	$date = date('l jS \of F Y', strtotime($row['addedOn']));
	$time = date('h:i:s A', strtotime($row['addedOn']));
	
	$qtyLeft = $row["qtyLeft"];
	$qtySupplied = $row["qtySupplied"];
	$remaining = $qtySupplied - $qtyLeft;
	
	$nestedData=array(); 
	
	$nestedData[] = "<label class='pos-rel'>
	<input type='checkbox' class='deleteRow ace' value='".$row['id']."' /> 
	<span class='lbl'></span>
	</label>".$i ;
	$nestedData[] = $row["name"].' <font color="#0099FF">(<small>'.$row["type"].'</font></small>)';
	$nestedData[] = $row["unitCost"];
	$nestedData[] = $qtySupplied;
	$nestedData[] = $row["totalAmount"];
	$nestedData[] = $remaining;
	$nestedData[] = "<span class='pull-right badge badge-info'>".$date."</span> <br> <small>".$time."</small>";
	$nestedData[] = '<div class="btn-group">
						<a href="item-view?i='.$row['id'].'" class="btn btn-xs btn-success" title="View Item Record">
							<i class="ace-icon fa fa-eye bigger-120"></i> view
						</a>
					</div>';
	
	$data[] = $nestedData;
	$i++;
}



$json_data = array(
			"draw"            => intval( $requestData['draw'] ),   // for every request/draw by clientside , they send a number as a parameter, when they recieve a response/data they first check the draw number, so we are sending same number in draw. 
			"recordsTotal"    => intval( $totalData ),  // total number of records
			"recordsFiltered" => intval( $totalFiltered ), // total number of records after searching, if there is no searching then totalFiltered = totalData
			"data"            => $data   // total data array
			);

echo json_encode($json_data);  // send data as json format

?>