<?php
// default time zone
date_default_timezone_set("Africa/Lagos");
// Get current date and time
//$today = date("F j, Y, g:i:s a");

	// Copyright date
   function auto_copyright($year = 'auto'){ 
	   if(intval($year) == 'auto'){ $year = date('Y'); }
	   if(intval($year) == date('Y')){ echo intval($year); }
	   if(intval($year) < date('Y')){ echo intval($year) . ' - ' . date('Y'); }
	   if(intval($year) > date('Y')){ echo date('Y'); }
	}
	
	function percentage($val1, $val2, $precision) 
	{
		$division = $val1 / $val2;

		$res = $division * 100;

		$res = round($res, $precision);
		
		return $res;
	}
	
	
	// Function to calculate x minutes ago
	function humanTiming ($time)
	{
	
		$time = time() - $time; // to get the time since that moment
		$time = ($time<1)? 1 : $time;
		$tokens = array (
			31536000 => 'year',
			2592000 => 'month',
			604800 => 'week',
			86400 => 'day',
			3600 => 'hour',
			60 => 'minute',
			1 => 'second'
		);
	
		foreach ($tokens as $unit => $text) {
			if ($time < $unit) continue;
			$numberOfUnits = floor($time / $unit);
			return $numberOfUnits.' '.$text.(($numberOfUnits>1)?'s':'');
		}
	
	}

// Include the page header file
$errMsg = "";
$file = 'sys/core/functions.php';
if ( file_exists($file) && is_readable($file))
{
	include ($file);
} else
{
	$errMsg = "Error: included function file is missing";
}
	
	$username = $session->username;
	
	/* Requested Username error checking */
	$req_user = $session->username;
	/* Display requested user information */
	$req_user_profile = $database->getUserProfile($req_user);

	/**
	 * User has already logged in, so display relavent links, including
	 * a link to the admin center if the user is an administrator.
	 */
	 $fullname = $req_user_profile['firstname'].' '.$req_user_profile['lastname'].' '.$req_user_profile['othernames'];
	 $fullnameShort = $req_user_profile['firstname'].' '.$req_user_profile['lastname'];
	 //$date = strtotime($req_user_profile['dob']);
	 //$year=date("Y",$date);
	 //$age = date('Y') - $year;
	  
	 $img = $req_user_profile['pics'];
	 if ($img == "") { $dp = "studentFemale.png"; } else { $dp  = $img; }
 
 
?>


<!DOCTYPE html>
<html lang="en">
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1" />
		<meta charset="utf-8" />
		<title><?php echo $pagename; ?> - FMX-MIS</title>

		<!-- Favicon -->
		<link rel="shortcut icon" type="image/png" href="assets/images/fmxIcon.png"/>

		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />

		<!-- bootstrap & fontawesome -->
		<link rel="stylesheet" href="assets/css/bootstrap.min.css" />
		<link rel="stylesheet" href="assets/font-awesome/4.2.0/css/font-awesome.min.css" />

		<!-- page specific plugin styles -->
		<link rel="stylesheet" href="assets/css/jquery-ui.custom.min.css" />
		<link rel="stylesheet" href="assets/css/chosen.min.css" />
		<link rel="stylesheet" href="assets/css/datepicker.min.css" />
		<link rel="stylesheet" href="assets/css/bootstrap-timepicker.min.css" />
		<link rel="stylesheet" href="assets/css/daterangepicker.min.css" />
		<link rel="stylesheet" href="assets/css/bootstrap-datetimepicker.min.css" />
		<link rel="stylesheet" href="assets/css/colorpicker.min.css" />
		<!-- My Own Addon -->
		<link rel="stylesheet" href="assets/css/style.css" />
        <link rel="stylesheet" href="assets/css/animate.css" />
        

		<!-- text fonts -->
		<link rel="stylesheet" href="assets/fonts/fonts.googleapis.com.css" />

		<!-- ace styles -->
		<link rel="stylesheet" href="assets/css/ace.min.css" class="ace-main-stylesheet" id="main-ace-style" />

		<!--[if lte IE 9]>
			<link rel="stylesheet" href="assets/css/ace-part2.min.css" class="ace-main-stylesheet" />
		<![endif]-->

		<!--[if lte IE 9]>
		  <link rel="stylesheet" href="assets/css/ace-ie.min.css" />
		<![endif]-->

		<!-- inline styles related to this page -->

		<!-- ace settings handler -->
		<script src="assets/js/ace-extra.min.js"></script>

		<!-- HTML5shiv and Respond.js for IE8 to support HTML5 elements and media queries -->

		<!--[if lte IE 8]>
		<script src="assets/js/html5shiv.min.js"></script>
		<script src="assets/js/respond.min.js"></script>
		<![endif]-->
		
	

		<script>
            function csv(){
            document.print_csv.submit();
            }
        </script>
        
        <style type="text/css">
.stepwizard-step p {
    margin-top: 10px;
}

.stepwizard-row {
    display: table-row;
}

.stepwizard {
    display: table;
    width: 100%;
    position: relative;
}

.stepwizard-step button[disabled] {
    opacity: 1 !important;
    filter: alpha(opacity=100) !important;
}

.stepwizard-row:before {
    top: 36px;
    bottom: 0;
    position: absolute;
    content: " ";
    width: 100%;
    height: 2px;
    background-color: #f2f4f6;
    z-order: 0;

}

.stepwizard-step {
    display: table-cell;
    text-align: center;
    position: relative;
}

.btn-circle {
  width: 70px;
  height: 70px;
  text-align: center;
  padding: 16px 0;
  font-size: 12px;
  line-height: 1.428571429;
  border-radius: 50px;
}

/* Important part */
.modal-dialog{
    overflow-y: initial !important
}
.modal-body{
    height: 450px;
    overflow-y: auto;
}
		</style> 
		
	</head>

	<body class="no-skin">

		<div id="navbar" class="navbar navbar-default">
			<script type="text/javascript">
				try{ace.settings.check('navbar' , 'fixed')}catch(e){}
			</script>

			<div class="navbar-container" id="navbar-container">
				<button type="button" class="navbar-toggle menu-toggler pull-left" id="menu-toggler" data-target="#sidebar">
					<span class="sr-only">Toggle sidebar</span>

					<span class="icon-bar"></span>

					<span class="icon-bar"></span>

					<span class="icon-bar"></span>
				</button>

				<div class="navbar-header pull-left">
					<a href="dashboard" class="navbar-brand">
						<small>
							<img src="assets/images/fmxLogo.png" alt="logo" width="58%">
						</small>
					</a>
				</div>

				<div class="navbar-buttons navbar-header pull-right" role="navigation">
					<ul class="nav ace-nav">
						<li class="purple">
							<a data-toggle="dropdown" class="dropdown-toggle" href="#">
								<i class="ace-icon fa fa-bell icon-animated-bell"></i>
								<span class="badge badge-important" id="load_counts"> </span>
							</a>

							<ul class="dropdown-menu-right dropdown-navbar navbar-primary dropdown-menu dropdown-caret dropdown-close">
								<li class="dropdown-header" >
									<i class="ace-icon fa fa-exclamation-triangle"></i> unread notifications
								</li>

								<li class="dropdown-content">
									<ul class="dropdown-menu dropdown-navbar navbar-primary" id="load_content">
									
                                    
                                    </ul>
								</li>

								<li class="dropdown-footer">
									<a href="notifications">
										See all notifications
										<i class="ace-icon fa fa-arrow-right"></i>
									</a>
								</li>
							</ul>
                            
						</li>
                        
                        <li class="green">
							<a data-toggle="dropdown" class="dropdown-toggle" href="#">
								<i class="ace-icon fa fa-envelope icon-animated-vertical"></i>
								<span class="badge badge-success" id="load_req-counts"> </span>
							</a>

							<ul class="dropdown-menu-right dropdown-navbar dropdown-menu dropdown-caret dropdown-close">
								<li class="dropdown-header">
									<i class="ace-icon fa fa-envelope-o"></i> New Messages
								</li>

								<li class="dropdown-content">
									<ul class="dropdown-menu dropdown-navbar" id="load_req-content">
										
									</ul>
								</li>

								<li class="dropdown-footer">
									<a href="requisition">
										See all messages
										<i class="ace-icon fa fa-arrow-right"></i>
									</a>
								</li>
							</ul>
						</li>
						
						<li class="red">
							<a data-toggle="dropdown" href="#" class="dropdown-toggle">
								<?php
									echo '<img class="nav-user-photo" alt="avatar" src="assets/images/staff/'.$dp.'"> ';
								?>
								 
								<span class="user-info">
									<?php echo $fullnameShort; ?>
								</span>

								<i class="ace-icon fa fa-caret-down"></i>
							</a>

							<ul class="user-menu dropdown-menu-right dropdown-menu dropdown-yellow dropdown-caret dropdown-close">
								<li>
									<a href="useredit">
										<i class="ace-icon fa fa-cog"></i>
										Account Settings
									</a>
								</li>

								<li>
									<a href="userinfo">
										<i class="ace-icon fa fa-user"></i>
										Profile
									</a>
								</li>

								<li class="divider"></li>

								<li>
									<a href="process">
										<i class="ace-icon fa fa-power-off"></i>
										Logout <?php echo '(' . $session->username . ')' ;?>
									</a>
								</li>
							</ul>
						</li>
					</ul>
				</div>
			</div><!-- /.navbar-container -->
		</div>

		<div class="main-container" id="main-container">
			<script type="text/javascript">
				try{ace.settings.check('main-container' , 'fixed')}catch(e){}
			</script>

			<div id="sidebar" class="sidebar responsive">
				<script type="text/javascript">
					try{ace.settings.check('sidebar' , 'fixed')}catch(e){}
				</script>

				<ul class="nav nav-list">
					
					<?php 
						// automate class active
						$active = $active1 = $active2 = $active2a = $active3 = $active4 = $active5 = $active6 = $active6a = $active6b = $active6c = $active6d = $active6e = $active6f = $active6g = $active11a = $active11b = $active11c = '';
						$active7 = $active7a = $active7b = $active7c = $active7d = $active7e = $active7f = $active7g = $active11 = $active12 = $active13 = '';
						if ($pagename == 'Clients' || $pagename == 'Add New Client Record' || $pagename == 'Edit Client Record' || $pagename == 'Client Information') {
							$active1 = 'class="active"';
						} else if ($pagename == 'Vendors' || $pagename == 'Add New Vendor Record' || $pagename == 'Edit Vendor Record' || $pagename == 'Vendor Information') {
							$active2 = 'class="active"';
						} else if ($pagename == 'Office Locations' || $pagename == 'Add New Office Record' || $pagename == 'Edit Office Record' || $pagename == 'Office Information') {
							$active3 = 'class="active"';
						} else if ($pagename == 'Store' || $pagename == 'Item Information' || $pagename == 'Edit Item Details') {
							$active4 = 'class="active"';
						} else if ($pagename == 'Facilities' || $pagename == 'Edit Facility' || $pagename == 'View Facility') {
							$active5 = 'class="active"';
						} else if ($pagename == 'Requisition' || $pagename == 'Manage Operations' || $pagename == 'Edit Operation Record' || $pagename == 'Preventive Maintenance' || $pagename == 'Edit Preventive Maintenance Record' || $pagename == 'Fault Repair'  || $pagename == 'Edit Fault Repair' || $pagename == 'Installations' || $pagename == 'Edit Installation' || $pagename == 'Maintenance' || $pagename == 'Edit Maintenance') {
							// Assign active to sub menu
							if ($pagename == 'Requisition'){
								$active6a = 'class="active"';
							} else if ($pagename == 'Manage Operations' || $pagename == 'Edit Operation Record'){
								$active6b = 'class="active"';
							} else if ($pagename == 'Preventive Maintenance' || $pagename == 'Edit Preventive Maintenance Record'){
								$active6c = 'class="active"';
							} else if ($pagename == 'Fault Repair'  || $pagename == 'Edit Fault Repair'){
								$active6d = 'class="active"';
							} else if ($pagename == 'Installations' || $pagename == 'Edit Installation'){
								$active6e = 'class="active"';
							} else if ($pagename == 'Maintenance' || $pagename == 'Edit Maintenance'){
								$active6f = 'class="active"';
							} else {
								$active6g = 'class="active"';
							}
							$active6 = 'class="active open"';
						} else if ($pagename == 'Generate Report' || $pagename == 'Cash Office') {
							// Assign active to sub menu
							if ($pagename == 'Generate Report'){
								$active7a = 'class="active"';
							} else if ($pagename == 'Cash Office'){
								$active7b = 'class="active"';
							} else {
								$active7g = 'class="active"';
							}
							$active7 = 'class="active open"';
						} else if ($pagename == 'Edit Profile' || $pagename == 'User Account Settings' || $pagename == 'User Profile') {
							// Assign active to sub menu
							if ($pagename == 'Edit Profile'){
								$active11b = 'class="active"';
							} else if ($pagename == 'User Account Settings'){
								$active11a = 'class="active"';
							} else {
								$active11c = 'class="active"';
							}
							$active11 = 'class="active open"';
						} else {
							$active = 'class="active"';
						}
					?>
					
					<li <?php echo $active; ?>>
						<a href="dashboard">
							<i class="menu-icon fa fa-tachometer"></i>
							<span class="menu-text"> Dashboard </span>
						</a>

						<b class="arrow"></b>
					</li>
					
					<li <?php echo $active11; ?>>
						<a href="#" class="dropdown-toggle">
							<i class="menu-icon fa fa-user"></i>
							<span class="menu-text"> My Profile </span>

							<b class="arrow fa fa-angle-down"></b>
						</a>

						<b class="arrow"></b>

						<ul class="submenu">
							
							<li <?php echo $active11a; ?>>
								<a href="useredit">
									<i class="menu-icon fa fa-cog"></i>
									Account Settings
								</a>

								<b class="arrow"></b>
							</li>
							<li <?php echo $active11b; ?>>
								<a href="editProfile">
									<i class="menu-icon fa fa-user"></i>
									Edit Profile
								</a>

								<b class="arrow"></b>
							</li>
							<li <?php echo $active11c; ?>>
								<a href="userinfo">
									<i class="menu-icon fa fa-user"></i>
									View Profile
								</a>

								<b class="arrow"></b>
							</li>

						</ul>
					</li>
					
					<li <?php echo $active3; ?>>
						<a href="office">
							<i class="menu-icon fa fa-home"></i>
							<span class="menu-text"> Office Locations</span>
						</a>
						<b class="arrow"></b>
					</li>
                    
                    <li <?php echo $active1; ?>>
						<a href="clients">
							<i class="menu-icon fa fa-suitcase"></i>
							<span class="menu-text"> Clients </span>
						</a>
						<b class="arrow"></b>
					</li>
					
					<li <?php echo $active2; ?>>
						<a href="vendors">
							<i class="menu-icon fa fa-wrench"></i>
							<span class="menu-text"> Vendors </span>
						</a>

						<b class="arrow"></b>
					</li>
					
					<li <?php echo $active4; ?>>
						<a href="store">
							<i class="menu-icon fa fa-shopping-cart"></i>
							<span class="menu-text"> Store Management </span>
						</a>

						<b class="arrow"></b>
					</li>
					
					<li <?php echo $active5; ?>>
						<a href="facilities">
							<i class="menu-icon fa fa-bank"></i>
							<span class="menu-text"> Facilities </span>
						</a>

						<b class="arrow"></b>
					</li>
					
					<li <?php echo $active6; ?>>
						<a href="#" class="dropdown-toggle">
							<i class="menu-icon fa fa-gears"></i>
							<span class="menu-text"> Facility Operations </span>
							<b class="arrow fa fa-angle-down"></b>
						</a>
						<b class="arrow"></b>
						<ul class="submenu">
							
							<li <?php echo $active6a; ?>>
								<a href="requisition">
									<i class="menu-icon fa fa-send"></i>
									Requisition
								</a>
								<b class="arrow"></b>
							</li>
							<li <?php echo $active6b; ?>>
								<a href="operations">
									<i class="menu-icon fa fa-wrench"></i>
									Operations
								</a>
								<b class="arrow"></b>
							</li>
							<li <?php echo $active6c; ?>>
								<a href="preventive_maintenance">
									<i class="menu-icon fa fa-gear"></i>
									Preventive Maintenance
								</a>
								<b class="arrow"></b>
							</li>
                            <li <?php echo $active6d; ?>>
								<a href="fault-repair">
									<i class="menu-icon fa fa-fire-extinguisher"></i>
									Fault Repair
								</a>
								<b class="arrow"></b>
							</li>
                            <li <?php echo $active6e; ?>>
								<a href="installations">
									<i class="menu-icon fa fa-anchor"></i>
									Installations
								</a>
								<b class="arrow"></b>
							</li>
                            <li <?php echo $active6f; ?>>
								<a href="maintenance">
									<i class="menu-icon fa fa-leaf"></i>
									Maintenance
								</a>
								<b class="arrow"></b>
							</li>

						</ul>
					</li>
                    
                    <li <?php echo $active7; ?>>
						<a href="#" class="dropdown-toggle">
							<i class="menu-icon fa fa-money"></i>
							<span class="menu-text"> Accounting </span>
							<b class="arrow fa fa-angle-down"></b>
						</a>
						<b class="arrow"></b>
						<ul class="submenu">
							
							<li <?php echo $active7a; ?>>
								<a href="generate-report">
									<i class="menu-icon fa fa-file-excel-o"></i>
									Generate Report
								</a>
								<b class="arrow"></b>
							</li>
							<li <?php echo $active7b; ?>>
								<a href="cash-office">
									<i class="menu-icon fa fa-money"></i>
									Cash Office
								</a>
								<b class="arrow"></b>
							</li>
                            
						</ul>
					</li>
					
					<li class="">
						<a href="mailto:e.ibeh@xlafricagroup.com?subject=FMX%20MIS%20System%20Error">
							<i class="menu-icon fa fa-bug"></i>
							<span class="menu-text"> Report Error </span>
						</a>

						<b class="arrow"></b>
					</li>

					
				</ul><!-- /.nav-list -->

				<div class="sidebar-toggle sidebar-collapse" id="sidebar-collapse">
					<i class="ace-icon fa fa-angle-double-left" data-icon1="ace-icon fa fa-angle-double-left" data-icon2="ace-icon fa fa-angle-double-right"></i>
				</div>

				<script type="text/javascript">
					try{ace.settings.check('sidebar' , 'collapsed')}catch(e){}
				</script>
			</div>
			
			<div class="main-content">
				<div class="main-content-inner">
					<div class="breadcrumbs" id="breadcrumbs">
						<script type="text/javascript">
							try{ace.settings.check('breadcrumbs' , 'fixed')}catch(e){}
						</script>

						<ul class="breadcrumb">
							<li>
								<i class="ace-icon fa fa-home home-icon"></i>
								<a href="dashboard">Home</a>
							</li>
							<?php if ($parent == ""){ echo "";} else { ?>
							<li>
								<a href="<?php echo $parentUrl; ?>"><?php echo $parent; ?></a>
							</li>
							<?php } ?>
							<li class="active"><?php echo $pagename; ?></li>
						</ul><!-- /.breadcrumb -->

						<div class="nav-search" id="nav-search">
							<!-- Display Current Date and Time -->
							<div id="clockbox"></div>
							<!-- /Display -->
							<!--
							<form class="form-search">
								<span class="input-icon">
									<input type="text" placeholder="Search ..." class="nav-search-input" id="nav-search-input" autocomplete="off" />
									<i class="ace-icon fa fa-search nav-search-icon"></i>
								</span>
							</form>
							-->
						</div><!-- /.nav-search -->
					</div>

					<div class="page-content">

						<div class="page-header">
							<h1>
								<?php echo $pagename; ?>
								<small>
									<i class="ace-icon fa fa-angle-double-right"></i>
									<?php echo $pageslogan; ?>
								</small>
							</h1>
						</div><!-- /.page-header -->