<?php
	/**
	 * UserEdit.php
	 *
	 * This page is for users to edit their account information
	 * such as their password, email address, etc. Their
	 * usernames can not be edited. When changing their
	 * password, they must first confirm their current password.
	 *
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isMD() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup() || $session->isStaff()){
		$pagename = "User Account Settings" ;
		$pageslogan = "update your login details";
		$parent		= "";
		//$parentUrl	= "useredit.php";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>

						<div class="row">
							<div class="col-xs-12">
								<!-- PAGE CONTENT BEGINS -->
								<?php
									/* Requested Username error checking */
									$req_user = $session->username;
									/* Display requested user information */
									$req_user_profile = $database->getUserProfile($req_user);
									$req_user_info = $database->getUserInfo($req_user);
								
								
                                    /**
                                     * User has submitted form without errors and user's
                                     * account has been edited successfully.
                                     */
                                    if(isset($_SESSION['useredit'])){
                                       unset($_SESSION['useredit']);
                                       
                                       echo '<div id="login-alert" class="alert alert-success col-sm-11">Your Account Settings Was Updated Successfully</div>';
                                    }
                                    else{ 
									
									
									   //echo '<div id="login-alert" class="alert alert-danger col-sm-11">Sorry, something went wrong and your account was  not updated</div>';
                                 
								 
                                    /**
                                     * If user is not logged in, then do not display anything.
                                     * If user is logged in, then display the form to edit
                                     * account information, with the current email address
                                     * already in the field.
                                     */
                                    if($session->logged_in){
                                    
                                    if($form->num_errors > 0){
                                       echo "<font size=\"2\" color=\"#ff0000\">".$form->num_errors." error(s) found</font>";
                                    }
                                ?>
								
                                
                                <form class="form-horizontal" role="form" action="process.php" method="POST" name="insertform">
									<fieldset>
										<div class="form-group">
                                            <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Current Password <i class='fa fa-key fa' style='color: red;'></i>  </label>
    
                                            <div class="col-sm-9">
                                                <input class="col-xs-10 col-sm-5" placeholder="Enter Current Password" type="password" name="curpass" maxlength="30" value="<?php echo $form->value("curpass"); ?>"><?php echo $form->error("curpass"); ?>
                                            </div>
										</div>
                                        
                                        <div class="form-group">
                                            <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> New Password  <i class='fa fa-key fa' style='color: green;'></i>  </label>
    
                                            <div class="col-sm-9">
                                                <input class="col-xs-10 col-sm-5" placeholder="Enter New Password" type="password" name="newpass" maxlength="30" value="<?php echo $form->value("newpass"); ?>"><?php echo $form->error("newpass"); ?>
                                            </div>
										</div>
                                        
                                        <div class="form-group">
                                            <label class="col-sm-3 control-label no-padding-right" for="form-field-1"> Email Address <i class='fa fa-envelope fa' style='color: red;'></i> </label>
                                            <div class="col-sm-9">
                                                <input class="col-xs-10 col-sm-5" placeholder="Registered Email Address"  name="email" maxlength="50" value="
                                    <?php
                                    if($form->value("email") == ""){
                                       echo $session->userinfo['email'];
                                    }else{
                                       echo $form->value("email");
                                    }
                                    ?>"><?php echo $form->error("email"); ?>
                                                
                                            </div>
										</div>
                                        
										
                                        
                                        <div class="clearfix form-actions">
                                            <div class="col-md-offset-3 col-md-9">
                                            <input type="hidden" name="subedit" value="1">
                                                <button class="btn btn-info" type="submit" name="update">
                                                    <i class="ace-icon fa fa-check bigger-110"></i>
                                                    Update Account Settings
                                                </button>
                                            </div>
                                        </div>

									</fieldset>
								</form>
                                
                                        <?php
                                        }
                                    }
                                    
                                ?>
								<!-- PAGE CONTENT ENDS -->
							</div><!-- /.col -->
						</div><!-- /.row -->
					</div><!-- /.page-content -->
				</div>
			</div><!-- /.main-content -->
			
<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>