<?php
/**
 * UserInfo.php
 *
 * This page is for users to view their account information
 * with a link added for them to edit the information.
 */
include("sys/core/session.php");
	if($session->isAdmin() || $session->isMD() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup() || $session->isStaff()){

		$pagename = "User Profile" ;
		$pageslogan = "your profile details";
		$parent		= "";
		//$parentUrl	= "userinfo";
		
		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>
	<div class="row">
		<div class="col-xs-12">
			<!-- PAGE CONTENT BEGINS -->
			<div>
				<div id="user-profile-1" class="user-profile row">
					<div class="col-xs-12 col-sm-3 center">
						<div>
							<span class="profile-picture">
								<?php echo '<img class="nav-user-photo"alt="avatar" src="assets/images/staff/'.$dp.'" width="100%" style="border-radius: 15px 5px 15px 5px;"> ';
								?><br><br />
								<a href='sys/uploaddp/?user=<?php echo $username; ?>' class='btn btn-white' > <i class="ace-icon fa fa-edit"></i>  Change Display Picture </a>
							</span>
						</div>
					</div>
					
					<div class="col-xs-12 col-sm-9">
						<h3>Personal Information</h3>
						<div class="profile-user-info profile-user-info-striped">
							<div class="profile-info-row">
								<div class="profile-info-name"> Full Name </div>
								<div class="profile-info-value">
									<span class="editable" id="fullname"><?php echo $req_user_profile['firstname'].' '.$req_user_profile['lastname'].' '.$req_user_profile['othernames'];?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Gender </div>
								<div class="profile-info-value">
									<span><?php echo $req_user_profile['gender'];?></span>
								</div>
							</div>
							
							<div class="profile-info-row">
								<div class="profile-info-name"> Marital Status </div>
								<div class="profile-info-value">
									<span><?php echo $req_user_profile['maritalstatus'];?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Phone Number </div>
								<div class="profile-info-value">
									<span><?php echo $req_user_profile['phonenumber'];?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Deployed To </div>
								<div class="profile-info-value">
									<span><?php echo $req_user_profile['office'];?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Contact Address </div>
								<div class="profile-info-value">
									<i class="fa fa-map-marker light-orange bigger-110"></i>
									<span class="editable" id="country"><?php echo $req_user_profile['country'];?></span>
									<span class="editable" id="city"><?php echo $req_user_profile['address'].", ".$req_user_profile['state'];?></span>
								</div>
							</div>
						</div>
						<div class="center">
							<br />
							<hr />
							<span class="bigger-110"><a href='editProfile' class='btn btn-white' >  <i class="ace-icon fa fa-edit bigger-150 middle orange2"></i> Edit Profile Details <i class="icon-on-right ace-icon fa fa-arrow-right"></i></a></span>
						</div>
						
					</div>
				</div>
			</div><!-- PAGE CONTENT ENDS -->
                             
		</div><!-- /.col -->
	</div><!-- /.row -->
</div><!-- /.page-content -->
</div>
</div><!-- /.main-content -->
			
<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>