<?php
	/**
	 * client-edit.php
	 *
	 * This is used to change/modify clients information
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 * Date: May 2016
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Edit Client Record" ;
		$pageslogan = "manage registered client information";
		$parent		= "Clients";
		$parentUrl	= "clients";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>

		<div class="row">
			<div class="col-xs-12">
				<!-- PAGE CONTENT BEGINS -->
				<div class="alert alert-block alert-success">
					<button type="button" class="close" data-dismiss="alert">
						<i class="ace-icon fa fa-times"></i>
					</button>

					<i class="ace-icon fa fa-check green"></i> Hi, 
					<strong class="green"><?php echo $username; ?></strong>, 
					<small>This page enables you to edit registered clients information. Ensure you have the right permission to do this.</small>
				</div>

				<div class="row">
					
					<div class="col-sm-12">
	<?php 
			if(isset($_GET['c']))
			{
				$id=$_GET['c'];
				$sql="SELECT * FROM clients WHERE id ='$id' ";
				$retvall = mysql_query( $sql, $conn );
				if(mysql_num_rows($retvall) > 0)
				{
					while($row = mysql_fetch_array($retvall))
					{
						$id 				= $row['id'];
						$csn 				= $row['csn'];
						$name 				= $row['name'];
						$address 			= $row['address'];
						$state 				= $row['state'];
						$country			= $row['country'];
						$contactperson 		= $row['contactperson'];
						$phonenumber		= $row['phonenumber'];
						$otherphones 		= $row['otherphones'];
						$email 				= $row['email'];
						$relstatus 			= $row['relstatus'];
						$basepost 			= $row['basepost'];
						$relmanager 		= $row['relmanager'];
						$signedondate 		= $row['signedondate'];
	?> 

						<div class="center">
							<h3 class="header smaller lighter green">Edit <?php echo $name; ?>'s Information</h3>
						</div>
						
						<div class="client-feedback"></div>
						
						<div class="contact-form clearfix">
							<form name="form" class="form-horizontal" action="sys/core/update.php"  method="post">
								<div class="col-sm-6">
								
									<div class="form-group">
										<label for="csn" class="col-sm-3 control-label no-padding-right">Short Name  </label>
										<div class="col-sm-9">
											<input type="text" name="csn" id="csn" value="<?php echo $csn; ?>" placeholder="Enter Client's Short Name Here" class="form-control" required/>
										</div>
									</div>
									<div class="form-group">
										<label for="csn" class="col-sm-3 control-label no-padding-right">Name </label>
										<div class="col-sm-9">
											<input type="text" name="name" id="name" value="<?php echo $name; ?>" placeholder="Enter Client's Name Here" class="form-control" required/>
										</div>
									</div>
									<div class="form-group">
										<label for="address" class="col-sm-3 control-label no-padding-right">Office Address</label>
										<div class="col-sm-9">
											<textarea id="address" name="address" value="<?php echo $address; ?>" class="form-control" required/><?php echo $address; ?></textarea>
										</div>
									</div>
									<div class="form-group">
										<label for="csn" class="col-sm-3 control-label no-padding-right">State </label>
										<div class="col-sm-9">
											<select name="state" id="state" class="form-control" required/>
												<option value="<?php echo $state; ?>"><?php echo $state; ?></option>
											<?php
												include 'sys/incs/statelist.php';
											?>
											</select>
										</div>
									</div>
									<div class="form-group">
										<label for="csn" class="col-sm-3 control-label no-padding-right">Country </label>
										<div class="col-sm-9">
											<select id="country" name="country"  class="form-control" required/>
												<option value="<?php echo $country; ?>"><?php echo $country; ?></option>
											<?php
												include 'sys/incs/countrylist.php';
											?>
											</select>
										</div>
									</div>
									<div class="form-group">
										<label for="contactperson" class="col-sm-3 control-label no-padding-right">Contact Person </label>
										<div class="col-sm-9">
											<input type="text" name="contactperson" id="contactperson" value="<?php echo $contactperson; ?>" placeholder="Enter Client Contact Person's Name Here" class="form-control" required/>
										</div>
									</div>
												
								</div>  <!-- End Div 6 -->
								
								<div class="col-sm-6">
									
									<div class="form-group">
										<label for="phonenumber" class="col-sm-4 control-label no-padding-right">Contact Number <small>(primary phone)</small> </label>
										<div class="col-sm-8">
											<input type="text" name="phonenumber" id="phonenumber" value="<?php echo $phonenumber; ?>" placeholder="Enter Vendor's Primary Phone Number Here"  class="form-control" required/>
										</div>
									</div>
									<div class="form-group">
										<label for="otherphones" class="col-sm-4 control-label no-padding-right">Additional Number(s) <small>(other phone numbers)</small></label>
										<div class="col-sm-8">
											<input type="text" name="otherphones" id="otherphones"  value="<?php echo $otherphones; ?>" placeholder="Enter Addtional Phone Numbers Here"  class="form-control" required/>
										</div>
									</div>
									<div class="form-group">
										<label for="email" class="col-sm-4 control-label no-padding-right">Email Address </label>
										<div class="col-sm-8">
											<input type="email" name="email" id="email"  value="<?php echo $email; ?>" placeholder="Enter Vendor's Email Address Here"  class="form-control" required/>
											<p class="help-block"></p>
										</div>
									</div>
									<div class="form-group">
										<label for="relstatus" class="col-sm-4 control-label no-padding-right">Relationship Status </label>
										<div class="col-sm-8">
											<select id="relstatus" name="relstatus" class="form-control" required/>
												<option value = "<?php echo $relstatus; ?>" ><?php echo $relstatus; ?></option>
												<option value = "PROSPECT" >PROSPECT</option>
												<option value = "SIGNED ON" >SIGNED ON</option>
												<option value = "EXISTING JOB" >EXISTING JOB</option>
												<option value = "SIGNED OFF" >SIGNED OFF</option>
											</select>
										</div>
									</div>
									<div class="form-group">
										<label for="basepost" class="col-sm-4 control-label no-padding-right">Branch Post <small>(base post)</small> </label>
										<div class="col-sm-8">
											<select id="basepost" name="basepost"  class="form-control" required/>
												<option value ="<?php echo $basepost; ?>"><?php echo $basepost; ?></option>
												<option value = "Lagos">Lagos</option>
												<option value = "Bonny">Bonny</option>
												<option value = "Abuja">Abuja</option>
											</select>
										</div>
									</div>
									<div class="form-group">
										<label for="relmanager" class="col-sm-4 control-label no-padding-right">Relationship Manager </label>
										<div class="col-sm-8" id="autolist">
											<input type="text" name="relmanager" id="relmanager" value="<?php echo $relmanager; ?>" placeholder="Start Typing a name" onkeyup="autocomplet()" class="form-control" required/>
											<ul id="relmanager_list"></ul>
										</div>
									</div>
									<div class="form-group">
										<label for="sigendondate" class="col-sm-4 control-label no-padding-right">Signed On Date</label>
										<div class="col-sm-8">
											<div class="input-group">
												<input name="sigendondate" class="form-control date-picker"  value="<?php echo $signedondate; ?>"  id="id-date-picker-1" type="text" data-date-format="yyyy-mm-dd"  class="form-control" required/>
												<span class="input-group-addon">
													<i class="fa fa-calendar bigger-110"></i>
												</span>
											</div>
										</div>
									</div>
									
								</div>  <!-- End Div 6 -->
								
								<div class="center">
									<input type="hidden" name="clientId" id="clientId" value="<?php echo $id; ?>" />
									<input type="submit" value="Submit Data" name="editClient" id="editClient" class="btn btn-success" data-after-submit-value="Processing your request..."/>
									<input type="reset" value="Reset Form Fields" name="reset" class="btn btn-danger" />
								</div>
							</form>
						</div>
		<?php		}
				} else { echo "No record was found"; }
			} else { echo "The record your searched for does not exist"; }
		?>
					</div><!-- /.col -->

				</div><!-- /.row -->

				<div class="hr hr32 hr-dotted"></div>

										
				<!-- PAGE CONTENT ENDS -->
				</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.page-content -->
	</div>
</div><!-- /.main-content -->

<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>