<?php

	/**
	 * dashboard.php
	 *
	 * This is the main page after login.
	 * Every other link routes through here
	 * It contains stats  and overview of activities
	 */
	 
	include("sys/core/session.php");
	
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){

		$pagename 	= "Dashboard" ;
		$pageslogan = "overview &amp stats of activities on this portal";
		$parent		= "";
		//$parentUrl	= "url.php";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
 

?>

		<div class="row">
			<div class="col-xs-12">
				<!-- PAGE CONTENT BEGINS -->
				
                <div class="row">
					
                    <div class="col-xs-6 col-sm-3 pricing-box">
						<div class="widget-box widget-color-dark">
							<div class="widget-header">
								<h5 class="widget-title bigger lighter">Office Locations</h5>
							</div>
                            <div class="widget-body">
								<div class="widget-main">
									<div class="price">
										<?php
											// Fetch total number of catgeories 
											$query = "SELECT COUNT(id) as `num` FROM office";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$totaloffice = $row['num'];
											echo $totaloffice;
										?>
										<small> locations</small>
									</div>
								</div>
                                <div>
									<a href="office" class="btn btn-block btn-inverse">
										<i class="ace-icon fa fa-home bigger-110"></i>
										<span>View Office Locations</span>
									</a>
								</div>
							</div>
						</div>
					</div>
                    
                    <div class="col-xs-6 col-sm-3 pricing-box">
						<div class="widget-box widget-color-orange">
							<div class="widget-header">
								<h5 class="widget-title bigger lighter">Clients</h5>
							</div>
                            <div class="widget-body">
								<div class="widget-main">
									<div class="price">
										<?php
											// Fetch total number of catgeories 
											$query = "SELECT COUNT(id) as `num` FROM clients";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$totalclients = $row['num'];
											echo $totalclients;
										?>
										<small> clients</small>
									</div>
								</div>
                                <div>
									<a href="clients" class="btn btn-block btn-warning">
										<i class="ace-icon fa fa-suitcase bigger-110"></i>
										<span>View Clients</span>
									</a>
								</div>
							</div>
						</div>
					</div>
                    
                    
                    
                    <div class="col-xs-6 col-sm-3 pricing-box">
						<div class="widget-box widget-color-green">
							<div class="widget-header">
								<h5 class="widget-title bigger lighter">Facilities</h5>
							</div>
                            <div class="widget-body">
								<div class="widget-main">
									<div class="price">
										<?php
											// Fetch total number of catgeories 
											$query = "SELECT COUNT(id) as `num` FROM facilities";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$totalfacilities = $row['num'];
											echo $totalfacilities;
										?>
										<small> facilities</small>
									</div>
								</div>
                                <div>
									<a href="facilities" class="btn btn-block btn-success">
										<i class="ace-icon fa fa-bank bigger-110"></i>
										<span>View Facilities</span>
									</a>
								</div>
							</div>
						</div>
					</div>
                    
                    <div class="col-xs-6 col-sm-3 pricing-box">
						<div class="widget-box widget-color-blue">
							<div class="widget-header">
								<h5 class="widget-title bigger lighter">Vendors</h5>
							</div>
                            <div class="widget-body">
								<div class="widget-main">
									<div class="price">
										<?php
											// Fetch total number of catgeories 
											$query = "SELECT COUNT(id) as `num` FROM vendors";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$totalvendors = $row['num'];
											echo $totalvendors;
										?>
										<small> vendors</small>
									</div>
								</div>
                                <div>
									<a href="clients" class="btn btn-block btn-primary">
										<i class="ace-icon fa fa-wrench bigger-110"></i>
										<span>View Vendors</span>
									</a>
								</div>
							</div>
						</div>
					</div>
                    
              	</div>
                <div class="hr hr32 hr-dotted"></div>
                <?php
					// Query database
					$cnt = 1;
					$sql="SELECT * FROM stock_in WHERE qtyLeft > 0 AND qtyLeft <= 3";
					$retvall = mysql_query( $sql, $conn );
					if(mysql_num_rows($retvall) > 0){
				?>
                    <div class="row">

						<div class="col-xs-12 col-sm-12 widget-container-col">
							<div class="widget-box widget-color-dark light-border">
								<div class="widget-header">
									<h5 class="widget-title medium"> The following item(s) are almost out of stock </h5>
                                    <div class="widget-toolbar">
										<span class="badge badge-danger">Stock Alert</span>
									</div>
								</div>
                                <div class="widget-body">
									<div class="widget-main padding-6">
										<div>
                                        	<table id="simple-table" class="table table-striped table-bordered table-hover">
                                                <thead>
                                                    <tr>
                                                        <th class="center">
                                                            S/No
                                                        </th>
                                                        <th>Item</th>
                                                        <th>Quantity Left</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
				<?php
                		while($row = mysql_fetch_array($retvall)){
                        	$NameItem	= $row['name'];
                            $amntLeft	= $row['qtyLeft'];
                ?>
                                                    <tr>
                                                        <td class="center"> <?php echo $cnt++; ?> </td>
                                                        <td><?php echo $NameItem; ?></td>
                                                        <td><font color="#990000"><?php echo $amntLeft; ?></font></td>
                                                    </tr>
                                    
                <?php   } ?>
                                                </tbody>
                                            </table>
                                        </div>
									</div>
								</div>
							</div>
						</div>
					
					</div><!-- /.row -->
										
					<div class="hr hr32 hr-dotted"></div>
        	  <?php } else {
                         echo '';
					} 
			  ?>
					

					<div class="row">

						<div class="col-sm-8">
							<div class="widget-box">
								<div class="widget-header">
									<h4 class="widget-title lighter smaller">
										<i class="ace-icon fa fa-envelope blue"></i> Feedback Form
									</h4>
								</div>
								<div class="widget-body">
									<div class="widget-main " id="contact_form">
                                    	<form role="form" id="contactForm" data-toggle="validator" class="shake">
                                            <div class="row">
                                                <div class="form-group col-sm-6">
                                                    <label for="name" class="h4">Name</label>
                                                    <input type="text" class="form-control" id="name" name="name" placeholder="Enter name" required data-error="Your name is required">
                                                    <div class="help-block with-errors"></div>
                                                </div>
                                                <div class="form-group col-sm-6">
                                                    <label for="email" class="h4">Email</label>
                                                    <input type="email" class="form-control" id="email" name="email" placeholder="Enter email" required data-error="Your email is required">
                                                    <div class="help-block with-errors"></div>
                                                </div>
                                            </div>
                                            <div class="form-group">
                                                <label for="message" class="h4 ">Message</label>
                                                <textarea id="message" name="message" class="form-control" rows="5" placeholder="Enter your message" required data-error="Kindly enter a message"></textarea>
                                                <div class="help-block with-errors"></div>
                                            </div>
                                            <button type="submit" id="form-submit" class="btn btn-success btn-lg pull-right ">Submit</button>
                                            <div id="msgSubmit" class="h3 text-center hidden"></div>
                                            <div class="clearfix"></div>
                                        </form>
									</div><!-- /.widget-main -->
								</div><!-- /.widget-body -->
							</div><!-- /.widget-box -->
						</div><!-- /.col 8-->
											
						<div class="col-sm-4">
							<div class="widget-box">
								<div class="widget-header">
									<h4 class="widget-title lighter smaller">
										<i class="ace-icon fa fa-globe brown"></i> Contact Information
									</h4>
								</div>
								<div class="widget-body">
									<div class="widget-main">
										<h5>Are you having issues using this application?</h5>
										<h6>If your response is YES, then use any of the provided mediums to launch your complain</h6>
										<h6>You can use the email platform by your left OR the underlisted contact details</h6>
										<h6>We also love feedbacks, so make out time to contact us and give us your feedback while using this application.</h6>
										<h6>Your feedbacks and mails helps us improve our application and also result in us serving you better</h6>
										<h5>Customer Relation Person: <strong>Ernest Ibeh</strong></h5>
										<h6><i class="ace-icon fa fa-phone blue"></i> &rarr; (+234) 802 068 9069, 815 061 9565</h6>
										<h6><i class="ace-icon fa fa-envelope purple"></i> &rarr; <a href="mailto:e.ibeh@xlafricagroup.com">e.ibeh@xlafricagroup.com</a> </h6>
										<h6><i class="ace-icon fa fa-envelope-o purple"></i> &rarr; <a href="mailto:c.enemuo@xlafricagroup.com">c.enemuo@xlafricagroup.com</a> </h6>
										<h6><i class="ace-icon fa fa-globe brown"></i> &rarr; <a href="http://www.xlafricagroup.com" target="_blank">www.xlafricagroup.com</a> </h6>
									</div><!-- /.widget-main -->
								</div><!-- /.widget-body -->
							</div><!-- /.widget-box -->
						</div><!-- /.col 4-->
											
					</div><!-- /.row -->
										
					<div class="hr hr32 hr-dotted"></div>
										
				<!-- PAGE CONTENT ENDS -->
				</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.page-content -->
	</div>
</div><!-- /.main-content -->

<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>