<?php
	/**
	 * generate-report.php
	 *
	 * This is used to query client transaction and generate invoice/quotation
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Generate Report" ;
		$pageslogan = "query operation activities";
		$parent		= "";
		//$parentUrl	= "useredit.php";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>
                            <div class="row">
                                <div class="col-xs-12">
                                <!-- PAGE CONTENT BEGINS -->
								
								<div class="widget-box widget-color-dark">
									<div class="widget-header widget-header-blue widget-header-flat">
										<h4 class="widget-title lighter">Report Generator</h4>
										<div class="widget-toolbar">
											<label>
												<small class="red">
													<b>All fields are required</b>
												</small>
											</label>
										</div>
									</div>

									<div class="widget-body">
										<div class="widget-main">
											<div id="fuelux-wizard-container">
												
                                                <div class="stepwizard">
                                                    <div class="stepwizard-row setup-panel">
                                                        <div class="stepwizard-step">
                                                            <a href="#step-1" type="button" class="btn btn-primary btn-circle"><i class="ace-icon fa fa-suitcase bigger-280"></i> </a>
                                                            <p>Client Information </p>
                                                        </div>
                                                        <div class="stepwizard-step">
                                                            <a href="#step-2" type="button" class="btn btn-default btn-circle" disabled="disabled"><i class="ace-icon fa fa-money bigger-280"></i> </a>
                                                            <p>Charge Client</p>
                                                        </div>
                                                        <div class="stepwizard-step">
                                                            <a href="#step-3" type="button" class="btn btn-default btn-circle" disabled="disabled"><i class="ace-icon fa fa-check bigger-280"></i> </a>
                                                            <p>Confirm Charge</p>
                                                        </div>
                                                    </div>
                                                </div>
                                                
                                                    <div class="row setup-content" id="step-1">
                                                        <div class="col-xs-12">
                                                            <div class="col-md-12">
                                                                <h3 class="red" align="center"> CLIENT INFORMATION </h3>
                                                                <hr />
                                                                <form role="form" id="contactForm" class="request-transaction" data-toggle="validator">
                                                                <div class="row">
                                                                    <div class="form-group col-sm-6">
                                                                        <label for="invoiceTitle" class="h4">Invoice/Quotation Title</label>
                                                                        <input type="text" class="form-control" id="invoiceTitle" name="invoiceTitle" placeholder="Enter Invoice/Quotation Title" required data-error="Invoice Title is required">
                                                                        <div class="help-block with-errors"></div>
                                                                    </div>
                                                                    <div class="form-group col-sm-6">
                                                                        <label for="client" class="h4">Choose a client</label>
                                                                        <select name="client" id="client"  class="col-xs-12"  required data-error="Please select a client">
                                                                            <option value=""> -- Choose a client -- </option>
                                                                <?php
                                                                    // Query database for client name
                                                                    $sql="SELECT * FROM clients";
                                                                    $retvall = mysql_query( $sql, $conn );
                                                                        if(mysql_num_rows($retvall) > 0){
                                                                            while($row = mysql_fetch_array($retvall)){
                                                                                $id		= $row['id'];
                                                                                $name	= $row['name'];
                                                                ?>
                                                                                <option value="<?php echo $id.' '.$name; ?>"><?php echo $name; ?></option>
                                                                <?php
                                                                            }
                                                                        } else {
                                                                            echo '<option value=" "> </option>';
                                                                        }
                                                                ?>
                                                                        </select>
                                                                        <div class="help-block with-errors"></div>
                                                                    </div>
                                                                </div>
                                                                <div class="row">
                                                                    <div class="form-group col-sm-6">
                                                                        <label for="startDate" class="h4">Start Date</label>
                                                                        <span class="input-icon block">
                                                                            <input class="form-control date-picker" name="startDate" id="id-date-picker-1" type="text" data-date-format="yyyy-mm-dd" required data-error="Start Date is required"/>	
                                                                            <i class="ace-icon fa fa-calendar blue"></i>
                                                                        </span>
                                                                        <div class="help-block with-errors"></div>
                                                                    </div>
                                                                    <div class="form-group col-sm-6">
                                                                        <label for="endDate" class="h4">End Date</label>
                                                                        <span class="input-icon block">
                                                                            <input class="form-control date-picker" name="endDate" id="id-date-picker-1" type="text" data-date-format="yyyy-mm-dd" required data-error="End Date is required"/>	
                                                                            <i class="ace-icon fa fa-calendar blue"></i>
                                                                        </span>
                                                                        <div class="help-block with-errors"></div>
                                                                    </div>
                                                                </div>
                                                                <button type="submit" class="btn btn-primary nextBtn btn-lg pull-right" id="requestTransaction" >
                                                                	Next
																	<i class="ace-icon fa fa-arrow-right icon-on-right"></i>
                                                                </button>
                                                            </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row setup-content" id="step-2">
                                                        <div class="col-xs-12">
                                                            <div class="col-md-12">
                                                                <h3 class="green" align="center"> CLIENT CHARGE </h3>
                                                                <hr />
                                                                <form role="form" id="processForm" class="process-transaction" data-toggle="validator">
                                                                    <div id="clientTransaction">
                                                                    
                                                                    </div>
                                                                    <button class="btn btn-default prevBtn btn-lg pull-left" type="button" >
                                                                        <i class="ace-icon fa fa-arrow-left"></i>
                                                                        Prev
                                                                    </button>
                                                                    <button class="btn btn-primary nextBtn btn-lg pull-right" type="submit" id="processTransaction" >
                                                                        Next
                                                                        <i class="ace-icon fa fa-arrow-right icon-on-right"></i>
                                                                    </button>
                                                                    
                                                                </form>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="row setup-content" id="step-3">
                                                        <div class="col-xs-12">
                                                            <div class="col-md-12">
                                                                <h3 class="red" align="center"> CONFIRM CLIENT CHARGE </h3>
                                                                <hr />
                                                                <form action="sys/invoice/index.php"  method="post">
                                                                    <div id="confirmTransaction">
                                                                    
                                                                    </div>
                                                                    <button class="btn btn-success btn-lg pull-right" name="submit" id="submit" type="submit">
                                                                        <i class="ace-icon fa fa-check"></i>
                                                                        CONFIRM CHARGES &amp; GENERATE INVOICE/QUOTATION
                                                                    </button>
                                                                </form>
                                                                <button class="btn btn-default prevBtn btn-lg pull-left" type="button" >
                                                                	<i class="ace-icon fa fa-arrow-left"></i>
																	Prev
                                                                </button>
                                                            </div>
                                                        </div>
                                                    </div>
											</div>

											
										</div><!-- /.widget-main -->
									</div><!-- /.widget-body -->
								</div>

                                <!-- PAGE CONTENT ENDS -->
							</div><!-- /.col -->
						</div><!-- /.row -->
					</div><!-- /.page-content -->
				</div>
			</div><!-- /.main-content -->
			
<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>