<?php
	/**
	 * installation-edit.php
	 *
	 * This is used to change/modify installation information
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 * Date: May 2016
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Edit Installation" ;
		$pageslogan = "change/update Installation information";
		$parent		= "Installations";
		$parentUrl	= "installations";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>

		<div class="row">
			<div class="col-xs-12">
				<!-- PAGE CONTENT BEGINS -->

				<div class="row">
					
					<div class="col-sm-12">
	<?php 
			if(isset($_GET['inst']))
			{
				$instid=$_GET['inst'];
				$sql="SELECT * FROM installations WHERE id ='$instid' ";
				$retvall = mysql_query( $sql, $conn );
				if(mysql_num_rows($retvall) == 1)
				{
					while($row = mysql_fetch_array($retvall))
					{
						$title 						= $row['title'];
						$client 					= $row['client'];
						$location 					= $row['location'];
						$facility 					= $row['facility'];
						$jobNumber					= $row['jobNumber'];
						$type		 				= $row['type'];
						$installedOn				= $row['installedOn'];
						$nonMaterialCost		 	= $row['nonMaterialCost'];
						$pmsInterval		 		= $row['pmsInterval'];
						$itemReplaced				= $row['itemReplaced'];
						$numTechnicians 			= $row['numTechnicians'];
						$leadTechnician 			= $row['leadTechnician'];
						$newItem					= $row['newItem'];
						$manufacturer		 		= $row['manufacturer'];
						$modelNumber				= $row['modelNumber'];
						$powerRating		 		= $row['powerRating'];
						$paymentType		 		= $row['paymentType'];
						$installationDescription	= $row['installationDescription'];
	?> 

						<div class="center">
							<h3 class="header smaller lighter green">Edit <?php echo $title; ?>'s Information</h3>
						</div>
						
						<div class="client-feedback"></div>
						
						<div class="contact-form clearfix">
							<form name="form" class="form-horizontal" action="sys/core/update.php"  method="post">
								<div class="col-sm-6">
													
													<div class="form-group">
														<label for="title" class="col-sm-4 control-label no-padding-right">Title <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="text" name="title" id="title" placeholder="Enter Installation Title Here" value="<?php echo $title; ?>" class="form-control" required/>
														</div>
													</div>
													
													<div class="form-group">
														<label for="location" class="col-sm-4 control-label no-padding-right">Location <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="location" id="location"  class="form-control"  required>
                                                            	<option value="<?php if(!empty($location)){ echo $location; } else { echo ''; } ?>"> <?php if(!empty($location)){ echo $location; } else { echo '-- Choose office location --'; } ?> </option>
								<?php
														// Query database
														$sql="SELECT * FROM office";
														$retvall = mysql_query( $sql, $conn );
														if(mysql_num_rows($retvall) > 0){
															while($row = mysql_fetch_array($retvall)){
																$name	= $row['name'];
								?>
																<option value="<?php echo $name; ?>"><?php echo $name; ?></option>
                                <?php
															}
														} else {
															echo '<option value=" "> </option>';
														}
								?>
                                                            </select>
														</div>
													</div>
													
													<div class="form-group">
														<label for="client" class="col-sm-4 control-label no-padding-right">Client <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="client" id="chooseClient"  class="col-xs-12"  required>
                                                                <option value="<?php if(!empty($client)){ echo $client; } else { echo ''; } ?>"> <?php if(!empty($client)){ echo $client; } else { echo '-- Choose a client --'; } ?> </option>
                                                    <?php
                                                        // Query database for client name
                                                        $sql="SELECT * FROM clients";
                                                        $retvall = mysql_query( $sql, $conn );
                                                            if(mysql_num_rows($retvall) > 0){
                                                                while($row = mysql_fetch_array($retvall)){
                                                                    $id		= $row['id'];
                                                                    $name	= $row['name'];
                                                    ?>
                                                                    <option value="<?php echo $id.' '.$name; ?>"><?php echo $name; ?></option>
                                                    <?php
                                                                }
                                                            } else {
                                                                echo '<option value=" "> </option>';
                                                            }
                                                    ?>
                                                            </select>
														</div>
													</div>
													
													<div class="form-group">
														<label for="facility" class="col-sm-4 control-label no-padding-right">Facility <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="facility" id="facility" class="postform" required>
                                                                <option value="<?php if(!empty($facility)){ echo $facility; } else { echo ''; } ?>"> <?php if(!empty($facility)){ echo $facility; } else { echo '-- Choose office location --'; } ?> </option>
                                                            </select>
														</div>
													</div>
													
                                                    <div class="form-group">
														<label for="jobNumber" class="col-sm-4 control-label no-padding-right">Job Number </label>
														<div class="col-sm-8">
															<input type="text" name="jobNumber" id="jobNumber" placeholder="Enter Job Number Here" value="<?php echo $jobNumber; ?>" class="form-control" />
														</div>
													</div>
                                                    
                                                    <div class="form-group">
														<label for="type" class="col-sm-4 control-label no-padding-right">Installation Type </label>
														<div class="col-sm-8">
															<input type="text" name="type" id="type" placeholder="Enter Installation Type Here" value="<?php echo $type; ?>" class="form-control" required/>
														</div>
													</div>
                                                    
                                                    <div class="form-group">
														<label for="installedOn" class="col-sm-4 control-label no-padding-right">Installation Date <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
                                                        	<span class="input-icon">
                                                            	<input class="form-control date-picker" name="installedOn" id="id-date-picker-1" type="text" data-date-format="yyyy-mm-dd" value="<?php echo $installedOn; ?>" />	
                                                            	<i class="ace-icon fa fa-calendar"></i>
                                                        	</span>
														</div>
													</div>
                                                    
                                                    <div class="form-group">
														<label for="nonMaterialCost" class="col-sm-4 control-label no-padding-right">Non Material Cost </label>
														<div class="col-sm-8">
															<input type="text" name="nonMaterialCost" id="nonMaterialCost" placeholder="Enter Cost For Non Material Here" class="form-control" value="<?php echo $nonMaterialCost; ?>" required/>
														</div>
													</div>
													
													<div class="form-group">
														<label for="pmsInterval" class="col-sm-4 control-label no-padding-right">Preventive Maintenance Interval <small>( in days )</small> </label>
														<div class="col-sm-8">
															<input type="text" name="pmsInterval" id="pmsInterval" placeholder="Enter Cost For Non Material Here" class="form-control" value="<?php echo $pmsInterval; ?>" required/>
														</div>
													</div>
                                                    
                                                    <div class="form-group">
														<label for="itemReplaced" class="col-sm-4 control-label no-padding-right">Item Replaced </label>
														<div class="col-sm-8">
															<select name="itemReplaced" id="itemReplaced" class="form-control" >
                                                                <option value="<?php if(!empty($itemReplaced)){ echo $itemReplaced; } else { echo ''; } ?>"> <?php if(!empty($itemReplaced)){ echo $itemReplaced; } else { echo '-- Choose item replaced --'; } ?> </option>
                                                    <?php
                                                        // Query database for item name
                                                        $sql="SELECT * FROM stock_in";
                                                        $retvall = mysql_query( $sql, $conn );
                                                            if(mysql_num_rows($retvall) > 0){
                                                                while($row = mysql_fetch_array($retvall)){
                                                                    $id		= $row['id'];
                                                                    $name	= $row['name'];
                                                    ?>
                                                                    <option value="<?php echo $id.'-'.$name; ?>"><?php echo $name; ?></option>
                                                    <?php
                                                                }
                                                            } else {
                                                                echo '<option value=" "> </option>';
                                                            }
                                                    ?>
                                                            </select>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
												
												
												<div class="col-sm-6">
                                                    
													<div class="form-group">
														<label for="numTechnicians" class="col-sm-4 control-label no-padding-right">Number Of Technicians <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="number" name="numTechnicians" id="numTechnicians" class="form-control" placeholder="How many technicians worked on this installation?" value="<?php echo $numTechnicians; ?>" required />
														</div>
													</div>
                                                    
                                                    <div class="form-group">
														<label for="leadTechnician" class="col-sm-4 control-label no-padding-right">Lead Technician <font color="#ff0000">*</font></label>
														<div class="col-sm-8" id="autolist">
															<span class="input-icon">
                                                            <input type="text" name="leadTechnician" id="recipient" placeholder="Start Typing lead technician's name" value="<?php echo $leadTechnician; ?>" class="form-control" required onkeyup="autorecipient()">		
                                                            <i class="ace-icon fa fa-user"></i>
                                                        </span>
                                                        <ul id="recipient_list"></ul>
														</div>
													</div>
													
                                                    
                                                    <div class="form-group">
														<label for="itemReplaced" class="col-sm-4 control-label no-padding-right">Newly Installed Item </label>
														<div class="col-sm-8">
															<select name="newItem" id="newItem" class="form-control" required >
                                                                <option value="<?php if(!empty($newItem)){ echo $newItem; } else { echo ''; } ?>"> <?php if(!empty($newItem)){ echo $newItem; } else { echo '-- Choose new item --'; } ?> </option>
                                                    <?php
                                                        // Query database for item name
                                                        $sql="SELECT * FROM stock_in";
                                                        $retvall = mysql_query( $sql, $conn );
                                                            if(mysql_num_rows($retvall) > 0){
                                                                while($row = mysql_fetch_array($retvall)){
                                                                    $id		= $row['id'];
                                                                    $name	= $row['name'];
                                                    ?>
                                                                    <option value="<?php echo $id.'-'.$name; ?>"><?php echo $name; ?></option>
                                                    <?php
                                                                }
                                                            } else {
                                                                echo '<option value=" "> </option>';
                                                            }
                                                    ?>
                                                            </select>
														</div>
													</div>
                                                    
													<div class="form-group">
														<label for="manufacturer" class="col-sm-4 control-label no-padding-right">Manufacturer </font></label>
														<div class="col-sm-8">
															<input type="text" name="manufacturer" id="manufacturer" class="form-control" placeholder="Enter New Item manufacturer name here" value="<?php echo $manufacturer; ?>" />
														</div>
													</div>
                                                    
													<div class="form-group">
														<label for="modelNumber" class="col-sm-4 control-label no-padding-right">Model Number </font></label>
														<div class="col-sm-8">
															<input type="text" name="modelNumber" id="modelNumber" class="form-control" placeholder="Enter New Item model number here" value="<?php echo $modelNumber; ?>" />
														</div>
													</div>
                                                    
                                                    <div class="form-group">
														<label for="powerRating" class="col-sm-4 control-label no-padding-right">New Item Power Rating </font></label>
														<div class="col-sm-8">
															<input type="text" name="powerRating" id="powerRating" class="form-control" placeholder="Enter New Item power rating here" value="<?php echo $powerRating; ?>" />
														</div>
													</div>
													
													<div class="form-group">
														<label for="requestDescription" class="col-sm-4 control-label no-padding-right"> Billing Type <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
                                                        	<select name="paymentType" id="paymentType" class="form-control" required>
                                                                <option value="<?php if(!empty($paymentType)){ echo $paymentType; } else { echo ''; } ?>"> <?php if(!empty($paymentType)){ echo $paymentType; } else { echo '-- Choose billing type --'; } ?> </option>
                                                    			<option value="Invoicing">Invoicing</option>
                                                                <option value="Contract">Contract</option>
                                                            </select>
														</div>
													</div>
                                                    
													<div class="form-group">
														<label for="installationDescription" class="col-sm-4 control-label no-padding-right">Installation Description  <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<textarea id="installationDescription" name="installationDescription" required class="form-control"><?php echo $installationDescription; ?></textarea>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
                                                
						<div class="center">
							<input type="hidden" name="id" id="id" value="<?php echo $instid; ?>" />
                            <input type="hidden" name="createdBy" id="createdBy" value="<?php echo $username; ?>" />
							<input type="submit" value="Update Data" name="editInstallation" id="editInstallation" class="btn btn-success" data-after-submit-value="Processing your request..."/>
							<input type="reset" value="Reset Form Fields" name="reset" class="btn btn-danger" />
						</div>
					</form>
				</div>
		<?php		
					}
				} else { echo "No record was found"; }
			} else { echo "The record your searched for does not exist"; }
		?>
					</div><!-- /.col -->

				</div><!-- /.row -->

				<div class="hr hr32 hr-dotted"></div>

										
				<!-- PAGE CONTENT ENDS -->
				</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.page-content -->
	</div>
</div><!-- /.main-content -->

<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>