<?php
/**
 * client-view.php
 *
 * This page displays client information
 * with a link added for them to edit the information.
 */
include("sys/core/session.php");
	// Include the function file
	$errMsg = "";
	$file = 'sys/core/functions.php';
	if ( file_exists($file) && is_readable($file))
	{
		include ($file);
	} else
	{
		$errMsg = "Error: included function file is missing";
	}
	
	// Display file to only authorised ussers
	if($session->isAdmin() || $session->isMD() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){

	if(isset($_GET['i']))
	{
		$id=$_GET['i'];
		
		// Query database 	 
		$sql="SELECT * FROM stock_in WHERE id = '$id' ";
		$retvall = mysql_query( $sql, $conn );
		if(mysql_num_rows($retvall) == 1){
			while($row = mysql_fetch_array($retvall)){
				$id 			= $row['id'];
				$name 			= $row['name'];
				$type 			= $row['type'];
				$unitCost 		= $row['unitCost'];
				$qtySupplied	= $row['qtySupplied'];
				$qtyLeft 		= $row['qtyLeft'];
				$vendor			= $row['vendor'];
				$description 	= $row['description'];
				$totalAmount 	= $row['totalAmount'];
				$addedOn 		= $row['addedOn'];
				$confirmedBy 	= $row['confirmedBy'];
				
				// Computations and conversion
				$date = date('l jS \of F Y', strtotime($row['addedOn']));
				$time = date('h:i:s A', strtotime($row['addedOn']));
				
				$remaining = $qtySupplied - $qtyLeft;
				
				if ($remaining < 1) {
					$statSign = 'times';
					$statColor = 'red';
				} else {
					$statSign = 'check';
					$statColor = 'green';
				}
						
		$pagename = $name. " Information" ;
		$pageslogan = $name." ".$type;
		$parent		= "Store Room";
		$parentUrl	= "store";
		
		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>
	<div class="row">
		<div class="col-xs-12">
			<!-- PAGE CONTENT BEGINS -->
			<div>
				<div id="user-profile-1" class="user-profile row">
					<div class="col-xs-12 col-sm-6 center">
						<h4>Stock Status</h4>
                        <div class="infobox infobox-blue infobox-large infobox-dark">
							<div class="infobox-icon">
								<i class="ace-icon fa fa-<?php echo $statSign; ?>" style="color:<?php echo $statColor; ?>"></i>
							</div>
							<div class="infobox-data">
								<div class="infobox-content"><strong><?php echo $remaining; ?></strong> remaining in store</div>
							</div>
						</div>
                        
                        <hr />
                        
                        <h4>Item Log</h4>
                        <!-- Show Logs -->
                        <div class="comments">
							<div class="itemdiv commentdiv">
                <?php
					// Query database 	  	 
					$q="SELECT * FROM stock_out WHERE itemId = '$id' ";
					$retvall = mysql_query( $q, $conn );
					if(mysql_num_rows($retvall) > 0){
						while($row = mysql_fetch_array($retvall)){
							$quantity 		= $row['quantity'];
							$suppliedTo 	= $row['suppliedTo'];
							$description 	= $row['description'];
							$suppliedOn 	= $row['suppliedOn'];
							$authorisedBy 	= $row['authorisedBy'];
							$suppliedBy 	= $row['suppliedBy'];
							
							$logdate = date('D jS \of M Y', strtotime($row['suppliedOn']));
							$logtime = date('h:i:s A', strtotime($row['suppliedOn']));
				?>      
								<div class="user">
									<img alt="avatar" src="assets/images/fmxIcon.png" />
								</div>
                                <div class="body">
									<div class="name">
										<a href="#">&nbsp; </a>
									</div>
                                    <div class="time">
										<i class="ace-icon fa fa-calendar"></i>
										<span class="green"><small><?php echo '<strong>'.$logdate.'</strong> &nbsp; &nbsp;'.$logtime; ?></small></span>
									</div>
                                    <div class="text">
										<i class="ace-icon fa fa-quote-left"></i>
										<?php echo $suppliedBy.' supplied '.$quantity.' of this item to '.$suppliedTo.' for the following reason(s): <strong>'.$description.'</strong>.<br>This transaction was authorised by: <i>'.$authorisedBy.'</i>'; ?>
									</div>
								</div>
              	<?php
						}
					} else {
						echo '<div class="body">
								<div class="text">
									No recent activities for this item
								</div>
							</div>';
					}
			   ?>                                                 
                   
                           	</div>
                       	</div>
                                                            
					</div>
					
					<div class="col-xs-12 col-sm-6">
						<h3>Item  Information</h3>
						<div class="profile-user-info profile-user-info-striped">
							<div class="profile-info-row">
								<div class="profile-info-name"> Name </div>
								<div class="profile-info-value">
									<span class="editable" id="name"><?php echo $name; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Type </div>
								<div class="profile-info-value">
									<span class="editable" id="type"><?php echo $type; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Unit Cost </div>
								<div class="profile-info-value">
									<span class="editable" id="unitCost"><?php echo $unitCost; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Quantity Supplied </div>
								<div class="profile-info-value">
									<span class="editable" id="qtySupplied"><?php echo $qtySupplied; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Total Amount </div>
								<div class="profile-info-value">
									<span class="editable" id="totalAmount"><?php echo $totalAmount; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Quantity Left </div>
								<div class="profile-info-value">
									<span class="editable" id="qtyLeft"><?php echo $qtyLeft; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Vendor </div>
								<div class="profile-info-value">
									<span class="editable" id="vendor"><?php echo $vendor; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Added On </div>
								<div class="profile-info-value">
									<span class="editable" id="addedOn"><?php echo $date; ?>&nbsp; &nbsp; &nbsp; &nbsp; <small><?php echo $time; ?></small></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Confirmend By </div>
								<div class="profile-info-value">
									<span class="editable" id="relmanager"><?php echo $confirmedBy; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Full Description </div>
								<div class="profile-info-value">
									<span class="editable" id="totalAmount"><?php echo $description; ?></span>
								</div>
							</div>
						</div>

						<hr>
						
					</div>
				</div>
			</div><!-- PAGE CONTENT ENDS -->
                             
		</div><!-- /.col -->
	</div><!-- /.row -->
</div><!-- /.page-content -->
</div>
</div><!-- /.main-content -->
			
<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
		
		// End Database Query
			}
		} else {
			echo "The client searched for is not existing or has been removed from  out database. Kindly contact the administrator for more information";
		}
	} else {
		header("Location: store");
	}
	
	// End User Log 
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>