<?php
	/**
	 * maintenance.php
	 *
	 * This is used to registered  maintenance activities
	 * It is also used to view and manage existing maintenance record
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Maintenance" ;
		$pageslogan = "add and manage item maintenance records";
		$parent		= "";
		//$parentUrl	= "useredit.php";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>

		<div class="row">
			<div class="col-xs-12">
				<!-- PAGE CONTENT BEGINS -->
				
				<div class="row">
		<?php
				if(isset($_GET['succresp']))
				{
					$title = $_GET['succresp'];
		?>
					<div class="alert alert-block alert-info">
                        <button type="button" class="close" data-dismiss="alert">
                            <i class="ace-icon fa fa-times"></i>
                        </button>
                        <i class="ace-icon fa fa-check green"></i> item maintenance titled: (<strong><?php echo $title; ?></strong>) added Successfully
					</div>
		<?php
				} else {
					if(isset($_GET['fail']))
					{
						$title = $_GET['fail'];
		?>
					<div class="alert alert-block alert-danger">
						<button type="button" class="close" data-dismiss="alert">
							<i class="ace-icon fa fa-times"></i>
						</button>
						<i class="ace-icon fa fa-times red"></i> There was an error, and the item repai titled: <strong><?php echo $title; ?></strong> was not not saved
						<a data-toggle="tab" href="#addmaintenance">
							<i class="green ace-icon fa fa-plus bigger-120"></i>
							Try Again
						</a> If problem persist, contact web administrator.
					</div>
		<?php
					}
				}
		?>
		
		<?php
				if(isset($_GET['editresp']))
				{
					$title = $_GET['editresp'];
		?>
					<div class="alert alert-block alert-info">
						<button type="button" class="close" data-dismiss="alert">
							<i class="ace-icon fa fa-times"></i>
						</button>
						<i class="ace-icon fa fa-check green"></i><strong><?php echo $title; ?></strong>'s record was updated Successfully
					</div>
		<?php
				} else {
					if(isset($_GET['editfail']))
					{
						$title = $_GET['editfail'];
		?>
					<div class="alert alert-block alert-danger">
						<button type="button" class="close" data-dismiss="alert">
							<i class="ace-icon fa fa-times"></i>
						</button>
						<i class="ace-icon fa fa-times red"></i> There was an error, and <strong><?php echo $title; ?></strong>'s record was not updated.
						
					</div>
		<?php
					}
				}
		?>
					<div class="col-sm-12">
						<div class="tabbable">
							<ul class="nav nav-tabs" id="myTab">
								<li>
									<a data-toggle="tab" href="#addmaintenance">
										<i class="green ace-icon fa fa-plus bigger-120"></i>
										Add New Item Repair Record
									</a>
								</li>

								<li class="active">
									<a data-toggle="tab" href="#allmaintenance">
										<i class="green ace-icon fa fa-bank bigger-120"></i>
										Manage/View All Preventive Maintenance
										<span class="badge badge-success">
										<?php
											// Fetch total number of catgeories 
											$query = "SELECT COUNT(id) as `num` FROM maintenance";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$totalmaintenance = $row['num'];
											echo $totalmaintenance;
										?>
										</span>
									</a>
								</li>
                                
							</ul>

							<div class="tab-content">
								
								<div id="addmaintenance" class="tab-pane fade">
									<div class="result">
										<div class="center">
											<h3 class="header smaller lighter green">Faulty Item Repair Form</h3>
											<p>Kindly fill the form with accurate data. Fields with <font color="red">*</font> are required.</p>
										</div>
										
										<p class="qc-errmsg" style="display: none;">&nbsp;</p>
										<div class="contact-form clearfix">
											<form name="form" class="form-horizontal" action="sys/core/insert.php"  method="post">
												<div class="col-sm-6">
													
													<div class="form-group">
														<label for="title" class="col-sm-4 control-label no-padding-right">Title <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="text" name="title" id="title" placeholder="Enter Operation Title Here" class="form-control" required/>
														</div>
													</div>
													
													<div class="form-group">
														<label for="location" class="col-sm-4 control-label no-padding-right">Location <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="location" id="location"  class="form-control"  required>
                                                            	<option value=""> -- Choose office location -- </option>
								<?php
														// Query database
														$sql="SELECT * FROM office";
														$retvall = mysql_query( $sql, $conn );
														if(mysql_num_rows($retvall) > 0){
															while($row = mysql_fetch_array($retvall)){
																$name	= $row['name'];
								?>
																<option value="<?php echo $name; ?>"><?php echo $name; ?></option>
                                <?php
															}
														} else {
															echo '<option value=" "> </option>';
														}
								?>
                                                            </select>
														</div>
													</div>
													
													<div class="form-group">
														<label for="client" class="col-sm-4 control-label no-padding-right">Client <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="client" id="chooseClient"  class="col-xs-12"  required>
                                                                <option value=""> -- Choose a client -- </option>
                                                    <?php
                                                        // Query database for client name
                                                        $sql="SELECT * FROM clients";
                                                        $retvall = mysql_query( $sql, $conn );
                                                            if(mysql_num_rows($retvall) > 0){
                                                                while($row = mysql_fetch_array($retvall)){
                                                                    $id		= $row['id'];
                                                                    $name	= $row['name'];
                                                    ?>
                                                                    <option value="<?php echo $id.' '.$name; ?>"><?php echo $name; ?></option>
                                                    <?php
                                                                }
                                                            } else {
                                                                echo '<option value=" "> </option>';
                                                            }
                                                    ?>
                                                            </select>
														</div>
													</div>
													
													<div class="form-group">
														<label for="facility" class="col-sm-4 control-label no-padding-right">Facility <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="facility" id="facility" class="postform" required>
                                                                <option value="">-- select a client first --</option>
                                                            </select>
														</div>
													</div>
													<div class="form-group">
														<label for="item" class="col-sm-4 control-label no-padding-right">Item Type <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="item" id="item" class="form-control" required>
                                                                <option value=""> -- Choose an item -- </option>
                                                    <?php
                                                        // Query database for item name
                                                        $sql="SELECT * FROM stock_in";
                                                        $retvall = mysql_query( $sql, $conn );
                                                            if(mysql_num_rows($retvall) > 0){
                                                                while($row = mysql_fetch_array($retvall)){
                                                                    $id		= $row['id'];
                                                                    $name	= $row['name'];
                                                    ?>
                                                                    <option value="<?php echo $id.'-'.$name; ?>"><?php echo $name; ?></option>
                                                    <?php
                                                                }
                                                            } else {
                                                                echo '<option value=" "> </option>';
                                                            }
                                                    ?>
                                                            </select>
														</div>
													</div>
                                                    <div class="form-group">
														<label for="item" id="addMainType" class="col-sm-4 control-label no-padding-right">Maintenance Type <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="type" id="type" class="form-control" required>
                                                                <option value=""> -- Choose maintenance type -- </option>
                                                    <?php
                                                        // Query database for item name
                                                        $sql="SELECT * FROM maintenance_types";
                                                        $retvall = mysql_query( $sql, $conn );
                                                            if(mysql_num_rows($retvall) > 0){
                                                                while($row = mysql_fetch_array($retvall)){
                                                                   $name	= $row['name'];
                                                    ?>
                                                                    <option value="<?php echo $name; ?>"><?php echo $name; ?></option>
                                                    <?php
                                                                }
                                                            } else {
                                                                echo '<option value=" "> </option>';
                                                            }
                                                    ?>
                                                            </select>
                                                            <a data-toggle='modal' data-target='#newMaintenanceType' class="a-cat btn btn-primary btn-sm">
                                                                <i class="ace-icon fa fa-plus bigger-60"></i> 
                                                                Add Maintenance Type
                                                            </a>
                                                            <span id="addresult"> </span>
									   
														</div>
													</div>
                                                    
												</div>  <!-- End Div 6 -->
												
												
												<div class="col-sm-6">
													
													<div class="form-group">
														<label for="startDate" class="col-sm-4 control-label no-padding-right">Start Date <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
                                                        	<span class="input-icon">
                                                            	<input class="form-control date-picker" name="startDate" id="id-date-picker-1" type="text" data-date-format="yyyy-mm-dd" />	
                                                            	<i class="ace-icon fa fa-calendar"></i>
                                                        	</span>
														</div>
													</div>
                                                    <div class="form-group">
														<label for="endDate" class="col-sm-4 control-label no-padding-right">End Date <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
                                                        	<span class="input-icon">
                                                            	<input class="form-control date-picker" name="endDate" id="id-date-picker-1" type="text" data-date-format="yyyy-mm-dd" />	
                                                            	<i class="ace-icon fa fa-calendar"></i>
                                                        	</span>
														</div>
													</div>
                                                    
                                                    <div class="form-group">
														<label for="noTechnicians" class="col-sm-4 control-label no-padding-right">Non Material Cost <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="number" name="nonMaterialCost" id="nonMaterialCost" class="form-control" placeholder="Enter Amount Here" required />
														</div>
													</div>
                                                    <div class="form-group">
														<label for="noTechnicians" class="col-sm-4 control-label no-padding-right">Number of Technicians <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="number" name="numTechnicians" id="numTechnicians" class="form-control" placeholder="How many technicians are working on this?" required />
														</div>
													</div>
													<div class="form-group">
														<label for="serviceDate" class="col-sm-4 control-label no-padding-right">Lead Technician <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
                                                        	<span class="input-icon">
                                                            	<input type="text" name="leadTechnician" id="leadTechnician" class="form-control" placeholder="Enter Lead Technician's Name Here" required />
                                                            	<i class="ace-icon fa fa-user"></i>
                                                        	</span>
														</div>
													</div>
                                                    
													<div class="form-group">
														<label for="repairDescription" class="col-sm-4 control-label no-padding-right">Maintenance Description  <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<textarea id="maintenanceDescription" name="maintenanceDescription" required class="form-control"></textarea>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
												
												<div class="center">
													<input type="hidden" name="createdBy" value="<?php echo $username; ?>" class="form-control" required/>
                                                    <input type="submit" value="Save Data" name="addMaintenance" id="addMaintenance" class="btn btn-success"  data-after-submit-value="Processing your request..."/>
													<input type="reset" value="Reset Form Fields" name="reset" class="btn btn-danger"/>
												</div>
											</form>
										</div>
									</div>
									
								</div>

								<div id="allmaintenance" class="tab-pane fade in active">
									<div class="center">
										<h3 class="header smaller lighter green">All Maintenance Record</h3>
										<p>You can sort the following table in Descending or Ascending order by clicking on the table header/title</p>
									</div>
									<table id="maintenance-grid" class="table table-striped table-bordered table-hover display" width="100%">
										<thead>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Title</th>
												<th>Client</th>
												<th>Item</th>
												<th>Lead Technician</th>
												<th>ACTION</th>
											</tr>
										</thead>
										
										<tfoot>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Title</th>
												<th>Client</th>
												<th>Item</th>
												<th>Lead Technician</th>
												<th>ACTION</th>
											</tr>
										</tfoot>
									</table>
									
                            </div><!-- /.col -->
                            
                        </div><!-- /.row -->
    
                    <div class="hr hr32 hr-dotted"></div>

										
				<!-- PAGE CONTENT ENDS -->
				</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.page-content -->
	</div>
</div><!-- /.main-content -->

<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>