<?php
	/**
	 * vendor-edit.php
	 *
	 * This is used to change/modify vendors information
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 * Date: May 2016
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Edit Office Record" ;
		$pageslogan = "manage existing office location information";
		$parent		= "Office Locations";
		$parentUrl	= "office";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>

		<div class="row">
			<div class="col-xs-12">
				<!-- PAGE CONTENT BEGINS -->
				<div class="alert alert-block alert-success">
					<button type="button" class="close" data-dismiss="alert">
						<i class="ace-icon fa fa-times"></i>
					</button>

					<i class="ace-icon fa fa-check green"></i> Hi, 
					<strong class="green"><?php echo $username; ?></strong>, 
					<small>This page enables you to edit existing office location information. Ensure you have the right permission to do this.</small>
				</div>

				<div class="row">
					
					<div class="col-sm-12">
	<?php 
			if(isset($_GET['o']))
			{
				$id=$_GET['o'];
				$sql="SELECT * FROM office WHERE id ='$id' ";
				$retvall = mysql_query( $sql, $conn );
				if(mysql_num_rows($retvall) > 0)
				{
					while($row = mysql_fetch_array($retvall))
					{
						$id 				= $row['id'];
						$name 				= $row['name'];
						$manager			= $row['manager'];
						$phonenumber		= $row['phonenumber'];
						$email 				= $row['email'];
						$address 			= $row['address'];
						$state 				= $row['state'];
						$country			= $row['country'];
	?> 

						<div class="center">
							<h3 class="header smaller lighter green">Edit <?php echo $name; ?>'s Information</h3>
						</div>
						
						<div class="client-feedback"></div>
						
						<div class="contact-form clearfix">
							<form name="form" class="form-horizontal" action="sys/core/update.php"  method="post">
								<div class="col-sm-6">
													
									<div class="form-group">
										<label for="csn" class="col-sm-4 control-label no-padding-right">Name <font color="#ff0000">*</font></label>
										<div class="col-sm-8">
											<input type="text" name="name" id="name" value="<?php echo $name; ?>" placeholder="Enter Office Name Here"  class="form-control" required/>
										</div>
									</div>
													
                                    <div class="form-group">
										<label for="manager" class="col-sm-4 control-label no-padding-right">Location Manager <font color="#ff0000">*</font></label>
										<div class="col-sm-8" id="autolist">
											<input type="text" name="manager" id="relmanager" value="<?php echo $manager; ?>" placeholder="Start Typing a name here" onkeyup="autocomplet()" class="form-control" required/>
											<ul id="relmanager_list"></ul>
										</div>
									</div>
                                                    
                                    <div class="form-group">
										<label for="phonenumber" class="col-sm-4 control-label no-padding-right">Contact Number <font color="#ff0000">*</font></label>
										<div class="col-sm-8">
											<input type="text" name="phonenumber" id="phonenumber" value="<?php echo $phonenumber; ?>" placeholder="Enter Vendor's Primary Phone Number Here" class="form-control" required/>
										</div>
									</div>
                                                    
									<div class="form-group">
										<label for="email" class="col-sm-4 control-label no-padding-right">Email Address <font color="#ff0000">*</font></label>
										<div class="col-sm-8">
											<input type="email" name="email" id="email" value="<?php echo $email; ?>" placeholder="Enter Vendor's Email Address Here"  class="form-control" required/>
											<p class="help-block"></p>
										</div>
									</div>
                                                    
								</div>  <!-- End Div 6 -->
												
								<div class="col-sm-6">
													
									<div class="form-group">
										<label for="address" class="col-sm-3 control-label no-padding-right">Office Address <font color="#ff0000">*</font></label>
										<div class="col-sm-9">
											<textarea id="address" name="address" placeholder="Enter Vendor's Office Address Here"  class="form-control" required/><?php echo $address; ?></textarea>
										</div>
									</div>
													
									<div class="form-group">
										<label for="state" class="col-sm-3 control-label no-padding-right">State <font color="#ff0000">*</font></label>
										<div class="col-sm-9">
											<select name="state" id="state"  class="form-control" required/>
                                            	<option value="<?php echo $state; ?>"><?php echo $state; ?></option>
											<?php
												include 'sys/incs/statelist.php';
											?>
															</select>
										</div>
									</div>
													
									<div class="form-group">
										<label for="country" class="col-sm-3 control-label no-padding-right">Country <font color="#ff0000">*</font></label>
										<div class="col-sm-9">
											<select id="country" name="country"  class="form-control" required/>
                                            	<option value="<?php echo $country; ?>"><?php echo $country; ?></option>
											<?php
												include 'sys/incs/countrylist.php';
											?>
											</select>
										</div>
									</div>
													
								</div>  <!-- End Div 6 -->
								
								<div class="center">
									<input type="hidden" name="officeId" id="officeId" value="<?php echo $id; ?>" />
									<input type="submit" value="Submit Data" name="editOffice" id="editOffice" class="btn btn-success" data-after-submit-value="Processing your request..."/>
									<input type="reset" value="Reset Form Fields" name="reset" class="btn btn-danger" />
								</div>
							</form>
						</div>
		<?php		}
				} else { echo "No record was found"; }
			} else { echo "The record your searched for does not exist"; }
		?>
					</div><!-- /.col -->

				</div><!-- /.row -->

				<div class="hr hr32 hr-dotted"></div>

										
				<!-- PAGE CONTENT ENDS -->
				</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.page-content -->
	</div>
</div><!-- /.main-content -->

<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>