<?php
	/**
	 * operation-edit.php
	 *
	 * This is used to change/modify operation information
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 * Date: May 2016
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Edit Operation Record" ;
		$pageslogan = "manage assigned operation information";
		$parent		= "Manage Operations";
		$parentUrl	= "operations";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>

		<div class="row">
			<div class="col-xs-12">
				<!-- PAGE CONTENT BEGINS -->

				<div class="row">
					
					<div class="col-sm-12">
	<?php 
			if(isset($_GET['op']))
			{
				$id=$_GET['op'];
				$sql="SELECT * FROM operations WHERE id ='$id' ";
				$retvall = mysql_query( $sql, $conn );
				if(mysql_num_rows($retvall) == 1)
				{
					while($row = mysql_fetch_array($retvall))
					{
						$id 					= $row['id'];
						$title 					= $row['title'];
						$client 				= $row['client'];
						$location 				= $row['location'];
						$facility 				= $row['facility'];
						$type					= $row['type'];
						$supervisor 			= $row['supervisor'];
						$numDays				= $row['numDays'];
						$requestDescription 	= $row['requestDescription'];
						$serviceProcedure 		= $row['serviceProcedure'];
						$assignedOn 			= $row['assignedOn'];
	?> 

						<div class="center">
							<h3 class="header smaller lighter green">Edit <?php echo $title; ?>'s Information</h3>
						</div>
						
						<div class="client-feedback"></div>
						
						<div class="contact-form clearfix">
							<form name="form" class="form-horizontal" action="sys/core/update.php"  method="post">
								<div class="col-sm-6">
									<div class="form-group">
										<label for="title" class="col-sm-3 control-label no-padding-right">Title <font color="#ff0000">*</font></label>
										<div class="col-sm-9">
											<input type="text" name="title" id="title" value="<?php echo $title;?>" class="form-control" required/>
										</div>
									</div>
													
													<div class="form-group">
														<label for="location" class="col-sm-3 control-label no-padding-right">Location <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<select name="location" id="location"  class="form-control"  required>
                                                            	<option value="<?php if(!empty($location)){ echo $location; } else { echo ''; } ?>"> <?php if(!empty($location)){ echo $location; } else { echo '-- Choose office location --'; } ?> </option>
								<?php
														// Query database
														$sql="SELECT * FROM office";
														$retvall = mysql_query( $sql, $conn );
														if(mysql_num_rows($retvall) > 0){
															while($row = mysql_fetch_array($retvall)){
																$name	= $row['name'];
								?>
																<option value="<?php echo $name; ?>"><?php echo $name; ?></option>
                                <?php
															}
														} else {
															echo '<option value=" "> </option>';
														}
								?>
                                                            </select>
														</div>
													</div>
													
													<div class="form-group">
														<label for="client" class="col-sm-3 control-label no-padding-right">Client <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<select name="client" id="chooseClient"  class="col-xs-12"  required>
                                                                <option value="<?php if(!empty($client)){ echo $client; } else { echo ''; } ?>"> <?php if(!empty($client)){ echo $client; } else { echo '-- Choose a client --'; } ?> </option>
                                                    <?php
                                                        // Query database for client name
                                                        $sql="SELECT * FROM clients";
                                                        $retvall = mysql_query( $sql, $conn );
                                                            if(mysql_num_rows($retvall) > 0){
                                                                while($row = mysql_fetch_array($retvall)){
                                                                    $id		= $row['id'];
                                                                    $name	= $row['name'];
                                                    ?>
                                                                    <option value="<?php echo $id.' '.$name; ?>"><?php echo $name; ?></option>
                                                    <?php
                                                                }
                                                            } else {
                                                                echo '<option value=" "> </option>';
                                                            }
                                                    ?>
                                                            </select>
														</div>
													</div>
													
													<div class="form-group">
														<label for="facility" class="col-sm-3 control-label no-padding-right">Facility <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<select name="facility" id="facility" class="postform" required>
                                                                <option value="<?php if(!empty($facility)){ echo $facility; } else { echo ''; } ?>"> <?php if(!empty($facility)){ echo $facility; } else { echo '-- Choose office location --'; } ?> </option>
                                                            </select>
														</div>
													</div>
													<div class="form-group">
														<label for="type" class="col-sm-3 control-label no-padding-right">Operation Type <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<select name="type" id="type" class="form-control" required>
                                                                <option value="<?php if(!empty($type)){ echo $type; } else { echo ''; } ?>"> <?php if(!empty($type)){ echo $type; } else { echo '-- Choose office location --'; } ?> </option>
                                                                <option value="Paid Maintenance">Paid Maintenance</option>
                                                                <option value="Maintenance">Maintenance</option>
                                                                <option value="PPM Service">PPM Service</option>
                                                                <option value="Fault Repairs">Fault Repairs</option>
                                                            </select>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
												
												
												<div class="col-sm-6">
													
													<div class="form-group">
														<label for="supervisor" class="col-sm-4 control-label no-padding-right">Operation Supervisor <font color="#ff0000">*</font></label>
														<div class="col-sm-8" id="autolist">
															<span class="input-icon">
                                                            <input type="text" name="supervisor" id="recipient" placeholder="Start Typing Recipient Name" value="<?php echo $supervisor; ?>" class="form-control" required onkeyup="autorecipient()">		
                                                            <i class="ace-icon fa fa-user"></i>
                                                        </span>
                                                        <ul id="recipient_list"></ul>
														</div>
													</div>
                                                    
													<div class="form-group">
														<label for="numDays" class="col-sm-4 control-label no-padding-right">Number of Days </label>
														<div class="col-sm-8">
															<input type="number" name="numDays" id="numDays" class="form-control" value="<?php echo $numDays; ?>" required />
														</div>
													</div>
													
													<div class="form-group">
														<label for="requestDescription" class="col-sm-4 control-label no-padding-right">Request Description </label>
														<div class="col-sm-8">
                                                        	<select name="requestSubject" id="requestSubject" class="postform">
                                                                <option value="">-- select a facility first --</option>
                                                            </select>
															<textarea id="requestDescription" name="requestDescription" required class="form-control" readonly><?php echo $requestDescription; ?></textarea>
														</div>
													</div>
													
													<div class="form-group">
														<label for="serviceProcedure" class="col-sm-4 control-label no-padding-right">Service Description  <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<textarea id="serviceProcedure" name="serviceProcedure" required class="form-control"><?php echo $serviceProcedure;?></textarea>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
								
								<div class="center">
									<input type="hidden" name="id" id="id" value="<?php echo $id; ?>" />
									<input type="submit" value="Submit Data" name="editOperation" id="editOperation" class="btn btn-success" data-after-submit-value="Processing your request..."/>
									<input type="reset" value="Reset Form Fields" name="reset" class="btn btn-danger" />
								</div>
							</form>
						</div>
		<?php		}
				} else { echo "No record was found"; }
			} else if(isset($_GET['myop'])) {
				$id=$_GET['myop'];
				$sql="SELECT * FROM operations WHERE id ='$id' AND supervisor = '$username'";
				$retvall = mysql_query( $sql, $conn );
				if(mysql_num_rows($retvall) == 1)
				{
					while($row = mysql_fetch_array($retvall))
					{
						$id 					= $row['id'];
						$title 					= $row['title'];
						$client 				= $row['client'];
						$location 				= $row['location'];
						$facility 				= $row['facility'];
						$type					= $row['type'];
						$supervisor 			= $row['supervisor'];
						$numDays				= $row['numDays'];
						$requestDescription 	= $row['requestDescription'];
						$serviceProcedure 		= $row['serviceProcedure'];
						$assignedBy 			= $row['assignedBy'];
						$assignedOn 			= $row['assignedOn'];
						$status			 		= $row['status'];
						$statusDescription		= $row['statusDescription'];
	?> 

						<div class="center">
							<h3 class="header smaller lighter green">Edit <?php echo $title; ?>'s Information</h3>
						</div>
						
						<div class="client-feedback"></div>
						
						<div class="contact-form clearfix">
							<form name="form" class="form-horizontal" action="sys/core/update.php"  method="post">
								<div class="col-sm-6">
									<div class="form-group">
										<label for="title" class="col-sm-4 control-label no-padding-right">Title: </label>
										<div class="col-sm-8">
											<strong><?php echo $title;?></strong>
										</div>
									</div>
													
									<div class="form-group">
										<label for="location" class="col-sm-4 control-label no-padding-right">Location: </label>
										<div class="col-sm-8">
											<strong><?php echo $location; ?></strong>
										</div>
									</div>
													
									<div class="form-group">
										<label for="client" class="col-sm-4 control-label no-padding-right">Client: </label>
										<div class="col-sm-8">
											<strong><?php echo $client;?> </strong>
										</div>
									</div>
													
									<div class="form-group">
										<label for="facility" class="col-sm-4 control-label no-padding-right">Facility: </label>
										<div class="col-sm-8">
											<strong><?php echo $facility; ?> </strong>
										</div>
									</div>
									<div class="form-group">
										<label for="type" class="col-sm-4 control-label no-padding-right">Operation Type: </label>
										<div class="col-sm-8">
											<strong><?php  echo $type; ?></strong>
                                        </div>
									</div>
                                    <div class="form-group">
										<label for="supervisor" class="col-sm-4 control-label no-padding-right">Operation Supervisor: </label>
										<div class="col-sm-8" id="autolist">
											<strong><?php echo $supervisor; ?></strong>
										</div>
									</div>
                                                    
									<div class="form-group">
										<label for="numDays" class="col-sm-3 control-label no-padding-right">Number of Days: </label>
										<div class="col-sm-8">
											<strong><?php echo $numDays; ?></strong>
										</div>
									</div>
													
									<div class="form-group">
										<label for="requestDescription" class="col-sm-4 control-label no-padding-right">Request Description: </label>
										<div class="col-sm-8">
                                             <strong><?php echo $requestDescription; ?></strong>
										</div>
									</div>
													
									<div class="form-group">
										<label for="serviceProcedure" class="col-sm-4 control-label no-padding-right">Service Description : </label>
										<div class="col-sm-8">
											<strong><?php echo $serviceProcedure;?></strong>
										</div>
									</div>
													
								</div>  <!-- End Div 6 -->
												
								<div class="col-sm-6">
									
                                    <div class="form-group">
										<label for="type" class="col-sm-4 control-label no-padding-right">Operation Status <font color="#ff0000">*</font></label>
										<div class="col-sm-8">
											<select name="status" id="status" class="form-control" required>
                                                <option value="<?php if(!empty($status)){ echo $status; } else { echo ''; } ?>"> <?php if(!empty($status)){ echo $status; } else { echo '-- Choose operation status --'; } ?> </option>
                                                <option value="Completed">Completed</option>
                                                <option value="Not Completed">Not Completed</option>
                               				</select>
										</div>
									</div>
                                    
                                    <div class="form-group">
										<label for="statusDescription" class="col-sm-4 control-label no-padding-right">Status Description </label>
										<div class="col-sm-8">
                                             <textarea id="statusDescription" name="statusDescription" required class="form-control" ><?php echo $statusDescription; ?></textarea>
										</div>
									</div>
													
								</div>  <!-- End Div 6 -->
								
								<div class="center">
									<input type="hidden" name="id" id="id" value="<?php echo $id; ?>" />
                                    <input type="hidden" name="assignedBy" id="assignedBy" value="<?php echo $assignedBy; ?>" />
									<input type="submit" value="Submit Data" name="editMyOperation" id="editMyOperation" class="btn btn-success" data-after-submit-value="Processing your request..."/>
									<input type="reset" value="Reset Form Fields" name="reset" class="btn btn-danger" />
								</div>
							</form>
						</div>
		<?php		}
				} else { echo "No record was found"; }
			} else { echo "The record your searched for does not exist"; }
		?>
					</div><!-- /.col -->

				</div><!-- /.row -->

				<div class="hr hr32 hr-dotted"></div>

										
				<!-- PAGE CONTENT ENDS -->
				</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.page-content -->
	</div>
</div><!-- /.main-content -->

<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>