<?php
	/**
	 * operations.php
	 *
	 * This is used to new operations
	 * It is also used to view assignedd operations
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Manage Operations" ;
		$pageslogan = "assign operation(s) to a supervisor and manage assigned operation";
		$parent		= "";
		//$parentUrl	= "useredit.php";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>

		<div class="row">
			<div class="col-xs-12">
				<!-- PAGE CONTENT BEGINS -->
				
				<div class="row">
		<?php
				if(isset($_GET['succresp']))
				{
					$title = $_GET['succresp'];
		?>
					<div class="alert alert-block alert-info">
                        <button type="button" class="close" data-dismiss="alert">
                            <i class="ace-icon fa fa-times"></i>
                        </button>
                        <i class="ace-icon fa fa-check green"></i> New Operation title: (<strong><?php echo $title; ?></strong>) has assigned Successfully
					</div>
		<?php
				} else {
					if(isset($_GET['fail']))
					{
						$title = $_GET['fail'];
		?>
					<div class="alert alert-block alert-danger">
						<button type="button" class="close" data-dismiss="alert">
							<i class="ace-icon fa fa-times"></i>
						</button>
						<i class="ace-icon fa fa-times red"></i> There was an error, and the operation title: <strong><?php echo $title; ?></strong> was not assigned
						<a data-toggle="tab" href="#addoperation">
							<i class="green ace-icon fa fa-plus bigger-120"></i>
							Try Again
						</a> If problem persist, contact web administrator.
					</div>
		<?php
					}
				}
		?>
		
		<?php
				if(isset($_GET['editresp']))
				{
					$title = $_GET['editresp'];
		?>
					<div class="alert alert-block alert-info">
						<button type="button" class="close" data-dismiss="alert">
							<i class="ace-icon fa fa-times"></i>
						</button>
						<i class="ace-icon fa fa-check green"></i><strong><?php echo $title; ?></strong>'s record was updated Successfully
					</div>
		<?php
				} else {
					if(isset($_GET['editfail']))
					{
						$title = $_GET['editfail'];
		?>
					<div class="alert alert-block alert-danger">
						<button type="button" class="close" data-dismiss="alert">
							<i class="ace-icon fa fa-times"></i>
						</button>
						<i class="ace-icon fa fa-times red"></i> There was an error, and <strong><?php echo $title; ?></strong>'s record was not updated.
						<a data-toggle="tab" href="#addoperation">
							<i class="green ace-icon fa fa-plus bigger-120"></i>
							Try Again
						</a> If problem persist, contact web administrator.
					</div>
		<?php
					}
				}
		?>
					<div class="col-sm-12">
						<div class="tabbable">
							<ul class="nav nav-tabs" id="myTab">
								<li>
									<a data-toggle="tab" href="#addoperation">
										<i class="green ace-icon fa fa-plus bigger-120"></i>
										Assign New Operation
									</a>
								</li>

								<li class="active">
									<a data-toggle="tab" href="#alloperations">
										<i class="green ace-icon fa fa-bank bigger-120"></i>
										Manage/View All Operation Assignments
										<span class="badge badge-success">
										<?php
											// Fetch total number of catgeories 
											$query = "SELECT COUNT(id) as `num` FROM operations";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$totaloperations = $row['num'];
											echo $totaloperations;
										?>
										</span>
									</a>
								</li>
                                
                                <li>
									<a data-toggle="tab" href="#myoperation">
										<i class="green ace-icon fa fa-user bigger-120"></i>
										My Assigned Operations
									</a>
								</li>
                                
							</ul>

							<div class="tab-content">
								
								<div id="addoperation" class="tab-pane fade">
									<div class="result">
										<div class="center">
											<h3 class="header smaller lighter green">Operation Assignment Form</h3>
											<p>Kindly fill the form with accurate data. Fields with <font color="red">*</font> are required.</p>
										</div>
										
										<p class="qc-errmsg" style="display: none;">&nbsp;</p>
										<div class="contact-form clearfix">
											<form name="form" class="form-horizontal" action="sys/core/insert.php"  method="post">
												<div class="col-sm-6">
													
													<div class="form-group">
														<label for="title" class="col-sm-3 control-label no-padding-right">Title <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<input type="text" name="title" id="title" placeholder="Enter Operation Title Here" class="form-control" required/>
														</div>
													</div>
													
													<div class="form-group">
														<label for="location" class="col-sm-3 control-label no-padding-right">Location <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<select name="location" id="location"  class="form-control"  required>
                                                            	<option value=""> -- Choose office location -- </option>
								<?php
														// Query database
														$sql="SELECT * FROM office";
														$retvall = mysql_query( $sql, $conn );
														if(mysql_num_rows($retvall) > 0){
															while($row = mysql_fetch_array($retvall)){
																$name	= $row['name'];
								?>
																<option value="<?php echo $name; ?>"><?php echo $name; ?></option>
                                <?php
															}
														} else {
															echo '<option value=" "> </option>';
														}
								?>
                                                            </select>
														</div>
													</div>
													
													<div class="form-group">
														<label for="client" class="col-sm-3 control-label no-padding-right">Client <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<select name="client" id="chooseClient"  class="col-xs-12"  required>
                                                                <option value=""> -- Choose a client -- </option>
                                                    <?php
                                                        // Query database for client name
                                                        $sql="SELECT * FROM clients";
                                                        $retvall = mysql_query( $sql, $conn );
                                                            if(mysql_num_rows($retvall) > 0){
                                                                while($row = mysql_fetch_array($retvall)){
                                                                    $id		= $row['id'];
                                                                    $name	= $row['name'];
                                                    ?>
                                                                    <option value="<?php echo $id.' '.$name; ?>"><?php echo $name; ?></option>
                                                    <?php
                                                                }
                                                            } else {
                                                                echo '<option value=" "> </option>';
                                                            }
                                                    ?>
                                                            </select>
														</div>
													</div>
													
													<div class="form-group">
														<label for="facility" class="col-sm-3 control-label no-padding-right">Facility <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<select name="facility" id="facility" class="postform" required>
                                                                <option value="">-- select a client first --</option>
                                                            </select>
														</div>
													</div>
													<div class="form-group">
														<label for="operation" class="col-sm-3 control-label no-padding-right">Operation Type <font color="#ff0000">*</font></label>
														<div class="col-sm-9">
															<select name="type" id="type" class="form-control" required>
                                                                <option value="">-- select operation type --</option>
                                                                <option value="Paid Maintenance">Paid Maintenance</option>
                                                                <option value="Maintenance">Maintenance</option>
                                                                <option value="PPM Service">PPM Service</option>
                                                                <option value="Fault Repairs">Fault Repairs</option>
                                                            </select>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
												
												
												<div class="col-sm-6">
													
													<div class="form-group">
														<label for="supervisor" class="col-sm-4 control-label no-padding-right">Operation Supervisor <font color="#ff0000">*</font></label>
														<div class="col-sm-8" id="autolist">
															<span class="input-icon">
                                                            <input type="text" name="supervisor" id="recipient" placeholder="Start Typing Recipient Name" class="form-control" required onkeyup="autorecipient()">		
                                                            <i class="ace-icon fa fa-user"></i>
                                                        </span>
                                                        <ul id="recipient_list"></ul>
														</div>
													</div>
                                                    
													<div class="form-group">
														<label for="numDays" class="col-sm-4 control-label no-padding-right">Number of Days </label>
														<div class="col-sm-8">
															<input type="number" name="numDays" id="numDays" class="form-control" placeholder="How long will this operation last" required />
														</div>
													</div>
													
													<div class="form-group">
														<label for="requestDescription" class="col-sm-4 control-label no-padding-right">Request Description </label>
														<div class="col-sm-8">
                                                        	<select name="requestSubject" id="requestSubject" class="postform">
                                                                <option value="">-- select a facility first --</option>
                                                            </select>
															<textarea id="requestDescription" name="requestDescription" required class="form-control" readonly></textarea>
														</div>
													</div>
													
													<div class="form-group">
														<label for="serviceProcedure" class="col-sm-4 control-label no-padding-right">Service Description  <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<textarea id="serviceProcedure" name="serviceProcedure" required class="form-control"></textarea>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
												
												<div class="center">
													<input type="hidden" name="assignedBy" value="<?php echo $username; ?>" class="form-control" required/>
                                                    <input type="submit" value="Add Operation" name="addOperation" id="addOperation" class="btn btn-success"  data-after-submit-value="Processing your request..."/>
													<input type="reset" value="Reset Form Fields" name="reset" class="btn btn-danger"/>
												</div>
											</form>
										</div>
									</div>
									
								</div>
                                
                                <div id="myoperation" class="tab-pane fade">
									<div class="result">
										<div class="center">
											<h3 class="header smaller lighter green">Operation Assignment Form</h3>
											<p>Kindly fill the form with accurate data. Fields with <font color="red">*</font> are required.</p>
										</div>
										
										<table id="operations2-grid" class="table table-striped table-bordered table-hover display" width="100%">
										<thead>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Title</th>
												<th>Client</th>
												<th>Type</th>
												<th>Supervisor</th>
												<th>ACTION</th>
											</tr>
										</thead>
										
										<tfoot>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Title</th>
												<th>Client</th>
												<th>Type</th>
												<th>Supervisor</th>
												<th>ACTION</th>
											</tr>
										</tfoot>
									</table>
									</div>
									
								</div>

								<div id="alloperations" class="tab-pane fade in active">
									<div class="center">
										<h3 class="header smaller lighter green">All Operation Assignments</h3>
										<p>You can sort the following table in Descending or Ascending order by clicking on the table header/title</p>
									</div>
									<table id="operations-grid" class="table table-striped table-bordered table-hover display" width="100%">
										<thead>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Title</th>
												<th>Client</th>
												<th>Type</th>
												<th>Supervisor</th>
												<th>ACTION</th>
											</tr>
										</thead>
										
										<tfoot>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Title</th>
												<th>Client</th>
												<th>Type</th>
												<th>Supervisor</th>
												<th>ACTION</th>
											</tr>
										</tfoot>
									</table>
									
                            </div><!-- /.col -->
                            
                        </div><!-- /.row -->
    
                    <div class="hr hr32 hr-dotted"></div>

										
				<!-- PAGE CONTENT ENDS -->
				</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.page-content -->
	</div>
</div><!-- /.main-content -->

<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>