<?php
	/**
	 * vendors.php
	 *
	 * This is used to create new vendors
	 * It is also used to view and manage registered vendors
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 * Date: May 2016
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Store" ;
		$pageslogan = "manage registered items and add new item";
		$parent		= "";
		//$parentUrl	= "useredit.php";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>

				<?php
					// Query database
					$cnt = 1;
					$sql="SELECT * FROM stock_in WHERE qtyLeft > 0 AND qtyLeft <= 3";
					$retvall = mysql_query( $sql, $conn );
					if(mysql_num_rows($retvall) > 0){
				?>
                    <div class="row">

						<div class="col-xs-12 col-sm-12 widget-container-col">
							<div class="widget-box widget-color-dark light-border">
								<div class="widget-header">
									<h5 class="widget-title medium"> The following item(s) are almost out of stock </h5>
                                    <div class="widget-toolbar">
										<span class="badge badge-danger">Stock Alert</span>
									</div>
								</div>
                                <div class="widget-body">
									<div class="widget-main padding-6">
										<div>
                                        	<table id="simple-table" class="table table-striped table-bordered table-hover">
                                                <thead>
                                                    <tr>
                                                        <th class="center">
                                                            S/No
                                                        </th>
                                                        <th>Item</th>
                                                        <th>Quantity Left</th>
                                                    </tr>
                                                </thead>
                                                <tbody>
				<?php
                		while($row = mysql_fetch_array($retvall)){
                        	$NameItem	= $row['name'];
                            $amntLeft	= $row['qtyLeft'];
                ?>
                                                    <tr>
                                                        <td class="center"> <?php echo $cnt++; ?> </td>
                                                        <td><?php echo $NameItem; ?></td>
                                                        <td><font color="#990000"><?php echo $amntLeft; ?></font></td>
                                                    </tr>
                                    
                <?php   } ?>
                                                </tbody>
                                            </table>
                                        </div>
									</div>
								</div>
							</div>
						</div>
					
					</div><!-- /.row -->
										
					<div class="hr hr32 hr-dotted"></div>
        	  <?php } else {
                         echo '';
					} 
			  ?>
        <div class="row">
			<div class="col-xs-12">
				<!-- PAGE CONTENT BEGINS -->
				
				<div class="row">
					
					<div class="col-sm-12">
						<div class="tabbable">
							<ul class="nav nav-tabs" id="myTab">
								<li>
									<a data-toggle="tab" href="#stockin">
										<i class="green ace-icon fa fa-plus bigger-120"></i>
										Stock In <small>(Add New Item)</small>
									</a>
								</li>
                                
                                <li>
									<a data-toggle="tab" href="#stockout">
										<i class="red ace-icon fa fa-minus bigger-120"></i>
										Stock Out <small>(Give Out Item)</small>
									</a>
								</li>

								<li class="active">
									<a data-toggle="tab" href="#allitems">
										<i class="blue ace-icon fa fa-wrench bigger-120"></i>
										Manage/View All Items
										<span class="badge badge-danger">
										<?php
											// Fetch total number of catgeories 
											$query = "SELECT COUNT(id) as `num` FROM stock_in";
											$row = mysql_fetch_array(mysql_query($query,$conn));
											$totalItems = $row['num'];
											echo $totalItems;
										?>
										</span>
									</a>
								</li>
							</ul>

							<div class="tab-content">
								
								<div id="stockin" class="tab-pane fade">
									<div class="result">
										<div class="center">
											<h3 class="header smaller lighter green">Stock In <small>(Item Addition Form)</small></h3>
											<p>Kindly fill the form with accurate data. Fields with <font color="red">*</font> are required.</p>
										</div>
										
										<p class="qc-errmsg" style="display: none;">&nbsp;</p>
										<div class="contact-form clearfix">
											<form name="addStock" class="form-horizontal" action="sys/core/insert.php"  method="post">
												<div class="col-sm-6">
													
													<div class="form-group">
														<label for="name" class="col-sm-4 control-label no-padding-right">Name <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="text" name="name" id="name" placeholder="Enter Item Name Here"   class="form-control"  required/>
														</div>
													</div>
                                                    
                                                    <div class="form-group">
														<label for="state" class="col-sm-4 control-label no-padding-right"> Item Type <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="type" id="type"  class="form-control"  required>
								<?php
														// Query database
														$sql="SELECT * FROM item_type";
														$retvall = mysql_query( $sql, $conn );
														if(mysql_num_rows($retvall) > 0){
															while($row = mysql_fetch_array($retvall)){
																$itemName	= $row['name'];
								?>
																<option value="<?php echo $itemName; ?>"><?php echo $itemName; ?></option>
                                <?php
															}
														} else {
															echo '<option value=" ">Choose Item Type</option>';
														}
								?>
                                                            </select>
                                                            <button type="button" class="btn btn-primary btn-xs" data-toggle="modal" data-target="#addItemType">	<i class="ace-icon fa fa-plus  bigger-110"></i> Add New Item Type </button>
                                                            
														</div>
													</div>
													
													<div class="form-group">
														<label for="description" class="col-sm-4 control-label no-padding-right"> Full Description <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<textarea id="description" name="description"  class="form-control"  required></textarea>
														</div>
													</div>
                                                    
													<div class="form-group">
														<label for="unitCost" class="col-sm-4 control-label no-padding-right">Unit Cost <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="text" name="unitCost" id="unitCost" placeholder="Enter Item Unit Cost Here"  onkeyup="multiply();"  class="form-control"  required/>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
												
												
                                                <div class="col-sm-6">
													
													<div class="form-group">
														<label for="qtySupplied" class="col-sm-4 control-label no-padding-right"> Quantity Supplied <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="text" name="qtySupplied" id="qtySupplied" placeholder="Enter Item Unit Cost Here (i.e Price per item)"  onkeyup="multiply();"  class="form-control"  required/>
														</div>
													</div>
                                                    
													<div class="form-group">
														<label for="qtySupplied" class="col-sm-4 control-label no-padding-right"> Total Amount <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<input type="text" name="totalAmount" id="totalAmount" placeholder="Total Amount Will Appear Here" readonly  class="form-control"  required/>
														</div>
													</div>
                                                    
                                                    <div class="form-group">
														<label for="vendor" class="col-sm-4 control-label no-padding-right"> Vendor <small>(who supplied this item or items)</small></label>
														<div class="col-sm-8">
															<select name="vendor" id="vendor"  class="form-control"  required>
								<?php
														// Query database
														$sql="SELECT * FROM vendors";
														$retvall = mysql_query( $sql, $conn );
														if(mysql_num_rows($retvall) > 0){
															while($row = mysql_fetch_array($retvall)){
																$vendorName	= $row['name'];
								?>
																<option value="<?php echo $vendorName; ?>"><?php echo $vendorName; ?></option>
                                <?php
															}
														} else {
															echo '<option value=" ">Choose Vendor</option>';
														}
								?>
                                                            </select>
														</div>
													</div>
													
                                                    <div class="form-group">
														<label for="confirmedBy" class="col-sm-4 control-label no-padding-right"> Witness <small>(One ERMC &amp; Security Officer)</small> <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<textarea id="confirmedBy" name="confirmedBy"  class="form-control"  required></textarea>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
												
												<div class="center">
                                                	<input type="hidden" name="addedBy" id="addedBy" value="<?php echo $username; ?>"/>
													<input type="submit" value="Submit Data" name="addStock" id="addStock" class="btn btn-success"  data-after-submit-value="Processing your request..."/>
													<input type="reset" value="Reset Form Fields" name="reset" class="btn btn-danger"/>
												</div>
											</form>
										</div>
									</div>
									
                                    
                                    
                                    <!-- Modal -->
                                    <div class="modal fade" id="addItemType" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                        <div class="modal-dialog">
                                            <div class="modal-content">
                                                <!-- Modal Header -->
                                                <div class="modal-header" style="background-color:#7c0101; color:#fff;">
                                                    <button type="button" class="close" data-dismiss="modal">
                                                    	<span aria-hidden="true">&times;</span>
                                                    	<span class="sr-only">Close</span>
                                                    </button>
                                                    <h4 class="modal-title" id="myModalLabel"> Add New Item Type </h4>
                                                </div>
                                                <!-- Modal Body -->
                                                <div class="modal-body">
                                                        <form class="form-horizontal addItem" role="form">
                                                            <div class="form-group">
                                                                <label  class="col-sm-2 control-label" for="inputEmail3">Name</label>
                                                                <div class="col-sm-10">
                                                                    <input type="text" class="form-control" id="name" name="name" placeholder="Enter Item Type Name or Title Here"  class="form-control" required/>
                                                                </div>
                                                            </div>
                                                        </form>
                                                    </div>
                                                    <!-- Modal Footer -->
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-default" data-dismiss="modal">
                                                            Close
                                                        </button>
                                                        <button type="button" id="addItemType" class="btn btn-success"  data-dismiss="modal">
                                                            <i class="white ace-icon fa fa-save bigger-120"></i> Save and Continue
                                                        </button>
                                                    </div>
                                            </div>
                                        </div>
                                    </div>
								</div>
                                
                                <div id="stockout" class="tab-pane fade">
									<div class="result">
										<div class="center">
											<h3 class="header smaller lighter green">Item Exit Form</h3>
											<p>Kindly fill the form with accurate data. Fields with <font color="red">*</font> are required.</p>
										</div>
										
										<p class="qc-errmsg" style="display: none;">&nbsp;</p>
										<div class="contact-form clearfix">
											
                                            <form name="removeStock" class="form-horizontal" action="sys/core/insert.php"  method="post">
												<div class="col-sm-6">
													
													<div class="form-group">
														<label for="state" class="col-sm-4 control-label no-padding-right"> Item <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<select name="itemId" id="itemId" class="selecteditem"  class="form-control"  required>
                                                            	<option value=" "> -- Choose An Item -- </option>
								<?php
														// Query database
														$sql="SELECT * FROM stock_in";
														$retvall = mysql_query( $sql, $conn );
														if(mysql_num_rows($retvall) > 0){
															while($row = mysql_fetch_array($retvall)){
																$itemName	= $row['name'];
																$itemId	= $row['id'];
								?>
																<option value="<?php echo $itemId.' '.$itemName; ?>"><?php echo $itemName; ?></option>
                                <?php
															}
														} else {
															echo '<option value=" ">Choose Item </option>';
														}
								?>
                                                            </select>
														</div>
													</div>
													
                                                    <div class="form-group">
														<label for="quantity" class="col-sm-4 control-label no-padding-right">Quantity <small>(Enter an amount less than the figure displayed in red)</small><font color="#ff0000">*</font></label>
														<div class="col-sm-8 qtyleft">
															<input type="text" name="quantity" id="quantity" placeholder="Enter Number of Item "  class="form-control"  required/>
														</div>
													</div>
                                                    
                                                    <div class="form-group">
														<label for="suppliedTo" class="col-sm-4 control-label no-padding-right"> Recipient <small>(who are you supplying this item to)</small> <font color="#ff0000">*</font></label>
														<div class="col-sm-8" id="autolist">
															<input type="text" name="suppliedTo" id="user" placeholder="Start Typing a name" required  class="form-control"  onkeyup="fetchuser()">
															<ul id="user_list"></ul>
														</div>
													</div>
                                               </div>
                                               
                                               <div class="col-sm-6">
													<div class="form-group">
														<label for="description" class="col-sm-4 control-label no-padding-right"> Full Description <font color="#ff0000">*</font></label>
														<div class="col-sm-8">
															<textarea id="description" name="description"   class="form-control" required></textarea>
														</div>
													</div>
													
													<div class="form-group">
														<label for="authorisedBy" class="col-sm-4 control-label no-padding-right"> Approved By <small>(who approved the supply of this item)</small> <font color="#ff0000">*</font></label>
														<div class="col-sm-8" id="autolist">
															<input type="text" name="authorisedBy" id="relmanager" placeholder="Start Typing a name" required  class="form-control"  onkeyup="autocomplet()">
															<ul id="relmanager_list"></ul>
														</div>
													</div>
													
												</div>  <!-- End Div 6 -->
												
												<div class="center">
                                                	<input type="hidden" name="suppliedBy" id="suppliedBy" value="<?php echo $username; ?>"/>  
													<input type="submit" value="Submit Data" name="removeStock" id="removeStock" class="btn btn-success"  data-after-submit-value="Processing your request..."/>
													<input type="reset" value="Reset Form Fields" name="reset" class="btn btn-danger"/>
												</div>
											</form>
                                            
										</div>
									</div>
									
								</div>

								<div id="allitems" class="tab-pane fade in active">
									<div class="center">
										
		<?php
									if(isset($_GET['nostock']))
									{
										$nostock = $_GET['nostock'];
		?>
										<div class="alert alert-block alert-warning">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-times red"></i>Transaction failed. Insufficient stock, kindly choose quantity lower than (<strong><?php echo $nostock; ?></strong>) and <a  data-toggle="tab" href="#stockout"> Try Again </a>
										</div>
		<?php
									}
		?>
		
		<?php
									if(isset($_GET['succadd']))
									{
										$item = $_GET['succadd'];
		?>
										<div class="alert alert-block alert-info">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-check green"></i> New Item (<strong><?php echo $item; ?></strong>) Added Successfully
										</div>
		<?php
									} else {
										if(isset($_GET['failadd']))
										{
											$item = $_GET['failadd'];
		?>
										<div class="alert alert-block alert-danger">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-times red"></i> There was an error, and <strong><?php echo $item; ?></strong>'s record was not added.
											<a data-toggle="tab" href="#stock-in">
												<i class="green ace-icon fa fa-plus bigger-120"></i>
												Try Again
											</a>
										</div>
		<?php
										}
									}
		?>
		
		
		<?php
									if(isset($_GET['succremove']))
									{
										$item = $_GET['succremove'];
		?>
										<div class="alert alert-block alert-info">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-check green"></i> Item (<strong><?php echo $item; ?></strong>) has been successfully dispatched 
										</div>
		<?php
									} else {
										if(isset($_GET['failremove']))
										{
											$item = $_GET['failremove'];
		?>
										<div class="alert alert-block alert-danger">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-times red"></i> There was an error, and <strong><?php echo $item; ?></strong>'s record was not dispatched.
											<a data-toggle="tab" href="#stock-out">
												<i class="green ace-icon fa fa-plus bigger-120"></i>
												Try Again
											</a>
										</div>
		<?php
										}
									}
		?>
		
		
		
		
		<?php
									if(isset($_GET['editresp']))
									{
										$vendor = $_GET['editresp'];
		?>
										<div class="alert alert-block alert-info">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-check green"></i><strong><?php echo $vendor; ?></strong>'s record was updated Successfully
										</div>
		<?php
									} else {
										if(isset($_GET['editfail']))
										{
											$item = $_GET['editfail'];
		?>
										<div class="alert alert-block alert-danger">
											<button type="button" class="close" data-dismiss="alert">
												<i class="ace-icon fa fa-times"></i>
											</button>
											<i class="ace-icon fa fa-times red"></i> There was an error, and <strong><?php echo $item; ?></strong>'s record was not updated.
											<a data-toggle="tab" href="#addvendor">
												<i class="green ace-icon fa fa-plus bigger-120"></i>
												Try Again
											</a>
										</div>
		<?php
										}
									}
		?>
		
										<h3 class="header smaller lighter green">All Items In The Store</h3>
										<p>You can sort the following table in Descending or Ascending order by clicking on the table header/title</p>
									</div>
									<table id="store-grid" class="table table-striped table-bordered table-hover display" width="100%">
										<thead>
											<tr>
												<th class="center">
                                                    <label class="pos-rel">
                                                        <input type="checkbox" class="ace" id="bulkDelete" />
                                                        <span class="lbl"></span>
                                                    </label>
                                                </th>
												<th>Name</th>
												<th>Unit Cost</th>
												<th>Qty Supplied</th>
												<th>Total Amount</th>
                                                <th>Qty Remaining</th>
                                                <th>Added On</th>
												<th>ACTION</th>
											</tr>
										</thead>
										
										<tfoot>
											<tr>
												<th class="center">
                                                    S/No
                                                </th>
												<th>Name</th>
												<th>Unit Cost</th>
												<th>Qty Supplied</th>
												<th>Total Amount</th>
                                                <th>Qty Remaining</th>
                                                <th>Added On</th>
												<th>ACTION</th>
											</tr>
										</tfoot>
									</table>
									 <!--
									<button id="vendorDeleteTriger" class="btn btn-danger"><i class="ace-icon fa fa-trash" title="Delete Vendors"></i> Delete Selected Vendor(s) </button>
									 -->
									
						
					</div><!-- /.col -->

				</div><!-- /.row -->

				<div class="hr hr32 hr-dotted"></div>

										
				<!-- PAGE CONTENT ENDS -->
				</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.page-content -->
	</div>
</div><!-- /.main-content -->

<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>