<?php

	$errorMSG = "";
	
	// NAME
	if (empty($_POST["name"])) {
		$errorMSG = "Name is required ";
	} else {
		$name = $_POST["name"];
	}
	
	// EMAIL
	if (empty($_POST["email"])) {
		$errorMSG .= "Email is required ";
	} else {
		$email = $_POST["email"];
	}
	
	// MESSAGE
	if (empty($_POST["message"])) {
		$errorMSG .= "Message is required ";
	} else {
		$message = $_POST["message"];
	}

	//Sanitize input data using PHP filter_var().
	$name      = filter_var($_POST["name"], FILTER_SANITIZE_STRING);
	$email     = filter_var($_POST["email"], FILTER_SANITIZE_EMAIL);
	$message   = filter_var($_POST["message"], FILTER_SANITIZE_STRING);
	
	// Email Recipient
	$EmailTo = "e.ibeh@xlafricagroup.com";
	// Email Subject
	$Subject = "New Message From FMX-MIS Application";
   	
	// prepare email body text
	$Body = "";
	$Body .= "Name: ";
	$Body .= $name;
	$Body .= "\n";
	 
	$Body .= "Email: ";
	$Body .= $email;
	$Body .= "\n";
	 
	$Body .= "Message: ";
	$Body .= $message;
	$Body .= "\n";
	
	// send email
	$success = mail($EmailTo, $Subject, $Body, "From:".$email);
 
    // Check if email was sent and respond respectively redirect to success page
	if ($success && $errorMSG == ""){
	   	//If mail was sent
		echo 'Thank you for making out time to fill our feedback form, an IT officer will respond to you as soon as possible.';
		echo '<hr>';
		echo $Body;
	}else{
		//If mail couldn't be sent output error. Check your PHP email configuration (if it ever happens)
		echo 'Something went wrong and we could not send mail! Please try again. If problem persists contact XL ICT team, look out your right side bar for our contact information.';
		echo '<hr>';
		echo $Body;
	}

?>