<?php
/* Database connection start */
include 'conn.php';


// storing  request (ie, get/post) global array to a variable  
$requestData= $_REQUEST;

$columns = array( 
// datatable column index  => database column name	
	0=>'id',
	1=>'client',
	2=>'invoiceTitle',
	3=>'totalTransaction',
	4=>'period',
	5=>'amountCharged',
	6=>'amountPayed'
);

// getting total number records without any search
$sql = "SELECT * FROM accounting";
$query=mysqli_query($conn, $sql) or die("accounting_grid.php: get accounting");
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;  // when there is no search parameter then total number rows = total number filtered rows.


$sql = "SELECT * FROM accounting WHERE 1=1";
if( !empty($requestData['search']['value']) ) {   // if there is a search parameter, $requestData['search']['value'] contains search parameter
	$sql.=" AND ( client LIKE '".$requestData['search']['value']."%' ";    
	$sql.=" OR invoiceTitle LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR totalTransaction LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR period LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR amountCharged LIKE '".$requestData['search']['value']."%' )";
	$sql.=" OR amountPayed LIKE '".$requestData['search']['value']."%' )";
	$sql.=" OR balance LIKE '".$requestData['search']['value']."%' )";
}
$query=mysqli_query($conn, $sql) or die("accounting_grid.php: get accounting");
$totalFiltered = mysqli_num_rows($query); // when there is a search parameter then we have to modify total number filtered rows as per search result. 
$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
/* $requestData['order'][0]['column'] contains colmun index, $requestData['order'][0]['dir'] contains order such as asc/desc  */	
$query=mysqli_query($conn, $sql) or die("accounting_grid.php: get accounting");

$data = array();
$i=1+$requestData['start'];
while( $row=mysqli_fetch_array($query) ) {  // preparing an array
	$acharged = $row["amountCharged"];
	$amountCharged = number_format($acharged, 2);
	// Generate Payment Status Banner
	$paymentStatus = $receievPayment = '';
	$balance = $row["balance"];
	if ($balance == 0) {
		$paymentStatus = '<span class="label label-sm label-success"><i class="ace-icon fa fa-check bigger-120"></i> Fully Paid</span>';
	} else {
		$paymentStatus = "<div class='btn-group'>
			<span class='label label-sm label-danger'><i class='ace-icon fa fa-bell-slash bigger-120'></i> Not Fully Paid </span>
			<hr>
			<a href='sys/core/cash-office-payment.php?id=".$row['id']."'  data-id='".$row['id']."' data-toggle='modal' data-target='#readModal'  class='btn btn-xs btn-primary' >
				<i class='ace-icon fa fa-cash bigger-120'></i> Receive Payment
			</a>
		</div>";
	}
	
	$nestedData=array(); 
	$nestedData[] = '<p align="centre">'.$i.'</p>' ;
	$nestedData[] = $row["client"];
	$nestedData[] = $row["invoiceTitle"];
	$nestedData[] = $row["totalTransaction"].' (<small> Between: <strong>'.$row['period'].'</strong></small>)';
	$nestedData[] = '<strong>'.$amountCharged.'</strong> Amount Payed: <strong>'.number_format($row['amountPayed'], 2).'</strong>. To Balance: <strong>'.number_format($balance, 2).'</strong>';
	$nestedData[] = $paymentStatus;
	$nestedData[] = "<div class='btn-group'>
						<a href='sys/core/cash-office-view.php?id=".$row['id']."'  data-id='".$row['id']."' data-toggle='modal' data-target='#readModal'  class='btn btn-xs btn-info' >
							<i class='ace-icon fa fa-eye bigger-120'></i> View Charge
						</a>
						<hr>
						<a href='sys/core/cash-office-email.php?id=".$row['id']."'  data-id='".$row['id']."' data-toggle='modal' data-target='#readModal'  class='btn btn-xs btn-success' >
							<i class='ace-icon fa fa-envelope bigger-120'></i> Email Client
						</a>
					</div>";
	
	$data[] = $nestedData;
	$i++;
}



$json_data = array(
			"draw"            => intval( $requestData['draw'] ),   // for every request/draw by clientside , they send a number as a parameter, when they recieve a response/data they first check the draw number, so we are sending same number in draw. 
			"recordsTotal"    => intval( $totalData ),  // total number of records
			"recordsFiltered" => intval( $totalFiltered ), // total number of records after searching, if there is no searching then totalFiltered = totalData
			"data"            => $data   // total data array
			);

echo json_encode($json_data);  // send data as json format

?>