<?php
/* Database connection start */
include 'conn.php';


// storing  request (ie, get/post) global array to a variable  
$requestData= $_REQUEST;

//id,csn,name,address,state,country,contactperson,phonenumber,otherphones,email,relstatus,basepost,relmanager,signedondate 

$columns = array( 
// datatable column index  => database column name
	0=>'id',
	1=>'title',
	2=>'client',
	3=>'location',
	4=>'facility',
	5=>'type'
);

// getting total number records without any search
$sql = "SELECT * FROM pms";
$query=mysqli_query($conn, $sql) or die("pms_grid.php: get pms");
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;  // when there is no search parameter then total number rows = total number filtered rows.


$sql = "SELECT * FROM pms WHERE 1=1";
if( !empty($requestData['search']['value']) ) {   // if there is a search parameter, $requestData['search']['value'] contains search parameter
	$sql.=" AND ( title LIKE '".$requestData['search']['value']."%' ";    
	$sql.=" OR client LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR item LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR supervisor LIKE '".$requestData['search']['value']."%' ";
	$sql.=" OR serviceDate LIKE '".$requestData['search']['value']."%' )";
}
$query=mysqli_query($conn, $sql) or die("pms_grid.php: get pms");
$totalFiltered = mysqli_num_rows($query); // when there is a search parameter then we have to modify total number filtered rows as per search result. 
$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";
/* $requestData['order'][0]['column'] contains colmun index, $requestData['order'][0]['dir'] contains order such as asc/desc  */	
$query=mysqli_query($conn, $sql) or die("pms_grid.php: get pms");

$data = array();
$i=1+$requestData['start'];
while( $row=mysqli_fetch_array($query) ) {  // preparing an array
	$nestedData=array(); 
	
	$nestedData[] = $i ;
	$nestedData[] = $row["title"];
	$nestedData[] = $row["client"].' (<small>facility: <strong>'.$row['facility'].' Located at <strong>'.$row["location"].'</strong></small>)';
	$nestedData[] = $row["item"];
	$nestedData[] = $row["supervisor"].' (<small>Last Service Date: <strong>'.$row['lastServiceDate'].'</strong></small>)';
	$nestedData[] = '<div class="btn-group">
						<a href="preventive_maintenance_view?pms='.$row['id'].'" class="btn btn-xs btn-success" title="View Operation Record">
							<i class="ace-icon fa fa-eye bigger-120"></i>
						</a>
						<a href="preventive_maintenance_edit?pms='.$row['id'].'" class="btn btn-xs btn-info" title="Edit Operation Record">
							<i class="ace-icon fa fa-edit bigger-120"></i>
						</a>
					</div>';
	
	$data[] = $nestedData;
	$i++;
}



$json_data = array(
			"draw"            => intval( $requestData['draw'] ),   // for every request/draw by clientside , they send a number as a parameter, when they recieve a response/data they first check the draw number, so we are sending same number in draw. 
			"recordsTotal"    => intval( $totalData ),  // total number of records
			"recordsFiltered" => intval( $totalFiltered ), // total number of records after searching, if there is no searching then totalFiltered = totalData
			"data"            => $data   // total data array
			);

echo json_encode($json_data);  // send data as json format

?>