<?php

include("../core/session.php");
require '../core/functions.php';

// Copyright date
   function auto_copyright($year = 'auto'){ 
	   if(intval($year) == 'auto'){ $year = date('Y'); }
	   if(intval($year) == date('Y')){ echo intval($year); }
	   if(intval($year) < date('Y')){ echo intval($year) . ' - ' . date('Y'); }
	   if(intval($year) > date('Y')){ echo date('Y'); }
   }
   
   $username = $session->username;
   date_default_timezone_set("Africa/Lagos");

?>

<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="description" content="">
    <meta name="keywords" content="">
    <meta name="author" content="muni">
 
    <title>Invoice : FMX-MIS</title>

    <link type="text/css" rel="stylesheet" href="http://fonts.googleapis.com/css?family=Droid+Sans:400,700|Noto+Serif:400,700">  	
    <!---- Favicon -------->
    <link rel="shortcut icon" type="image/png" href="../../assets/images/fmxIcon.png"/>
    
    <!-- Bootstrap core CSS -->
    <link href="css/jquery-ui.min.css" rel="stylesheet">
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="css/datepicker.css" rel="stylesheet">
    <link href="css/font-awesome.min.css" rel="stylesheet">
    <link href="css/style.css" rel="stylesheet">

    <!-- Custom styles for this template -->
    <link href="css/sticky-footer-navbar.css" rel="stylesheet">

    <!-- Just for debugging purposes. Don't actually copy these 2 lines! -->
    <!--[if lt IE 9]><script src="../../assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
    <script src="js/ie.js"></script>

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-default navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href=""><img src="../../assets/images/fmxLogo.png" alt="logo"></a> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <a href="javascript:window.print()" class="btn btn-success"> Process/Print Out Invoice </a>
        </div>
        
        <!--/.nav-collapse -->
      </div>
    </nav>

    <!-- Begin page content -->
    <div class="container content">
    <?php
		// Check if the transaction steps from generate-report page worked fine
		if(isset($_POST['submit'])) {
			$invoiceTitle 			= strip_tags($_POST['invoiceTitle']);
			$client 				= strip_tags($_POST['client']);
			$period 				= strip_tags($_POST['period']);
			$totalTransaction 		= strip_tags($_POST['totalTransaction']);
			$amountCharged 			= strip_tags($_POST['amountCharged']);
			//$createdBy				= filter_var($_POST['createdBy'], FILTER_SANITIZE_STRING);
			$createdOn			 	= date('Y-m-d H:i:s');
			
			// Convert Number
			$totalAmount	= number_format($amountCharged, 2);
			// Get VAT
			$vat = 0.05 * $amountCharged;
			$totalAmountCharged = $vat +  $amountCharged;
			
			// Insert into database
			$sql = "INSERT INTO accounting (client, invoiceTitle, totalTransaction, period, amountCharged, balance, createdOn) 
				VALUES ('$client', '$invoiceTitle', '$totalTransaction', '$period', '$totalAmountCharged', '$totalAmountCharged', '$createdOn')";
			
			if (mysql_query($sql, $conn)) {
				echo '';
			} else {
				echo "Error: " . $sql . "<br>" . mysql_error($conn);
			}
			
	?>
    	
        <div class='row'>
      		<div class='col-xs-12 col-sm-4 col-md-4 col-lg-4'>
            
      		</div>
      		<div class='col-xs-12 col-sm-offset-3 col-md-offset-3 col-lg-offset-3 col-sm-4 col-md-4 col-lg-4'>
      			<p align="right"><b>FMX INTEGRATED SERVICES LTD</b></p>
                    <p align="right"> VAT NO: VIV 0000000000</p>
                    <p align="right"> TIN NO: 00000000-00</p>
        	</div>
        </div>
        
        <div class='row'>
    		<div class='col-xs-12 col-sm-12 col-md-12 col-lg-12'>
            	<p class="text-center"><b><?php echo $invoiceTitle; ?> INVOICE</b></p>
    		</div>
    	</div>
      	
        
      	<p>Client Information</p>
        <?php
		// Query database
		$sql="SELECT * FROM clients WHERE id = '$client' ";
		$retvall = mysql_query( $sql, $conn );
		$address = '';
		if(mysql_num_rows($retvall) == 1){
			while($row = mysql_fetch_array($retvall)){
				$addrex 			= $row['address'];
				$state 				= $row['state'];
				$country			= $row['country'];
				$address = $addrex. ' '.$state.' '.$country;		
			}
		}
		?>
      	<div class='row'>
      		<div class='col-xs-12 col-sm-4 col-md-4 col-lg-4'>
            
                <div class="form-group input-group">
                     <span class="input-group-addon">NAME</span>
                        <input type="text" name="cName" class="form-control" id="cName" value="<?php echo $client; ?>" readonly>
                </div>
                <div class="form-group input-group">
                     <span class="input-group-addon">ADDRESS:</span>
                        <textarea class="form-control" name="address" rows='3' id="address"><?php echo $address; ?></textarea>
                </div>
				
				
      		</div>
      		<div class='col-xs-12 col-sm-offset-3 col-md-offset-3 col-lg-offset-3 col-sm-4 col-md-4 col-lg-4'>
      			<div class="form-group input-group">
                     <span class="input-group-addon">DATE:</span>
                        <input type="date" class="form-control" name="date" id="date"  value="<?php echo $date = (Date("l F d, Y")); ?>" readonly>
                </div>
                <div class="form-group input-group">
                     <span class="input-group-addon">INVOICE NUMBER:</span>
                        <input type="text" class="form-control" name="invoiceNo" id="invoiceNo" placeholder="Enter Invoice No. e.g: XLMS/CNM/MM/3DT">
                </div>
                
				<div class="input-group">
                    <div class="input-group-addon"><img src="../../assets/images/naira.png" alt="N"></div>
                        <input type="text" class="form-control amountDue" id="totalAmount" name="totalAmount" placeholder="Amount Due" value="<?php echo $totalAmountCharged; ?>" readonly >
                    </div>
      		</div>
      	</div>
        
      	<div class='row'>
      		<div class='col-xs-12 col-sm-12 col-md-12 col-lg-12'>
      			<table class="table table-bordered table-hover">
					<thead>
						<tr>
							<th width="27%">TITLE</th>
                            <th width="40%">DESCRIPTION</th>
							<th width="3%">TOTAL TRANSACTION</th>
							<th width="30%">AMOUNT CHARGED</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td><?php echo $invoiceTitle; ?></td>
							<td><textarea class="form-control" rows='1' id="description" placeholder="Enter description here" ></textarea></td>
                            <td><?php echo $totalTransaction; ?></td>
                            <td>
                            <div class="input-group">
                                <div class="input-group-addon"><img src="../../assets/images/naira.png" alt="N"></div>
                                <input type="text" class="form-control" name="totalBeforetax" id="totalBeforetax" placeholder="Total" value="<?php echo $amountCharged; ?>" readonly >
                            </div>
                        </td>
						</tr>
                        
                        <tr>
							<td colspan="3">&nbsp;</td>
                            <td>
                            <div class="form-group input-group">
                                <span class="input-group-addon">Subtotal &nbsp; <img src="../images/naira.png" alt="N"> :</span>
                                <input type="text" class="form-control" id="subTotal" name="subTotal" placeholder="Subtotal" value="<?php echo $amountCharged; ?>" readonly >
                            </div>
                            
                            <div class="form-group input-group">
                                <span class="input-group-addon"> &nbsp;&nbsp;&nbsp;5% VAT <img src="../images/naira.png" alt="N"> :</span>
                                <input type="text" class="form-control" id="vat" name="vat" placeholder="VAT" value="<?php echo $vat; ?>" readonly >
                            </div>
                            
                            <div class="form-group input-group">
                                <span class="input-group-addon">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>Total</b> <img src="../../assets/images/naira.png" alt="N"> :</span>
                                <input type="text" class="form-control" id="total" name="total" placeholder="Total" value="<?php echo $totalAmountCharged; ?>" readonly >
                            </div>
                        </td>
						</tr>
                        
                        <tr>
							<td colspan="4">
                                <div class="form-group input-group">
                                     <span class="input-group-addon">Pay Into This Account Number:</span>
                                        <input type="text" name="bank" id="bank" class="form-control" placeholder="Enter Bank Details Here. example: UBA A/C NO 1005043465">
                                </div>
                             </td>
						</tr>
					</tbody>
				</table>
                
                	<p><b>PAYMENT TERMS</b>: PLEASE CREDIT ACCOUNT IMMEDIATELY</p>
                
      		</div>
      	</div>
      	<div class='row'>
      		
      	</div>
      	
        <div class='row'>
      		<div class='col-xs-12 col-sm-12 col-md-12 col-lg-12'>
      			<div class="form-group input-group">
                    <span class="input-group-addon"><b>ATTENTION</b>:</span>
                         <textarea class="form-control" rows='1' name="notes" id="notes" placeholder="Your Notes"></textarea>
                </div>
                
      		</div>
            
            <HR>
            
            <div class='col-xs-12 col-sm-12 col-md-12 col-lg-12'>
                <p>FOR: FMX INTEGRATED SERVICES LTD </p>
                <p>______________________________________________</p>
            </div>
            <p>&nbsp;</p>
            <div class='col-xs-6 col-sm-6 col-md-6 col-lg-6'>
                <p>FOR: CLIENT </p>
                <p>______________________________________________</p>
            </div>
            
            <div class='col-xs-6 col-sm-6 col-md-6 col-lg-6'>
                <p>DATE: </p>
                <p>______________________________________________</p>
            </div>
            
      	</div>
        
        <?php 
			} else {
				echo "HOW DID YOU GET HERE?";
			}
		?>
    </div>
    
        
        
    <footer class="footer">
      <div class="container">
        <h6 align="center"><font color="#cecece">Copyright &copy; <?php auto_copyright('2004');  // 2013 - current year ?> All Rights Reserved - FMX Integrated Services Ltd</font></h6>
      </div>
    </footer>


    <script src="js/jquery.min.js"></script>
    <script src="js/jquery-ui.min.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/bootstrap-datepicker.js"></script>
    <script src="js/auto.js"></script>
  </body>
</html>