<?php
	/**
	 * vendor-edit.php
	 *
	 * This is used to change/modify vendors information
	 * 
	 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
	 * Date: May 2016
	 */
	include("sys/core/session.php");
	if($session->isAdmin() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){
		$pagename = "Edit Vendor Record" ;
		$pageslogan = "manage registered vendor information";
		$parent		= "Vendors";
		$parentUrl	= "vendors";

		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>

		<div class="row">
			<div class="col-xs-12">
				<!-- PAGE CONTENT BEGINS -->
				<div class="alert alert-block alert-success">
					<button type="button" class="close" data-dismiss="alert">
						<i class="ace-icon fa fa-times"></i>
					</button>

					<i class="ace-icon fa fa-check green"></i> Hi, 
					<strong class="green"><?php echo $username; ?></strong>, 
					<small>This page enables you to edit registered vendor information. Ensure you have the right permission to do this.</small>
				</div>

				<div class="row">
					
					<div class="col-sm-12">
	<?php 
			if(isset($_GET['v']))
			{
				$id=$_GET['v'];
				$sql="SELECT * FROM vendors WHERE id ='$id' ";
				$retvall = mysql_query( $sql, $conn );
				if(mysql_num_rows($retvall) > 0)
				{
					while($row = mysql_fetch_array($retvall))
					{
						$id 				= $row['id'];
						$vsn 				= $row['vsn'];
						$name 				= $row['name'];
						$address 			= $row['address'];
						$state 				= $row['state'];
						$country			= $row['country'];
						$contactperson 		= $row['contactperson'];
						$phonenumber		= $row['phonenumber'];
						$otherphones 		= $row['otherphones'];
						$email 				= $row['email'];
						$relstatus 			= $row['relstatus'];
						$productheading		= $row['productheading'];
						$lineproducts 		= $row['lineproducts'];
						$signedondate 		= $row['signedondate'];
	?> 

						<div class="center">
							<h3 class="header smaller lighter green">Edit <?php echo $name; ?>'s Information</h3>
						</div>
						
						<div class="client-feedback"></div>
						
						<div class="contact-form clearfix">
							<form name="form" class="form-horizontal" action="sys/core/update.php"  method="post">
								<div class="col-sm-6">
								
									<div class="form-group">
										<label for="csn" class="col-sm-3 control-label no-padding-right">Short Name  </label>
										<div class="col-sm-9">
											<input type="text" name="vsn" id="vsn" value="<?php echo $vsn; ?>" placeholder="Enter Client's Short Name Here" class="form-control" required>
										</div>
									</div>
									<div class="form-group">
										<label for="csn" class="col-sm-3 control-label no-padding-right">Name </label>
										<div class="col-sm-9">
											<input type="text" name="name" id="name" value="<?php echo $name; ?>" placeholder="Enter Client's Name Here" class="form-control" required>
										</div>
									</div>
									<div class="form-group">
										<label for="address" class="col-sm-3 control-label no-padding-right">Office Address</label>
										<div class="col-sm-9">
											<textarea id="address" name="address" value="<?php echo $address; ?>" class="form-control" required><?php echo $address; ?></textarea>
										</div>
									</div>
									<div class="form-group">
										<label for="csn" class="col-sm-3 control-label no-padding-right">State </label>
										<div class="col-sm-9">
											<select name="state" id="state" class="form-control" required>
												<option value="<?php echo $state; ?>"><?php echo $state; ?></option>
											<?php
												include 'sys/incs/statelist.php';
											?>
											</select>
										</div>
									</div>
									<div class="form-group">
										<label for="csn" class="col-sm-3 control-label no-padding-right">Country </label>
										<div class="col-sm-9">
											<select id="country" name="country"  class="form-control" required>
												<option value="<?php echo $country; ?>"><?php echo $country; ?></option>
											<?php
												include 'sys/incs/countrylist.php';
											?>
											</select>
										</div>
									</div>
									<div class="form-group">
										<label for="contactperson" class="col-sm-3 control-label no-padding-right">Contact Person </label>
										<div class="col-sm-9">
											<input type="text" name="contactperson" id="contactperson" value="<?php echo $contactperson; ?>" placeholder="Enter Client Contact Person's Name Here" class="form-control" required>
										</div>
									</div>
												
								</div>  <!-- End Div 6 -->
								
								<div class="col-sm-6">
									
									<div class="form-group">
										<label for="phonenumber" class="col-sm-4 control-label no-padding-right">Contact Number <small>(primary phone)</small> </label>
										<div class="col-sm-8">
											<input type="text" name="phonenumber" id="phonenumber" value="<?php echo $phonenumber; ?>" placeholder="Enter Vendor's Primary Phone Number Here"  class="form-control" required>
										</div>
									</div>
									<div class="form-group">
										<label for="otherphones" class="col-sm-4 control-label no-padding-right">Additional Number(s) <small>(other phone numbers)</small></label>
										<div class="col-sm-8">
											<input type="text" name="otherphones" id="otherphones"  value="<?php echo $otherphones; ?>" placeholder="Enter Addtional Phone Numbers Here"  class="form-control" >
										</div>
									</div>
									<div class="form-group">
										<label for="email" class="col-sm-4 control-label no-padding-right">Email Address </label>
										<div class="col-sm-8">
											<input type="email" name="email" id="email"  value="<?php echo $email; ?>" placeholder="Enter Vendor's Email Address Here"  class="form-control" required>
											<p class="help-block"></p>
										</div>
									</div>
									<div class="form-group">
										<label for="relstatus" class="col-sm-4 control-label no-padding-right">Relationship Status </label>
										<div class="col-sm-8">
											<select id="relstatus" name="relstatus" class="form-control" required>
												<option value = "<?php echo $relstatus; ?>" ><?php echo $relstatus; ?></option>
												<option value = "PROSPECT" >PROSPECT</option>
												<option value = "EXISTING" >EXISTING</option>
												<option value = "DEFAULTED" >DEFAULTED</option>
												<option value = "DELISTED" >DELISTED</option>
											</select>
										</div>
									</div>
									<div class="form-group">
										<label for="producthandling" class="col-sm-4 control-label no-padding-right">Product Heading <font color="#ff0000">*</font></label>
										<div class="col-sm-8">
                                        	<select id="productheading" name="productheading" class="form-control" required>
												<option value = "<?php echo $productheading; ?>" ><?php echo $productheading; ?></option>
                                                <option value = "">Choose Vendor Supply Class</option>
												<option value = "Air Conditioning">Air Conditioning</option>
												<option value = "Carpentry">Carpentry</option>
                                                <option value = "Masonry">Masonry</option>
                                                <option value = "Painting">Painting</option>
												<option value = "Plumbing">Plumbing</option>
                                                <option value = "Safety Equipments">Safety Equipments</option>
                                                <option value = "Specialised Airport Equipt">Specialised Airport Equipt</option>
                                                <option value = "Swimming Pool">Swimming Pool</option>
                                                <option value = "Welding">Welding</option>
												<option value = "-----------------------------------">----------------------------------------------------------------</option>
                                                <option value = "General">General</option>
											</select>
										</div>
									</div>
									<div class="form-group">
										<label for="lineproducts" class="col-sm-4 control-label no-padding-right">Line of Products <font color="#ff0000">*</font></label>
										<div class="col-sm-8" id="autolist">
											<select id="lineproducts" name="lineproducts"  class="form-control" required>
												<option value = "<?php echo $lineproducts; ?>" ><?php echo $lineproducts; ?></option>
                                                <option value = "">Choose Vendor Supply Group</option>
												<option value = "Basic Electricals">Basic Electricals</option>
												<option value = "Boxes">Boxes</option>
                                                <option value = "Circuit Breaker">Circuit Breaker</option>
                                                <option value = "Cooker Accessories">Cooker Accessories</option>
												<option value = "Electrical Cables">Electrical Cables</option>
                                                <option value = "Eletrical Equipments">Eletrical Equipments</option>
                                                <option value = "Electronic Lamp (Energy Savers)/ Light Bulbs">Electronic Lamp (Energy Savers)/Light Bulbs</option>
                                                <option value = "Electrical Plugs and Fuses">Electrical Plugs and Fuses</option>
                                                <option value = "Electrical Sockets">Electrical Sockets</option>
                                                <option value = "Light Fittings">Light Fittings</option>
                                                <option value = "Light Tubes/Capsule Lamps">Light Tubes/Capsule Lamps</option>
                                                <option value = "Pipes/Trunking">Pipes/Trunking</option>
                                                <option value = "Refrigerator part/Fan/Accessories">Refrigerator part/Fan/Accessories</option>
                                                <option value = "Starters/Connectors">Starters/Connectors</option>
                                                <option value = "Switches (Equipment Control)">Switches (Equipment Control)</option>
                                                <option value = "Switches (Light)">Switches (Light)</option>
                                                <option value = "Temperature Control">Temperature Control</option>
                                                                
												<option value = "-----------------------------------">---------------------------------------------------------</option>
                                                <option value = "General">General</option>
											</select>
										</div>
									</div>
									<div class="form-group">
										<label for="sigendondate" class="col-sm-4 control-label no-padding-right">Signed On Date</label>
										<div class="col-sm-8">
											<div class="input-group">
												<input name="sigendondate" class="form-control date-picker"  value="<?php echo $signedondate; ?>"  id="id-date-picker-1" type="text" data-date-format="yyyy-mm-dd"  class="form-control" >
												<span class="input-group-addon">
													<i class="fa fa-calendar bigger-110"></i>
												</span>
											</div>
										</div>
									</div>
									
								</div>  <!-- End Div 6 -->
								
								<div class="center">
									<input type="hidden" name="vendorId" id="vendorId" value="<?php echo $id; ?>" />
									<input type="submit" value="Submit Data" name="editVendor" id="editVendor" class="btn btn-success" data-after-submit-value="Processing your request..."/>
									<input type="reset" value="Reset Form Fields" name="reset" class="btn btn-danger" />
								</div>
							</form>
						</div>
		<?php		}
				} else { echo "No record was found"; }
			} else { echo "The record your searched for does not exist"; }
		?>
					</div><!-- /.col -->

				</div><!-- /.row -->

				<div class="hr hr32 hr-dotted"></div>

										
				<!-- PAGE CONTENT ENDS -->
				</div><!-- /.col -->
			</div><!-- /.row -->
		</div><!-- /.page-content -->
	</div>
</div><!-- /.main-content -->

<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>