<?php
/**
 * vendor-view.php
 *
 * This page displays vendor information
 * with a link added for them to edit the information.
 * Author: Ibeh Ernest (eTech Data Services: +234 (0) 802 068 9069, ibeh_ernest@yahoo.com)
 * Date: May 2016
 */
include("sys/core/session.php");
	// Include the function file
	$errMsg = "";
	$file = 'sys/core/functions.php';
	if ( file_exists($file) && is_readable($file))
	{
		include ($file);
	} else
	{
		$errMsg = "Error: included function file is missing";
	}
	
	// Display file to only authorised ussers
	if($session->isAdmin() || $session->isMD() || $session->isCM() || $session->isQS() || $session->isACC() || $session->isProc() || $session->isSM() || $session->isSup()){

	if(isset($_GET['v']))
	{
		$id=$_GET['v'];
		
		// Query database
		$sql="SELECT * FROM vendors WHERE id = '$id' ";
		$retvall = mysql_query( $sql, $conn );
		if(mysql_num_rows($retvall) == 1){
			while($row = mysql_fetch_array($retvall)){
				$id 				= $row['id'];
				$vsn 				= $row['vsn'];
				$name 				= $row['name'];
				$address 			= $row['address'];
				$state 				= $row['state'];
				$country			= $row['country'];
				$contactperson 		= $row['contactperson'];
				$phonenumber		= $row['phonenumber'];
				$otherphones 		= $row['otherphones'];
				$email 				= $row['email'];
				$relstatus 			= $row['relstatus'];
				$productheading		= $row['productheading'];
				$lineproducts 		= $row['lineproducts'];
				$signedondate 		= $row['signedondate'];
				$logo		 		= $row['logo'];
						
		$pagename = $vsn. " Information" ;
		$pageslogan = $name." account details";
		$parent		= "Vendors";
		$parentUrl	= "vendors";
		
		// Include the page header file
		$errMsg = "";
		$file = 'sys/incs/page_head.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}

?>
	<div class="row">
		<div class="col-xs-12">
			<!-- PAGE CONTENT BEGINS -->
			<div>
				<div id="user-profile-1" class="user-profile row">
					<div class="col-xs-12 col-sm-4 center">
						<h3>Client Image</h3>
						<div>
							<span class="profile-picture">
								<?php echo '<img class="nav-user-photo"alt="avatar" src="assets/images/vendors/'.$logo.'" width="100%" style="border-radius: 15px 5px 15px 5px;"> ';
								?><br><br />
								<a href='sys/uploader/vendor?v=<?php echo $id; ?>' class='btn btn-white' > <i class="ace-icon fa fa-edit"></i>  Change <?php echo $vsn; ?>'s Logo </a>
							</span>
						</div>
						<div class="center">
							<br />
							<hr />
							<span class="bigger-110"><a href='vendor-edit?v=<?php echo $id; ?>' class='btn btn-primary' >  <i class="ace-icon fa fa-edit bigger-150 middle orange2"></i> Edit <?php echo $vsn; ?>'s Information <i class="icon-on-right ace-icon fa fa-arrow-right"></i></a></span>
						</div>
					</div>
					
					<div class="col-xs-12 col-sm-8">
						<h3>Contact Information</h3>
						<div class="profile-user-info profile-user-info-striped">
							<div class="profile-info-row">
								<div class="profile-info-name"> Short Name </div>
								<div class="profile-info-value">
									<span class="editable" id="csn"><?php echo $vsn; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Full Name </div>
								<div class="profile-info-value">
									<span class="editable" id="name"><?php echo $name; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Contact Person </div>
								<div class="profile-info-value">
									<span class="editable" id="contactperson"><?php echo $contactperson; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Contact Number(s) </div>
								<div class="profile-info-value">
									<span class="editable" id="phonenumbers"><?php echo $phonenumber.' '.$otherphones; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Email Address </div>
								<div class="profile-info-value">
									<span class="editable" id="email"><?php echo $email; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Relationship Status </div>
								<div class="profile-info-value">
									<span class="editable" id="relstatus"><?php echo $relstatus; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Product Heading </div>
								<div class="profile-info-value">
									<span class="editable" id="productheading"><?php echo $productheading; ?></span>
								</div>
							</div>
                            <div class="profile-info-row">
								<div class="profile-info-name"> Product Line </div>
								<div class="profile-info-value">
									<span class="editable" id="lineproducts"><?php echo $lineproducts; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Signed On Date </div>
								<div class="profile-info-value">
									<span class="editable" id="signedondate"><?php echo $signedondate; ?></span>
								</div>
							</div>
							<div class="profile-info-row">
								<div class="profile-info-name"> Contact Address </div>
								<div class="profile-info-value">
									<i class="fa fa-map-marker light-orange bigger-110"></i>
									<span class="editable" id="city"><?php echo $address.' '.$state;?></span>
									<span class="editable" id="country"><?php echo $country;?></span>
								</div>
							</div>
						</div>

						<hr>
						
					</div>
				</div>
			</div><!-- PAGE CONTENT ENDS -->
                             
		</div><!-- /.col -->
	</div><!-- /.row -->
</div><!-- /.page-content -->
</div>
</div><!-- /.main-content -->
			
<?php
		// Include the page tail file
		$errMsg = "";
		$file = 'sys/incs/page_tail.php';
		if ( file_exists($file) && is_readable($file))
		{
			include ($file);
		} else
		{
			$errMsg = "Error: included head file is missing";
		}
		
		
		// End Database Query
			}
		} else {
			echo "The client searched for is not existing or has been removed from  out database. Kindly contact the administrator for more information";
		}
	} else {
		header("Location: vendors");
	}
	
	// End User Log 
	} else {
		header("Location: index?location=" . urlencode($_SERVER['REQUEST_URI']));
		// Note: $_SERVER['REQUEST_URI'] is the current page being viewed by the user");
	}
?>